2026-06-19 Mike Gabriel

        * Release 1.3.5907 (HEAD -> main, tag: 1.3.5907)

2026-06-11 Marius Gripsgard

        * Merge branch 'personal/fredldotme/screen-hotplug-crash' into 'main'
          (4c77b9153)

2026-06-11 Alfred Neumayer

        * src/LomiriToolkit: Fix grid unit recalculations causing a crash
          (2854f93be)

2026-06-08 Mike Gabriel

        * Merge branch 'personal/jbicha/debian-sync-20260523' into 'main'
          (939e181aa)

2026-05-23 Jeremy Bícha

        * debian: Sync with Debian (8f4d2c67d)

2026-05-27 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-itemselector' into
          'main' (c28b3baf5)

2026-05-26 Henrik Schnor

        * QML: fix for signal handler parameters (1f92c45a1)
        * OptionSelectorDelegate: fix binding loop in Qt6 build (1e7ebb420)

2026-05-15 Mike Gabriel

        * Release 1.3.5906 (32d39be4d) (tag: 1.3.5906)
        * Merge branch 'personal/henrikschnor/fix-picker-positionviewatindex'
          into 'main' (b74e3963a)

2026-05-04 Henrik Schnor

        * Picker: fix positionViewAtIndex() if called on the 2nd day of the
          month (938fd9e88)

2026-05-15 Mike Gabriel

        * Merge branch 'personal/fredldotme/scale-all-qpas-right' into 'main'
          (b738a80d2)

2026-05-08 Alfred Neumayer

        * src/LomiriToolkit: Correctness fixes for UCUnits (ab79c20ce)

2026-05-14 Mike Gabriel

        * Merge branch
          'personal/henrikschnor/qt6-regression-bottomedge-workaround'
          into 'main' (e1876501d)

2026-05-02 Henrik Schnor

        * BottomEdge: add workaround for Qt 6.10 regression (QTBUG-146210)
          (5faf797f1)

2026-05-14 Mike Gabriel

        * Merge branch 'personal/jbicha/typo-20260513' into 'main'
          (7c8d02ac3)

2026-05-13 Jeremy Bícha

        * ucationcontext: typo fix (9d6a0313a)

2026-05-12 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_combo_scrollbar_warning' into
          'main' (b00cf0be5)

2026-05-06 Lionel Duboeuf

        * ensure Scrollbar follow the same parent as Flickable (1f1cbf95f)

2026-05-11 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (f015a4416)

2026-05-05 Alyaksandr Koshal

        * Translated using Weblate (Belarusian) (74b8e3cd7)

2026-05-04 Alyaksandr Koshal

        * Translated using Weblate (Belarusian) (1e8fecabd)

2026-05-01 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-pickerrow' into 'main'
          (958ad066a)

2026-04-29 Henrik Schnor

        * Picker: more robust model type checks (1a291e3b5)

2026-03-27 Henrik Schnor

        * PickerRow: don't mark as moving in onModelChanged (4347d0d1f)
        * PickerRow: remove pickerMoving disconnect logic (3bf28df9a)

2026-04-24 Хмеляускас Александр (JasonWalt Bab@)

        * Translated using Weblate (Basque) (e395949a4)

2026-04-30 Mike Gabriel

        * Merge branch 'test-fixes-individual' into 'main' (b7e5ebc07)

2026-04-03 Henrik Schnor

        * tst_swipearea: use QTest::touchEvent and fix distance calculation
          (02d6159d6)

2026-03-31 Henrik Schnor

        * tst_alarms: make sure the listview has a non-zero size (826ce0187)

2026-03-30 Henrik Schnor

        * tst_pagehead_with_listview_header: make sure the tested page is
          active (e67f96cea)

2026-03-28 Henrik Schnor

        * tst_pagehead_presets: update for PageHeadStyle 2.0 (aa884f7c1)

2026-03-27 Henrik Schnor

        * tst_datepicker_bug1567840_SEGFAULT: fix fontSize->textSize
          (e0843f003)
        * tst_imageprovider: find image files with their full name
          (36343f261)

2026-03-25 Henrik Schnor

        * tst_lomiritestcase: adjust mouse positions in tests (ed4b21137)
        * tst_subtheming: convert test themes to version 2.0 (244cdf6e9)
        * tst_statesaver: fix type mapping (062be4d3e)
        * tst_mousefilterstest: expect exited signal when rejecting click
          (0f192e2ac)
        * tst_mainwindow: adjust expected executable name (cb64043ae)
        * tst_layouts: tweak numbers for changes in qt6 (f5287328c)

2026-03-24 Henrik Schnor

        * tst_deprecated_theme_engine: adjustments for qt6 (37aec459a)
        * tst_components_benchmark: use absolute paths (3d3371cb1)

2026-03-14 Henrik Schnor

        * tst_textinput_touch_SEGFAULT: adjust parameter and add delay
          (4cd53bf4a)

2026-03-10 Henrik Schnor

        * tst_textinput_common: use mouseDoubleClickSequence() (9085385e8)
        * tst_textfield: adjust alignment and fix RegExp type name
          (d011a8544)
        * tst_textarea: update persistentSelection check (f68e658b5)
        * tst_tabs_*: remove reference to useDeprecatedToolbar (afbd6574c)
        * tst_tabbar: fix for renamed property fontSize->textSize (c8c0e17f3)

2026-03-06 Henrik Schnor

        * tst_slotslayout: update type VisualItemModel->ObjectModel
          (e2cd9b244)

2026-03-05 Henrik Schnor

        * tst_scrollbar: update VisualItemModel->ObjectModel and adjust check
          (1bac96cb6)

2026-03-18 Henrik Schnor

        * tst_listitems_itemselector/tst_optionselector: resolve file paths
          (5fba63903)
        * tst_icon: remove ShaderEffect.status check (71ea4eb11)
        * tst_captions: fix for renamed property fontSize->textSize
          (8142258dc)
        * tst_bottomedgehint: remove test for deprecated state property
          (bf11b9958)
        * tst_app_theming: move test theme to version 2.0 (a31cd3115)
        * tst_abstractbutton: remove invalid tests and add delay (b48c382f4)
        * tst_slider: adjustments after removing SliderUtils (777b65ff6)
        * tst_mainview: remove test for deprecated actions (b6ec09234)
        * tst_lomiri_namespace: adjust version check for 2.0 (14666b467)
        * tst_label: fix for renamed property fontSize->textSize (2c6c59e56)
        * tst_header_colors: adjustments for qt6 (b76083fe3)
        * tst_CrossFadeImage: resolve paths to resources (c1ae4efc6)
        * tst_activityindicator: update default values in test (1e355dc43)
        * tst_abstractbutton: adjustments for qt6 (a92ff7362)

2026-03-17 Henrik Schnor

        * tst_checkbox: remove test for clicked() (58f27479c)
        * tst_haptics: change import (9482ee9fc)

2026-04-23 Mike Gabriel

        * Merge branch 'personal/OPNA2608/fix-qt6.11-compat' into 'main'
          (57303d2b0)

2026-04-22 OPNA2608

        * apicheck,src/LomiriToolkit: Fix compatibility with Qt 6.11
          (c34e9b788)

2026-04-18 Mike Gabriel

        * Release 1.3.5905 (d4afffeb1) (tag: 1.3.5905)
        * Merge branch 'qt5.15.10' into 'main' (7f2035a3f)

2026-01-04 Luca Weiss

        * Fix build with Qt5 5.15.10 (c1b7be711)

2026-04-18 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-enable-namespaces' into
          'main' (2c2a7f7b1)

2026-04-04 Henrik Schnor

        * Enable namespaces for the Qt6 build (84e536514)

2026-04-15 Alagirisamy Rengaraj

        * Translated using Weblate (Tamil) (48a967083)

2026-04-15 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (ceef93b0b)

2026-04-16 Priit Jõerüüt

        * Translated using Weblate (Estonian) (1fee13fe4)

2026-04-17 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-icon-color-alpha' into
          'main' (c939b82d0)

2026-04-12 Henrik Schnor

        * Icon: respect output color transparency in the colorize shader
          (dca3d3f39)

2026-04-16 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-lomirishape-texture'
          into 'main' (8cdbdac8a)

2026-04-15 Henrik Schnor

        * LomiriShape: fix non-repeated textures (42cda8fd9)
        * ProportionalShape: call parent componentComplete() (2e87a8a4c)

2026-04-12 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-gallery-fixes' into 'main'
          (53e98642f)

2026-03-24 Henrik Schnor

        * gallery: avoid binding loop when hovering over colors (9eb043941)
        * gallery: avoid conflict with QQuickItem::palette property
          (5f89faf57)

2026-04-11 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-listitem-touch-handling'
          into 'main' (3a742022f)

2026-03-27 Henrik Schnor

        * ListItem: extend childMouseEventFilter() for touch events
          (e35bbdf66)
        * ListItem: fix in the touch event handling (f326675f7)

2026-04-10 Mike Gabriel

        * Merge branch 'personal/henrikschnor/test-fixes-generic' into 'main'
          (8c878c0f6)

2026-03-14 Henrik Schnor

        * tests: make signal handlers with parameters JS functions
          (490d0e623)

2025-12-19 Henrik Schnor

        * tests: adjustments for building with qt6 (72740d370)

2026-04-10 Mike Gabriel

        * Merge branch 'personal/henrikschnor/increase-listitem-test-timeout'
          into 'main' (a9854b7d0)

2026-03-30 Mike Gabriel

        * typo fixes: Various typo fixes in comments, one in a printable
          string (requires i18n update after merging). (a3b69dd55)

2026-04-04 Jeremy Bícha

        * tests: Increase timeout (b0381602b)

2026-04-10 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt5-image-extension-warning'
          into 'main' (bf6dc5d0c)

2026-04-01 Henrik Schnor

        * Print a warning if registering the image extension without QtQuick
          (97fafc55d)

2026-04-09 Mike Gabriel

        * Merge branch 'personal/sunweaver/sync-with-debian' into 'main'
          (f8aac67d4)

2026-03-30 Mike Gabriel

        * debian/: Sync with Debian. (5446c7f2c)

2026-04-08 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/grammar-fix-in-variable-name' into
          'main' (edfc99656)

2026-04-06 Mike Gabriel

        * src/imports/Test/LomiriTestCase*.qml: Fix grammar in variable.
          (6e3c8e853)

2026-04-07 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-duplicate-tests' into
          'main' (77cf886e4)

2026-03-17 Henrik Schnor

        * Make imports version-less (f631c3c38)
        * Rename tests and delete old ones (676b4c3d9)

2026-03-16 Henrik Schnor

        * Duplicate 1.x tests (c31ad44a8)

2026-03-30 Mike Gabriel

        * debian/rules: Set DPKG_EXPORT_BUILDFLAGS to 1. (a2e593a6b)

2026-04-06 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-more-fixes' into 'main'
          (d4e94f5a2)

2026-03-21 Henrik Schnor

        * UCSwipeArea: fix compilation warnings (d192c4036)

2026-02-14 Henrik Schnor

        * LomiriTestCase: don't depend on compiled qml import path
          (7b493799a)

2026-04-03 Henrik Schnor

        * TouchRegistry: fixes for findMostRelavantEventForId() (01542b3ba)

2026-03-30 Henrik Schnor

        * TextField/TextArea: fix double-tap to select (7dbfe665d)

2026-03-25 Henrik Schnor

        * ULLayouts: prevent race condition when switching to default layout
          (2e78d0249)

2026-04-04 Henrik Schnor

        * UCTestExtras: build test functions in qt6 (57a0796e3)

2026-04-06 Mike Gabriel

        * Merge branch 'personal/jbicha/increase-timeout-1469471' into 'main'
          (1287839ee)

2026-04-04 Jeremy Bícha

        * tests: Increase timeout (cf41ab19e)

2026-04-01 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/typo-fixes-1.3.5904' into 'main'
          (29027a779)

2026-03-30 Mike Gabriel

        * typo fixes: Various typo fixes in comments, one in a printable
          string (requires i18n update after merging). (4fa92be6e)

2026-03-29 Mike Gabriel

        * Release 1.3.5904 (1b9919232) (tag: 1.3.5904)

2026-03-24 Ratchanan Srirattanamet

        * Merge branch 'personal/henrikschnor/qt6-bump-styles-themes' into
          'main' (e4c255b88)

2026-02-05 Henrik Schnor

        * Add UCImportVersionChecker support for module version 2.0
          (f734fdc9c)

2026-01-08 Henrik Schnor

        * Bump Lomiri.Components.Themes.SuruGradient to version 2.0
          (33218e92d)
        * Bump Lomiri.Components.Themes.SuruDark to version 2.0 (fbb57a13e)
        * Bump Lomiri.Components.Styles to version 2.0 (ef107d76c)

2026-03-17 Satyaakam Goswami

        * Translated using Weblate (Hindi) (6717ed9d4)

2026-03-20 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (45ebe98b5)

2026-03-21 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-dragging-pos' into
          'main' (4476d789b)

2026-03-14 Henrik Schnor

        * TextCursorStyle: fix position calculations (cba0eb1b1)

2026-03-20 Ratchanan Srirattanamet

        * Merge branch 'personal/henrikschnor/qt6-tests-cmake-changes' into
          'main' (06845fd15)

2026-03-06 Henrik Schnor

        * Install .js file as workaround for QTBUG-144829 (47a56eb09)

2026-02-06 Henrik Schnor

        * ListItem: support loading ListItemPopover via qrc (6a9bfdf17)

2026-01-04 Henrik Schnor

        * Haptics: support loading internal implementation via qrc
          (5b6f4686b)

2026-03-03 Henrik Schnor

        * Lomiri.SystemInfo: fix uri assertion (d7936343e)

2026-01-08 Henrik Schnor

        * Update README with Qt6+CMake build instructions (8574faa16)

2025-12-18 Henrik Schnor

        * Update the api reference files (06e933619)

2026-03-03 Henrik Schnor

        * apicheck: respect prefer directive in qmldir files (5947b36f9)

2025-12-18 Henrik Schnor

        * QML components: don't include multiple 1.x versions in the Qt6
          build (19e510dca)

2025-12-11 Henrik Schnor

        * Lomiri.PerformanceMetrics: update BarGraph.qml for Qt6 (814f359e3)
        * Lomiri.Metrics: register module (63d8c3f88)

2026-01-28 Henrik Schnor

        * Remove old QML implementations of C++ components in 2.0 (f6b7846bd)

2025-12-08 Henrik Schnor

        * Add spirv-tools build dependency (3be560ab4)

2026-01-23 Henrik Schnor

        * Qt6: Don't install files that are available via qrc (247d5f945)

2025-12-08 Henrik Schnor

        * Build QML modules with qt_add_qml_module (bbbe002da)

2026-02-04 Henrik Schnor

        * Add check for default theme existence (d44756f6e)

2026-01-23 Henrik Schnor

        * UCTheme: Add support for qrc paths (1e568b5c4)

2026-01-21 Henrik Schnor

        * Switch to C++17 (fcfdfb3ac)

2026-03-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-signal-handlers' into
          'main' (8c0a4a0a7)

2026-03-14 Henrik Schnor

        * QML: Make signal handlers with parameters JS functions (b68127050)

2026-03-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-minor-things' into
          'main' (934c183b4)

2026-03-14 Henrik Schnor

        * InputHandler: fix calls to positionAt() (10be3d67b)
        * ButtonForeground/ComboButtonStyle: avoid binding loop (2e462ddb5)

2026-01-05 Henrik Schnor

        * ActionSelectionPopover: avoid null property access (dc4dd608d)

2026-01-09 Henrik Schnor

        * Adjust image urls with "@30" suffix in OptionSelectorStyle.qml
          (545b6e551)

2026-03-10 Henrik Schnor

        * Tabs: replace call to deprecated function show() (f4781a689)
        * Gallery: fix fontSize->textSize (9b84e4dbb)
        * TabBarStyle: fix headerAdaptiveLabelSize type (f64676c58)
        * SplitView: make default-constructible (a990528bb)

2026-03-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-conversion-checks' into
          'main' (aea6bb511)

2026-01-28 Henrik Schnor

        * Fix conversion checks in ucpagewrapper.cpp (9776932d0)

2026-03-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-strict-equality' into
          'main' (3bad01f88)

2026-03-11 Henrik Schnor

        * Fix strict equality checks between url and string types (928039dcf)

2026-03-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-listitemstyle-crash'
          into 'main' (55ea6d7b1)

2026-02-14 Henrik Schnor

        * ListItemStyle: fix crash caused by dragPanel binding (ead5092a2)

2026-03-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-listitem-leaks' into
          'main' (3cb070f12)

2026-02-06 Henrik Schnor

        * ListItem: don't leak context menus (d7a364399)

2026-02-02 Henrik Schnor

        * ListItem: fix memory leak (41035f8ef)

2026-03-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-panel' into 'main'
          (fa31b1970)

2026-03-04 Henrik Schnor

        * Panel: remove anchor bindings (fe0b4d16b)

2026-03-12 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-scrollbar' into 'main'
          (cda083bf9)

2026-03-05 Henrik Schnor

        * Scrollbar: set restoreMode on bindings (25910ef1c)
        * Scrollbar: fix resolving the stepper icon (1e23ff1d1)

2026-03-11 Satyaakam Goswami

        * Translated using Weblate (Hindi) (fab9336e3)

2026-03-07 Satyaakam Goswami

        * Translated using Weblate (Hindi) (f640c0741)

2026-03-04 Priit Jõerüüt

        * Translated using Weblate (Estonian) (81ed92ffb)

2026-03-06 Łukasz Pawłowski

        * Translated using Weblate (Kashubian) (b99a4341b)

2026-03-04 Satyaakam Goswami

        * Translated using Weblate (Hindi) (85c96cba4)

2026-03-05 Łukasz Pawłowski

        * Translated using Weblate (Polish) (62e1b6089)

2026-03-02 Andi Chandler

        * Translated using Weblate (English (United Kingdom)) (4a2f7ce62)
        * Translated using Weblate (English (United Kingdom)) (f9c48c4f6)

2026-03-04 Mike Gabriel

        * Merge branch 'personal/fredldotme/qt6-listitem-touch' into 'main'
          (a668a5474)

2026-02-19 Alfred Neumayer

        * src/LomiriToolkit: Fix ListItem's touch event handling (0fb43c21a)

2026-02-26 Steve

        * Translated using Weblate (French (Switzerland)) (6137208f2)

2026-02-23 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (94b2cafca)

2026-02-26 Carlos Rocha

        * Translated using Weblate (Portuguese) (ea3422100)

2026-02-22 Satyaakam Goswami

        * Translated using Weblate (Hindi) (43704a93b)

2026-02-26 Steve

        * Translated using Weblate (French (Switzerland)) (afd016611)

2026-02-26 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/fix-baseUrl-fix-haptics' into
          'main' (368dbdfb0)

2026-02-26 Ratchanan Srirattanamet

        * imports/Components: fix passing `baseUrl()` to LomiriToolkitModule
          (4df9dacba)

2026-02-26 Mike Gabriel

        * Merge branch 'IconStatus' into 'main' (41307d991)

2026-02-25 Jozef Mlich

        * Icon: expose Image.status as readonly status property (77043051b)

2026-02-24 Mike Gabriel

        * Merge branch 'personal/sunweaver/textarea-fix-autosize-qml2.0' into
          'main' (52b6856d8)

2024-08-12 Matthias Dahlmanns

        * update frame size on completion to apply autoSize also with initial
          multiline text (for QML 2.0 API) (a6cc207be)

2026-02-24 Mike Gabriel

        * Merge branch 'textarea-fix-autosize' into 'main' (93c8502b5)

2024-08-12 Matthias Dahlmanns

        * update frame size on completion to apply autoSize also with initial
          multiline text. (ba29c6937)

2026-02-23 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-styles' into 'main'
          (132fadc66)

2026-02-19 Henrik Schnor

        * PageHeadStyle: don't restore head bindings (6225f2308)
        * PullToRefreshStyle: avoid aborting the refreshing state (ab45d58c8)

2026-02-23 Mike Gabriel

        * Merge branch 'personal/henrikschnor/fix-flaky-tests' into 'main'
          (2cd5a3e9d)

2026-02-21 Henrik Schnor

        * UCTestExtras::touchDrag: avoid touchMove to start position
          (049d29516)

2026-02-16 Henrik Schnor

        * Increase timeout values to fix flaky tests (36c84dfa2)

2026-02-23 Ratchanan Srirattanamet

        * Merge branch 'personal/henrikschnor/qt6-fix-actionitem' into 'main'
          (e9588c88e)

2026-02-19 Henrik Schnor

        * Fix property syncing in ucactionitem.cpp (81900e24d)

2026-02-20 Satyaakam Goswami

        * Translated using Weblate (Hindi) (fcf115ff7)

2026-02-14 Satyaakam Goswami

        * Translated using Weblate (Hindi) (bbfe6ba5b)

2026-02-17 Satyaakam Goswami

        * Translated using Weblate (Hindi) (fde35772d)

2026-02-16 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-func-ambiguity' into
          'main' (2fb322fca)

2026-01-09 Henrik Schnor

        * Remove ambiguity when calling mapFromItem in ExpandablesColumn.qml
          (10f7c08a0)

2026-02-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-absbutton-destructor'
          into 'main' (54df49a79)

2026-01-29 Henrik Schnor

        * AbstractButton: disconnect mouseArea in destructor (68a4e8429)

2026-02-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-pagestack' into 'main'
          (4b42b3875)

2026-01-23 Henrik Schnor

        * PageStack.qml: Don't call the JS constructor in the qml file
          (00c2d7ca6)

2026-02-15 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-header-build' into
          'main' (3ca29e111)

2026-01-21 Henrik Schnor

        * CMake: copy headers during build time (1edfbc37b)

2026-02-14 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-theme-workaround' into
          'main' (fc7cd2f3f)

2026-01-08 Henrik Schnor

        * Remove theme property workarounds for Qt6 (dd140d1a8)

2026-02-14 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-shaders' into 'main'
          (c5c9c7f7d)

2026-01-29 Henrik Schnor

        * Update ShapeOverlayMaterial::createShader signature for Qt6
          (e127ab430)
        * magnifier shader: rename output variable (83df26bf6)

2026-02-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-appheader-bg' into
          'main' (d406244d4)

2026-01-08 Henrik Schnor

        * Base AppHeader.backgroundColor on MainViewBase.backgroundColor
          (a2081be51)

2026-02-13 Mike Gabriel

        * Merge branch 'personal/cyrilj31/fix-qt6-little-qt6-fixes' into
          'main' (65e8353c1)

2026-01-23 Cyril Jacquet

        * Build: Add stack.js to QML_FILES (01481a76f)

2026-02-13 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-fix-tab' into 'main'
          (9b91458b8)

2026-02-02 Henrik Schnor

        * Frame shader: Port to Qt6 shader abstraction (be206d141)

2026-01-07 Henrik Schnor

        * Remove activeFocusOnTab workaround for Qt6 (05c5d05b0)

2026-02-04 Henrik Schnor

        * Register Qt base classes in Lomiri.Components (c5fcae1e2)

2026-02-12 Mike Gabriel

        * Merge branch 'personal/klhio/fix-ButtonForeground-circular-binding'
          into 'main' (471cfdec6)

2026-01-30 Maciej Sopyło

        * Remove circular binding in ButtonForeground (e3ea9fcb8)

2026-02-03 Midrielen

        * Translated using Weblate (Finnish) (a340bbe2b)

2026-02-09 Satyaakam Goswami

        * Translated using Weblate (Hindi) (6bd362f1d)
        * Translated using Weblate (Hindi) (7257f2612)

2026-02-04 Ratchanan Srirattanamet

        * Merge branch 'personal/henrikschnor/qt6-fix-sortfiltermodel' into
          'main' (5dc2b4a9a)

2026-01-03 Henrik Schnor

        * Fix bugs in the SortFilterModel for Qt6 (6af5c74fd)

2026-02-03 Ratchanan Srirattanamet

        * Merge branch 'personal/henrikschnor/qt6-fix-recursion' into 'main'
          (10e42fe91)

2026-01-09 Henrik Schnor

        * Remove endless recursion in ucbottomedgehint.cpp (41bf6828f)

2026-02-01 Mike Gabriel

        * Release 1.3.5903 (77935cd89) (tag: 1.3.5903)

2026-01-31 Daniel Wiik

        * Translated using Weblate (Swedish) (fbac0b1c9)

2026-01-29 mahmucan nahmudo

        * Translated using Weblate (Turkish) (e2176e215)
        * Translated using Weblate (Turkish) (aa78a1230)

2026-01-25 BoneNI

        * Translated using Weblate (Lao) (4bf0f5597)
        * Translated using Weblate (Lao) (392eddd42)
        * Translated using Weblate (Lao) (275e4a235)
        * Translated using Weblate (Lao) (b47b6a818)
        * Translated using Weblate (Lao) (f40a9a3c6)
        * Translated using Weblate (Lao) (bb75d0bfc)
        * Translated using Weblate (Lao) (14cb2a460)
        * Translated using Weblate (Lao) (6c0c8f626)
        * Translated using Weblate (Lao) (b93612e35)
        * Translated using Weblate (Lao) (fe833921b)

2026-01-24 BoneNI

        * Translated using Weblate (Lao) (9e81693b1)
        * Translated using Weblate (Lao) (c5d7dd67a)

2026-01-19 Guido Berhörster

        * Merge branch 'personal/peat-psuwit/lomirigestures-log-qtouchevent'
          into 'main' (23b63419d)

2026-01-16 Ratchanan Srirattanamet

        * LomiriGestures: remove debughelpers and use Qt's built-in facility
          (d36c005fd)

2026-01-19 Guido Berhörster

        * Merge branch 'personal/peat-psuwit/qt6-uctheme-qml-paths' into
          'main' (5c4dca59e)

2026-01-16 Ratchanan Srirattanamet

        * LomiriToolkit/UCTheme: fix getting more than 1 QML import paths
          (5067e5748)

2026-01-14 Mike Gabriel

        * Merge branch 'personal/fredldotme/fix-morph-style' into 'main'
          (3da70299b)

2026-01-14 Alfred Neumayer

        * src/imports/Components/Themes: Add 2.0 reference to qmldir
          (637dd1b90)

2026-01-14 Mike Gabriel

        * Merge branch 'personal/gberh/lomiritest20' into 'main' (0167074b2)

2026-01-14 Guido Berhoerster

        * Add LomiriTest 2.0 module for Qt 6 (d285cd8c0)

2026-01-13 Ratchanan Srirattanamet

        * Merge branch 'pr' into 'main' (1f4ba51a0)

2026-01-12 d2weber

        * Excempt AnimatedImage from scaling with image provider (9a3e1ac80)

2026-01-10 BoneNI

        * Translated using Weblate (Lao) (d8c8cec59)
        * Translated using Weblate (Lao) (ed431cbdd)
        * Translated using Weblate (Lao) (991288796)

2026-01-08 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-cyril-changes' into 'main'
          (28ddef60f)

2026-01-02 Cyril Jacquet

        * Add missing magnifier.vert to qt6_add_shaders (f8d130092)
        * Change Image to Icon in ButtonForeground.qml (8997181e3)
        * Add missing `break` statements in OptionSelector.qml (e1d78b483)

2026-01-08 Cyril Jacquet

        * Fix typo in comment (8e0afc6a1)

2026-01-02 Cyril Jacquet

        * Stylistic changes to qml functions (9edec89be)
        * Use strict equality checks across QML files (27cf2021a)
        * Add missing qml type registrations (0a1e73311)
        * Add null checks for qml attributes (4d9d165b3)
        * Update references in QML files to remove version restrictions
          (be5421579)
        * Move `Components/Themes` to version 2.0 (176b329fe)
        * Remove `sliderUtils.js` and migrate dependent logic (aaa72c79d)
        * Add initial assets for Lomiri UI Toolkit Gallery with Qt6 support
          (4d15bf1d0)

2025-10-31 Cyril Jacquet

        * Ensure compatibility with Qt6 (8be875507)
        * Add compatibility for Qt6 type handling in LomiriToolkit
          (b3aee308e)

2025-12-31 Purushotham N

        * Translated using Weblate (Tamil) (8392b7539)

2025-12-27 phmqXPD

        * Translated using Weblate (Vietnamese) (8b38c3a4f)

2025-12-22 Priit Jõerüüt

        * Translated using Weblate (Estonian) (c302095b2)

2025-12-19 Joana R

        * Translated using Weblate (Basque) (c5e840d8d)

2025-12-19 Temuri Doghonadze

        * Translated using Weblate (Georgian) (e5db51a26)

2025-12-21 Vini Moraes

        * Translated using Weblate (Portuguese (Brazil)) (407c03df7)

2025-12-23 Mike Gabriel

        * Release 1.3.5902 (401b1c0ff) (tag: 1.3.5902)

2025-12-22 Guido Berhörster

        * Merge branch 'personal/peat-psuwit/lomirigestures-qt6-fixup' into
          'main' (00eeae438)

2025-12-19 Ratchanan Srirattanamet

        * LomiriGestures/TouchRegistry: put QPointerEvent into
          TouchOwnershipEvent (a7b9338e5)

2025-12-17 Ratchanan Srirattanamet

        * LomiriGestures/UCSwipeArea: finish porting to Qt 6 (4bc27b1fd)
        * LomiriGestures/TouchRegistry: finish porting to Qt 6 (40574525c)

2025-12-18 Ratchanan Srirattanamet

        * Merge branch 'personal/gberh/liblomiritoolkit-deprecations' into
          'main' (6d92ee77d)

2025-11-07 Guido Berhoerster

        * Remove deprecated methods/properties from libLomiriToolkit Qt 6
          variant (06d30a89a)

2025-12-17 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/lomirigestures-fold-debugging-helpers'
          into 'main' (29886cffe)

2025-12-17 Ratchanan Srirattanamet

        * LomiriGestures/UCSwipeArea: remove duplicated debug helpers
          (aee83afbe)

2025-12-15 Guido Berhörster

        * Merge branch 'personal/peat-psuwit/qt6-fix-lomirishape' into 'main'
          (e5d72e08d)

2025-12-13 Ratchanan Srirattanamet

        * LomiriToolkit/shaders: update comment for "bool -> int" workaround
          (9cd96aeef)
        * Revert "toolkit: remove workaround in shaders that was added for
          qt6.4" (6bd8a8bca)
          Fixes:
          https://gitlab.com/ubports/development/core/morph-browser/-/issues/587

          Fixes:
          https://gitlab.com/ubports/development/core/morph-browser/-/issues/590

          Fixes:
          https://gitlab.com/ubports/development/core/morph-browser/-/issues/594

2025-12-12 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-tests-apicheck' into 'main'
          (6c4675ac5)

2025-12-10 Henrik Schnor

        * Update the reference api for the apicheck test (b6d17531e)
        * tests/api: changes to the apicheck test for Qt6 compatibility
          (c517fb4d1)
        * apicheck: Qt6 compatibility (902719b2e)

2025-12-12 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-svg-plugin-dep' into 'main'
          (0e4e9c8a8)

2025-12-12 Henrik Schnor

        * debian: add qt6-svg-plugins dependency (130e0c7e0)

2025-12-12 Mike Gabriel

        * Merge branch 'personal/henrikschnor/qt6-tests-licensecheck' into
          'main' (df21b8564)

2025-12-10 Henrik Schnor

        * Fix some problems with the checklicense.sh script (8f0d58837)
        * Add missing copyright headers (1fad32a7e)

2025-12-12 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/qt6-swipearea-fixup' into 'main'
          (989a249df)

2025-12-10 Alfred Neumayer

        * src/LomiriGestures: Subscribe UCSwipeArea to touch events
          (3cbddd6ff)
        * src/LomiriToolkit: Add calls to setAcceptTouchEvents() (8125bd580)

2025-12-08 Mike Gabriel

        * Release 1.3.5901 (42afebccd) (tag: 1.3.5901)

2025-12-04 phmqXPD

        * Translated using Weblate (Vietnamese) (55b36895e)

2025-11-30 phmqXPD

        * Translated using Weblate (Vietnamese) (48eb3ead7)

2025-12-07 Mike Gabriel

        * Merge branch 'personal/gberh/fix-chevron' into 'main' (1e50ce4f1)

2025-12-04 Guido Berhoerster

        * Fix chevron icon name and size (1914a487f)

2025-12-01 Mike Gabriel

        * Release 1.3.5900 (4789df7ca) (tag: 1.3.5900)

2025-11-26 phmqXPD

        * Translated using Weblate (Vietnamese) (feb606cae)

2025-11-21 Priit Jõerüüt

        * Translated using Weblate (Estonian) (bb910cf11)
        * Translated using Weblate (Estonian) (c3252f5a0)

2025-11-25 Mike Gabriel

        * Merge branch 'personal/bshah/fix-cross' into 'main' (676394606)

2025-11-25 Bhushan Shah

        * d/rules: Fix cross-compile with qmake (9d2be3a3f)

2025-11-17 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (b58d520e4)
        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (229da085c)

2025-11-13 Priit Jõerüüt

        * Translated using Weblate (Estonian) (25377bcac)

2025-11-17 Ratchanan Srirattanamet

        * Merge branch 'personal/bshah/6.10-fixes' into 'main' (2004a67e4)

2025-11-17 Bhushan Shah

        * src: remove bitfield entries in Qt6 (8e53f869b)
        * splitview: adapt to changes in QQuickPositioner (cd7d76b36)
        * cmake: add find_package for Private components we are linking to
          (4708c8ada)

2025-11-14 Guido Berhörster

        * Merge branch 'personal/sunweaver+gber/qt6-qmake' into 'main'
          (8d1640ae8)

2025-11-13 Guido Berhoerster

        * Replace QTouchDevice usage with QPointingDevice in
          MouseTouchAdaptor (24b76096f)

2025-11-13 Bhushan Shah

        * uctestcase: delete QSignalSpy (f16d25b98)
        * toolkit: migrate Lomiri.Toolkit.Private to 2.0 version (1304dffa6)
        * Fixes in qmake2cmake based cmake conversion (a326417cd)
        * imports: move qt6 shaders to 2.0 directory (eec24bf18)

2025-11-12 Bhushan Shah

        * uclistitem: remove spurious local std::optional (8d6090569)

2025-11-11 Guido Berhoerster

        * Remove unnecessary usage of -fpermissive (8d3fb03eb)
        * Use common CMake namespace (4b6341d50)

2025-11-11 Bhushan Shah

        * src: fix some porting issues (a74f4269c)

2025-11-11 Guido Berhoerster

        * Fix VERSION property for all libraries (436e9526d)
        * Remove leftover qmake file (ef56c1e71)

2025-11-07 Guido Berhoerster

        * Adjust packaging of shared libraries to SOVERSION change
          (9a4de12bc)
        * Reset SOVERSION for Qt 6 variants (1e71258a2)

2025-11-06 Guido Berhoerster

        * Clean up installed images (2efefd00d)
        * Use suffixed icons directly and scale them correctly (15ee45e75)

2025-11-06 Bhushan Shah

        * chore: fix some minor issues (b2478c767)

2025-10-31 Guido Berhoerster

        * Remove image and scaling extensions from Qt 6-based builds
          (667feec33)

2025-10-28 Cyril Jacquet

        * Fix texture handling in UCLomiriShape (24c8a7c84)
        * Migrate AdaptivePageLayout and PageStack to Qt6 (9345cee79)

2025-10-27 Bhushan Shah

        * apicheck: port to QRegularExpression (13feb10fa)

2025-10-17 Guido Berhoerster

        * debian: adjust handling of apicheck binary to new installation path
          (fd24a3287)
        * Install apicheck in a Qt-version specific subdirectory (565359de4)

2025-10-15 Guido Berhoerster

        * Rename QT_UNITY8 and make it configurable (2f507e409)
        * Remove left over qmake file (d3d0d7dcc)
        * Remove unused sources from LomiriSystemInfo (7006130d9)

2025-10-14 Bhushan Shah

        * treewide: fixes and cleanups in multiple areas (273f72561)
        * d/rules: remove the unneeded env variable (80b3f1ea0)

2025-10-09 Bhushan Shah

        * Remove installation for qt6 qml files from qmake (1182d6de3)
        * toolkit: remove workaround in shaders that was added for qt6.4
          (b52b83192)

2025-09-23 Guido Berhoerster

        * debian: Improve package descriptions (0a7c2b45d)
        * debian: Ensure source dir clean-up after build (6e7fa5b38)

2025-09-21 Mike Gabriel

        * Don't use LOMIRI_UI_TOOLKIT_VERSION for PROJECT_VERSION (213b28503)

2025-09-19 Guido Berhoerster

        * debian: Remove workaround for qmlplugindump crash (614356e11)

2025-09-18 Guido Berhoerster

        * debian: Adapt packaged files of Qt 6 dev packages to CMake-based
          build (6fe626f7d)

2025-09-19 Guido Berhoerster

        * Install apicheck under libexecdir (b621eced0)
        * Install Qt 6 Test Qml module (ef045101e)

2025-09-18 Guido Berhoerster

        * Fix LomiriSystemInfo source files (f76753612)
        * Fix installation of artwork files (4c42698ad)
        * Fix Qml plugin names (3277ccd9a)
        * Build QML plugins as CMake module and not shared libraries
          (75ce76fef)
        * Fix build of LTTng module in LomiriMetrics (f789e6729)
        * Build lomiri-ui-toolkit-launcher for Qt 6 (ffbcdd5ac)

2025-09-17 Guido Berhoerster

        * Add -qt6 suffix to apicheck when built against Qt 6 (7c985d187)
        * Properly build and install app-launch-profiler (04a34dfea)
        * Adjust apicheck to QQmlType changes in Qt 6 (b9ab1113e)
        * Remove defunct Qt 5 support (ff3970cd1)
        * Reenable build of apicheck and app-launch-profiler (368ad878b)

2025-09-16 Guido Berhoerster

        * Reenable build of X11 touch emulation in LomiriToolkit (03c2ff812)

2025-09-15 Guido Berhoerster

        * debian: Add dependency on extra-cmake-modules (da3915da9)

2025-09-29 Guido Berhoerster

        * Fix include issues (407d560c5)

2025-09-15 Guido Berhoerster

        * Use ECM for creating wrapper headers, CMake config files,
          pkg-config files (0e28c7f00)

2025-09-05 Guido Berhoerster

        * debian: Depend on qt6-shadertools-dev needed by cmake (2f78cbcab)

2025-09-04 Bhushan Shah

        * src: include shaders in LomiriComponents and LomiriToolkit
          (0e16e386d)

2025-09-25 Guido Berhoerster

        * Change suffix for Qt 6 variant from "Qt6" to "-Qt6". (0374c9cc7)
        * Copy headers to subdirectory in CMake current binary directory.
          (41d62e904)

2025-09-01 Guido Berhoerster

        * Build Qt 6 variant without syncqt (bd9744420)

2025-08-27 Guido Berhoerster

        * debian: Build Qt 6 version using CMake (12642eebb)

2025-08-27 Bhushan Shah

        * Fixes in qmake2cmake based cmake conversion (be7157e14)

2025-08-20 Marius Gripsgard

        * Initial port to cmake (996d7e3b8)

2025-08-21 Guido Berhoerster

        * debian: Add dependencies on KTactileFeedback (186f03906)

2025-07-11 Bhushan Shah

        * debian: update packaging for 2.0 module (265fb0df3)

2025-07-08 Bhushan Shah

        * debian: update package with new files (24696b7d0)

2025-08-21 Guido Berhoerster

        * debian: Add dependency on qt6-shader-baker (382651af2)

2025-05-21 Guido Berhoerster

        * debian: disable parallel make for installation (3ac265cfa)
        * debian: remove modification/removal of non-existent files
          (b8cd214ad)

2025-05-20 Guido Berhoerster

        * debian: Add Qt6 subpackages (6a1e8fd76)
        * debian: Add temporary workaround for qmlplugindump crashes
          preventing installation (892d6793e)

2025-04-25 Guido Berhoerster

        * debian: Temporarily allow Qt6 tests to fail (3588ae4a6)

2025-04-24 Guido Berhoerster

        * debian: Add missing dependencies for building tests for Qt6
          (408a9fa42)

2025-04-23 Guido Berhoerster

        * debian: Properly disable docs build for Qt6 variant (bb5696f7a)

2025-04-14 Mike Gabriel

        * debian/: Support building dually against Qt5 + Qt6. (17be36002)

2025-08-21 Guido Berhoerster

        * debian: Adjust to shadow build changes (44a876e90)

2025-04-22 Guido Berhoerster

        * debian: Do not try to build the Qt5 variant with -Werror
          (856a6d08d)

2025-08-21 Guido Berhoerster

        * debian: Fix typo (3de16def3)

2025-08-11 Bhushan Shah

        * toolkit: change uniform buffer only if material changed (ff89bcad3)

2025-08-08 Guido Berhoerster

        * Add back missing components to Lomiri.Components 2.0 (cc91d81f5)

2025-08-01 Guido Berhoerster

        * Allow passing url type to popupUtils.open (8ad58b6cf)

2025-10-24 Bhushan Shah

        * fix: fix qt5 unit tests (d29981447)

2025-07-21 Bhushan Shah

        * imports: add copy of 1.1 Haptics for Qt 6 (8f1e4c698)

2025-07-11 Bhushan Shah

        * src/imports: use non-versioned import where relevant (030607bb3)
        * src/imports: install 2.0 version on Qt6 (052697096)
        * imports: copy 1.3 as 2.0 version where relevant (6cd71d122)

2025-07-10 Guido Berhoerster

        * Use Qt-version specific qmldir files (11f05bc89)

2025-07-09 Bhushan Shah

        * toolkit: update values for other uniforms (509a51607)

2025-07-08 Bhushan Shah

        * toolkit: bind shape texture by creating QSGTexture wrapper
          (c3f366658)
        * LomiriToolkit: do not register 1.x and deprecated versions for qt6
          (aeb4f1f82)
        * uctheme: for Qt6 register only 2.0 version (c3bbbfc2f)
        * imports: install 2.0 version for qt6 (61371871e)
        * imports: make copy of 1.3 as a 2.0 version for qt6 (9f30eebd1)

2025-05-13 Guido Berhoerster

        * Use setShaderFileName to load shaders in Qt6 (4099fa6a8)

2025-06-14 Bhushan Shah

        * Port shaders to new glsl language (f69f68184)

2025-06-10 Guido Berhoerster

        * Exclude tests depending on QtPIM when building againt Qt 6
          (afe35da72)

2025-05-09 Guido Berhoerster

        * Adapt includes for namespaced Qt6 build (57ee7820d)

2025-05-07 Guido Berhoerster

        * Fix incorrectly named LomiriSystemInfo plugin (a14ffa9ed)
        * Do not rely on a temporary directory with a predicatable path
          (81ffa3ea0)
        * touchPointStateToString() is only used for Qt5 (a4bdfb709)

2025-05-02 Guido Berhoerster

        * Fix installation for shadow builds (90c0772a2)

2025-04-25 Guido Berhoerster

        * Allow multiple simultaneous shadow builds (baa135409)
        * Fix license test (d1f0eaa71)

2025-04-24 Guido Berhoerster

        * Port tests to Qt6 (77c77dca8)
        * Port apicheck to Qt6 (80e770ac3)

2025-04-17 Guido Berhoerster

        * Fix initialization of UMApplicationMonitor::LoggingFilters enum
          (cd570e11e)
        * Replace obsolete variant of QString::split() (b256584f6)
        * Build SystemInfo only for Qt6 and later (0b4e325a6)
        * Add missing declaration for Qt6 (a3cd80dc5)

2025-04-16 Guido Berhoerster

        * Add missing headers for Qt6 (24ff85142)
        * Fix UCAction type declaration (db9c66f82)
        * Fix adaptations to QQmlAbstractBinding in Qt6 (c506a4df2)
        * Fix cloning of QMouseEvent in Qt6 (ef51204a7)
        * Adapt to QQmlPropertyCache::property return value in Qt6
          (05217b14b)
        * Adjust QQmlListProperty's CountFunction and AtFunction for Qt 6
          (998fb823b)

2025-04-14 Mike Gabriel

        * Adjust to touch input changes in Qt 6 (5f7b477e2)
        * More adjustments for X11MouseTouchAdaptorPrivate::nativeEventFilter
          in Qt6. (35f60cb3f)
        * menu::data count typo difference for QQmlListProperty between Qt5
          and Qt6. (1f247ff47)
        * C:: vs. no-prefix for gettext functions. (15f0970a9)
        * src/LomiriMetrics/logger.cpp: No setCodec() for QTextStream in Qt6
          anymore. (6025afa56)
        * src/LomiriGestures/debughelpers.cpp: More adjustments for Qt6
          build. (790d6c324)
        * Use QRegularExpression instead of QRegExp with Qt6. (ee8e8ce9e)
        * src/LomiriToolkit/LomiriToolkit.pro: Omit QOrganizer dependent code
          (adapters/alarmsadapter_organizer.cpp) from Qt6 build (for
          now). (639837ed4)
        * src/LomiriSystemInfo/CMakeLists.txt: Drop file. Should not be part
          of this MR. (0becbf4bd)
        * src/LomiriGestures/LomiriGestures.pro: Propagate building w/o
          -Werror to LomiriGestures properly. (2003378bc)

2025-04-12 Mike Gabriel

        * src/LomiriSystemInfo/linux/lomiridevicekitservice_linux.cpp: In
          createMethodCall, wrap UPOWER_SERVICE in QStringLiteral().
          (259a2e6f8)
        * src/LomiriSystemInfo/linux/lomirinetworkinfo_linux.cpp: Avoid
          implicit-fallthrough in
          LomiriNetworkInfoPrivate::getNetworkInterfaceCount().
          (313610c9c)
        * Mark various methods with 'override'. (6651de187)

2025-04-11 Marius Gripsgard

        * debian: Add libbluetooth-dev (70f23418c)

2025-04-10 Marius Gripsgard

        * Add qt6 support (1f7d05c7e)
        * Fork QSystemInfo and rename to LomiriSystemInfo (d70417835)

2025-11-10 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (d85f0a0e5)

2025-11-11 Wenwen Luo

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (5314c1dfd)

2025-10-30 Omer I.S.

        * Translated using Weblate (Hebrew) (9c7a2b8fd)

2025-10-17 Joana R

        * Translated using Weblate (Basque) (773b0ddc2)

2025-10-16 Joana R

        * Translated using Weblate (Basque) (e867b37d9)

2025-10-06 Joana R

        * Translated using Weblate (Basque) (bd21cbc3b)

2025-10-02 Joana R

        * Translated using Weblate (Basque) (70c99bc75)

2025-09-18 Priit Jõerüüt

        * Translated using Weblate (Estonian) (4ef9edf7e)

2025-09-21 Libre Fox

        * Translated using Weblate (Ukrainian) (68e97b082)
        * Translated using Weblate (Ukrainian) (eca400ee5)

2025-09-13 Milo Ivir

        * Translated using Weblate (Croatian) (8a1506cb0)

2025-09-16 Heimen Stoffels

        * Translated using Weblate (Dutch) (d04863e8a)

2025-09-17 Milo Ivir

        * Translated using Weblate (Croatian) (72dd69a0d)

2025-09-03 ButterflyOfFire

        * Translated using Weblate (Kabyle) (4c64c0491)
        * Translated using Weblate (Kabyle) (5cf9dfc46)

2025-09-05 Milo Ivir

        * Translated using Weblate (Croatian) (dc480649f)

2025-09-03 Milo Ivir

        * Translated using Weblate (Croatian) (e901ace9f)

2025-08-31 Niko

        * Translated using Weblate (Serbian) (b24084320)
        * Translated using Weblate (Serbian) (dbe233213)

2025-08-24 Priit Jõerüüt

        * Translated using Weblate (Estonian) (9eb9f7d36)

2025-08-25 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (b14f78964)

2025-08-24 Priit Jõerüüt

        * Translated using Weblate (Estonian) (6f0e3c4c7)

2025-08-17 Priit Jõerüüt

        * Translated using Weblate (Estonian) (11a32f523)

2025-08-11 Bảo Nam (Namm)

        * Translated using Weblate (Vietnamese) (13a061a7d)

2025-08-10 Steve

        * Translated using Weblate (French (Switzerland)) (e43bf26c1)

2025-08-07 Alagirisamy Rengaraj

        * Translated using Weblate (Tamil) (b26d7db2b)

2025-08-05 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (3a02aa7f3)

2025-08-11 Bảo Nam (Namm)

        * Translated using Weblate (Vietnamese) (43f2d36d3)

2025-08-11 phmqXPD

        * Translated using Weblate (Vietnamese) (328d8aa5f)

2025-08-11 Bảo Nam (Namm)

        * Translated using Weblate (Vietnamese) (e65998a8e)

2025-08-07 Alagirisamy Rengaraj

        * Translated using Weblate (Tamil) (34b2bf4d7)

2025-08-09 Heimen Stoffels

        * Translated using Weblate (Dutch) (c751683de)

2025-07-25 ButterflyOfFire

        * Translated using Weblate (Kabyle) (151a59fe4)
        * Translated using Weblate (Kabyle) (2a41e8fd6)

2025-07-24 Ratchanan Srirattanamet

        * Merge branch 'add-no-metrics-option' into 'main' (083ae10f7)

2025-07-22 ell1e

        * LomiriUiToolkit: Add no_lttng option to disable the lttng
          components (5ddafe050)

2025-07-18 phmqXPD

        * Translated using Weblate (Vietnamese) (3b4a276fd)
        * Translated using Weblate (Vietnamese) (9032b11c2)
        * Translated using Weblate (Vietnamese) (5ba589b4d)
        * Translated using Weblate (Vietnamese) (a9bbacf72)

2025-07-17 phmqXPD

        * Translated using Weblate (Vietnamese) (efc2e7bcb)

2025-07-16 phmqXPD

        * Translated using Weblate (Vietnamese) (c238a6214)
        * Translated using Weblate (Vietnamese) (7df4ca5ea)
        * Translated using Weblate (Vietnamese) (4ae2a67f3)

2025-07-11 Alioc

        * Translated using Weblate (Chinese (Simplified Han script))
          (1bf528b01)

2025-07-14 phmqXPD

        * Translated using Weblate (Vietnamese) (139d3dd7d)
        * Translated using Weblate (Vietnamese) (d34c51e42)
        * Translated using Weblate (Vietnamese) (ce8e753d3)
        * Translated using Weblate (Vietnamese) (7c9dbfb13)
        * Translated using Weblate (Vietnamese) (8cff7b9a5)

2025-06-29 phmqXPD

        * Translated using Weblate (Vietnamese) (160d56263)

2025-06-27 phmqXPD

        * Translated using Weblate (Vietnamese) (4400ae3e4)

2025-06-27 Capsia Tech

        * Translated using Weblate (Slovenian) (0d3b8040f)

2025-06-28 phmqXPD

        * Translated using Weblate (Vietnamese) (a17fb09d5)

2025-06-19 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (4f0422d64)

2025-06-04 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (ca965884d)

2025-05-27 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (ca3b7e951)

2025-05-26 Priit Jõerüüt

        * Translated using Weblate (Estonian) (217cc1572)

2025-05-22 Priit Jõerüüt

        * Translated using Weblate (Estonian) (cb9720f88)

2025-05-19 Priit Jõerüüt

        * Translated using Weblate (Estonian) (849f37b76)

2025-05-18 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (cafcec111)
        * Translated using Weblate (Norwegian Bokmål) (d586cee59)

2025-05-08 Priit Jõerüüt

        * Translated using Weblate (Estonian) (cc33f0bfb)

2025-05-05 Priit Jõerüüt

        * Translated using Weblate (Estonian) (33d69a07b)

2025-05-04 Priit Jõerüüt

        * Translated using Weblate (Estonian) (786985e08)

2025-04-30 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/icontheme-fallback-suru' into
          'main' (ce19c6050)

2025-04-28 Ratchanan Srirattanamet

        * iconprovider: add "suru" icon theme as an additional default theme
          (6057817a5)

2025-04-28 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/python-setuptools' into 'main'
          (a6418d831)

2025-04-28 Ratchanan Srirattanamet

        * d/control: B-Ds on python3-setuptools to fix build on Debian
          testing (387b4b6a0)

2025-04-03 Valery Levanchuk

        * Translated using Weblate (Belarusian) (d415c5f48)

2025-03-25 Niko

        * Translated using Weblate (Serbian) (98ece2613)

2025-03-13 Niko

        * Translated using Weblate (Serbian) (52e488884)
        * Translated using Weblate (Serbian) (189631c70)
        * Translated using Weblate (Serbian) (d96571a35)

2025-03-12 Niko

        * Translated using Weblate (Serbian) (68b9c4e88)

2025-03-03 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (26b901f90)

2025-02-06 Milo Ivir

        * Translated using Weblate (Croatian) (ab5a608a3)
        * Translated using Weblate (Croatian) (605b28581)

2025-02-05 Milo Ivir

        * Translated using Weblate (Croatian) (9f988dcb7)
        * Translated using Weblate (Croatian) (8c313677b)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (925cdf7ec)

2025-01-31 Ricky Tigg

        * Translated using Weblate (Finnish) (1904eae9f)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (595158f65)

2025-01-30 Ratchanan Srirattanamet

        * Merge branch 'personal/lduboeuf/mkcal_adaptation' into 'main'
          (aece262d2)

2025-01-27 Lionel Duboeuf

        * prepare Alarm component to support others alarm backend (1389f79e7)

2025-01-19 reimu105

        * Translated using Weblate (Chinese (Traditional Han script))
          (d151187d8)

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (6b3a65697)
        * Translated using Weblate (Tamil) (f72fe00df)

2025-01-07 Mike Gabriel

        * Release 1.3.5110 (4111d119b) (tag: 1.3.5110)

2024-12-27 Hosted Weblate

        * Update translation files (9ff697d90)
        * Update translation files (6113c860f)

2024-11-02 Adam Havelka

        * Translated using Weblate (Czech) (87027ae7e)

2024-11-07 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/mouseTouchAdaptor-on-all-arches'
          into 'main' (22fb6dbed)

2024-11-07 Ratchanan Srirattanamet

        * d/control: install B-Ds for X11 touch emulation on armhf too
          (3291bd8d5)

2024-11-01 Ratchanan Srirattanamet

        * LomiriToolkit: enable X11 touch emulation on all architectures
          (c5def134b)
          Fixes:
          https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1069558

2024-10-29 Joan CiberSheep

        * Translated using Weblate (Catalan) (1b54e6a78)

2024-10-14 Lars Bahner

        * Translated using Weblate (Norwegian Bokmål) (82d1e64b0)

2024-10-14 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/theme-inotify-main' into 'main'
          (121b7788f)

2024-10-11 Alfred

        * LomiriToolkit: Load palette & update themed items when the default
          theme changes (58867757b)

2024-10-12 ikozyris

        * Translated using Weblate (Greek) (1dd4efeed)

2024-10-08 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_deprecatedQML' into 'main'
          (59d736185)

2024-10-06 Lionel Duboeuf

        * fix typo (6afe951d2)
        * fix deprecated signal handlers for Connections type (c11b757f9)

2024-09-19 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/libqt5systeminfo5t64' into
          'main' (aae8e95d0)

2024-09-19 Ratchanan Srirattanamet

        * d/control: don't B-Ds on libqt5systeminfo5 directly (924d882c2)

2024-09-19 Mike Gabriel

        * Merge branch 'improve-disabled-button-text-1' into 'main'
          (7076597e7)

2024-07-31 Alexander

        * ButtonStyle: improve text colour visibility when the button is
          disabled (218716cd7)

2024-08-25 Software In Interlingua

        * Translated using Weblate (Interlingua) (9a7a9591d)

2024-08-16 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/build-against-noble-debian-installability'
          into 'main' (b45f281b6)

2024-08-15 Ratchanan Srirattanamet

        * d/control, d/rules: make bin:pkgs depends on some package on Ubuntu
          only (539442a9f)

2024-08-08 umesaburo sagawa

        * Translated using Weblate (Japanese) (eb90f0aac)

2024-08-11 umesaburo sagawa

        * Translated using Weblate (Japanese) (338131901)

2024-08-12 Ratchanan Srirattanamet

        * Merge branch 'icon-dynamic-source-switching' into 'main'
          (da12fbca7)

2024-08-09 Matthias Dahlmanns

        * make Icon.source of url type again (39e75dcec)

2024-08-01 Matthias Dahlmanns

        * don't bind icon.source to internal source (7e21f14d8)
        * Icon: allow dynamic switching between source and name (3fde40eed)

2024-08-06 umesaburo sagawa

        * Translated using Weblate (Japanese) (cb14631ed)

2024-08-05 umesaburo sagawa

        * Translated using Weblate (Japanese) (aeca6d686)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (288b2a877)
        * Translated using Weblate (Finnish) (bd3303b32)

2024-07-19 Ratchanan Srirattanamet

        * Merge branch 'temp-fix-button-style-1' into 'main' (a72422f66)

2024-07-18 Alexander

        * ButtonStyle: change back to hardcoding graphite (0f4925687)

2024-06-30 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/build-against-noble-t64-leftover'
          into 'main' (8f490672f)

2024-06-30 Ratchanan Srirattanamet

        * d/control: fixup depends on non-t64 version of our libraries
          (db5813f7c)
          Fixes: b5b7cf4871ce ("debian/: rename libraries
          to match 64-bit time_t transition in Ubuntu")

2024-06-12 Xuan Yun

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (556828a7c)
        * Translated using Weblate (Chinese (Min Nan) (nan)) (809e3da19)

2024-06-11 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/binding-restore-mode' into 'main'
          (f0e493552)

2024-02-26 Mike Gabriel

        * src/imports/Components/Themes/Ambiance/1.3/ScrollbarStyle.qml:
          Explicitly set >= Qt5.14 property Binding.restoreMode to
          avoid log warning. (7776b387e)

2024-06-01 Ali Beyaz

        * Translated using Weblate (Turkish) (8d0e9655b)

2024-05-16 Daniel Soohan Park

        * Translated using Weblate (Korean) (f24f88bf8)
        * Translated using Weblate (Korean) (1f88ed63a)

2024-05-06 Adam Havelka

        * Translated using Weblate (Czech) (3e2931901)

2024-05-08 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/liblttng-ust1t64' into 'main'
          (0e5eab612)

2024-05-08 Ratchanan Srirattanamet

        * d/control: remove all Pre-Depends (79da84cc5)

2024-05-07 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/bump-version-5101' into 'main'
          (799d02669)

2024-05-07 Ratchanan Srirattanamet

        * New changelog entry 1.3.5101 (ef94bb002)

2024-05-01 Ratchanan Srirattanamet

        * Merge branch 'button-style-1' into 'main' (e76f8d8df)

2024-02-13 Alexander

        * ButtonStyle.qml: remove specific file for SuruDark theme
          (cc2947ecf)

2024-04-25 Mike Gabriel

        * Merge branch 'main_-_hapticsfix' into 'main' (b015545cf)

2024-04-23 Kugi Eusebio

        * Check `state` property instead of `running` (ddfa7311d)

2024-04-25 Mike Gabriel

        * Merge branch 'ubuntu-plugin-qmltypes-files-1' into 'main'
          (8fe74b11b)

2024-02-13 Alexander

        * debian/rules: also create empty qmltypes files in Ubuntu
          directories (89515a753)

2024-04-02 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/build-against-noble-t64-transition'
          into 'main' (403b57048)

2024-03-25 Mike Gabriel

        * debian/*.lintian-overrides: Adjust library names in
          package-name-doesnt-match-sonames overrides. (e5f821e43)

2024-03-29 Ratchanan Srirattanamet

        * debian/: rename libraries to match 64-bit time_t transition in
          Ubuntu (b5b7cf487)

2024-04-01 复予

        * Translated using Weblate (Chinese (Simplified)) (ad2d08522)

2024-03-20 Mike Gabriel

        * Release 1.3.5100 (ac6604571) (tag: 1.3.5100)

2024-03-19 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/build-against-noble-update-dependencies'
          into 'main' (4b757cc1b)

2024-03-19 Ratchanan Srirattanamet

        * debian/control: update dependencies of the binary packages
          (869fcbc53)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (43ae7a3f1)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (0efa2f243)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (317a40cdf)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (aee8efcc2)

2024-03-10 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-against-noble' into 'main'
          (355b2c09a)

2024-03-08 Ratchanan Srirattanamet

        * debian/control: explicitly B-D on xauth (14b7b846d)
        * tests/, debian/: install Autopilot modules using packaging instead
          (51bd1594e)

2024-03-07 Ratchanan Srirattanamet

        * debian/rules: import packaging techniques from Debian where
          appropriate (86d01538a)
        * debian/*: makes it so that packaging also works on Debian
          (9e239b646)
        * debian/*: upgrade debhelper compat to 13 (e107e0160)
        * debian/rules: fix override target misspelling (da9b1a4c4)

2024-03-06 Ratchanan Srirattanamet

        * tests: fix QFlags' 0-constructor warnings (829545149)
        * imports/Test: fix QFlags' 0-constructor warning (5d925b2de)
        * LomiriToolkit: fix -Werror=switch in UCStyleHints & handle
          Type_Null (f8910583f)
        * LomiriToolkit: fix QObject's userData deprecation warning
          (a7a60ba95)
        * LomiriToolkit: fix QQmlListProperty's pointer variant warning
          (38014ce8b)
        * LomiriToolkit: fix QHash's insertMulti() warning (2af9d18ad)
        * LomiriToolkit: fix QFlags' 0-constructor warning (034117e9f)
        * LomiriToolkit: fix QLatin1String's conversion-from-ASCII warnings
          (eebad2339)
        * LomiriToolkit: fix QString's conversion-from-ASCII warnings
          (8c1732163)

2024-03-05 Ratchanan Srirattanamet

        * Toolbar: handle when tools' signal is emitted after tools are null
          (54445cea2)
        * Compoents, Themes: remove bindings to parent in ListView's
          delegates (18dcdf532)

2024-03-02 Ratchanan Srirattanamet

        * UCUnits: use QPA's scale only if native interface actually provide
          it (cc520a964)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/-/issues/34

2024-03-01 Ratchanan Srirattanamet

        * tst_actionlist: silence breakage warning by re-ordering imports
          (f6ab88165)

2024-02-29 Ratchanan Srirattanamet

        * tests/visual: switch from mouseWheel() to flick() in some tests
          (77c459a06)
        * tst_header: wait for movementEnded() when scrolling (0f9a0ef14)

2022-07-20 Sergey Chupligin

        * Fix build warnings and build failure on Debian (a617fc7af)

2024-03-03 Kristoffer Grundström

        * Translated using Weblate (Swedish) (b8750a830)

2024-03-02 Ermete D'Oro

        * Translated using Weblate (Italian) (5d211c7a8)

2024-02-15 ancalina

        * Translated using Weblate (Korean) (454d980c3)

2024-02-13 ancalina

        * Translated using Weblate (Korean) (4fd7aae79)

2024-02-11 ancalina

        * Translated using Weblate (Korean) (938ee9194)

2024-01-28 Mike Gabriel

        * Release 1.3.5012 (28178b0be) (tag: 1.3.5012)

2023-12-31 phlostically

        * Translated using Weblate (Esperanto) (d09e76d2b)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (f94a659f0)
        * Added translation using Weblate (Tamil (Sri Lanka)) (ea0855283)
        * Added translation using Weblate (German (Walser)) (fd27c964c)
        * Added translation using Weblate (Meadow Mari) (3b52db4a0)
        * Added translation using Weblate (Crimean Tatar) (da32d9a75)
        * Added translation using Weblate (Chuvash) (01afd9bd7)
        * Added translation using Weblate (Silesian) (ff1ba3be6)
        * Added translation using Weblate (Latin) (968243ad3)
        * Added translation using Weblate (Venetian) (089f1931d)
        * Added translation using Weblate (Ossetian) (63d490e3b)
        * Added translation using Weblate (Sami (Northern)) (e1d7b0739)
        * Added translation using Weblate (Greenlandic) (a649857a6)
        * Added translation using Weblate (Assamese) (e392c2db0)
        * Added translation using Weblate (Haitian) (b8d370fb6)
        * Added translation using Weblate (Cornish) (9e9b24113)
        * Added translation using Weblate (Frisian) (d48b729a0)
        * Added translation using Weblate (Kashubian) (e7467f2fe)
        * Added translation using Weblate (Aragonese) (16ba6f95b)
        * Added translation using Weblate (Tibetan) (60bdc26ed)
        * Added translation using Weblate (Filipino) (e73e4ef01)
        * Added translation using Weblate (Tigrinya) (a0243133d)
        * Added translation using Weblate (Tatar) (3340fdd52)
        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (995ce7578)
        * Added translation using Weblate (Tamil (Sri Lanka)) (806bd8000)
        * Added translation using Weblate (German (Walser)) (8817912d5)
        * Added translation using Weblate (Meadow Mari) (bc7b19732)
        * Added translation using Weblate (Crimean Tatar) (75ad1bcec)
        * Added translation using Weblate (Chuvash) (ac77ad4c9)
        * Added translation using Weblate (Silesian) (d0b8e678a)
        * Added translation using Weblate (Latin) (915746a50)
        * Added translation using Weblate (Venetian) (3a394f0a5)
        * Added translation using Weblate (Ossetian) (f396142de)
        * Added translation using Weblate (Sami (Northern)) (339f00715)
        * Added translation using Weblate (Greenlandic) (820be2dd1)
        * Added translation using Weblate (Assamese) (6505de9a1)
        * Added translation using Weblate (Haitian) (2b3ab055d)
        * Added translation using Weblate (Cornish) (e06771e2c)
        * Added translation using Weblate (Frisian) (78a0de7d7)
        * Added translation using Weblate (Kashubian) (e70abe47f)
        * Added translation using Weblate (Aragonese) (79f95669c)
        * Added translation using Weblate (Tibetan) (5437271b5)
        * Added translation using Weblate (Filipino) (f921848c2)
        * Added translation using Weblate (Tigrinya) (070e295e5)
        * Added translation using Weblate (Tatar) (68f24c74a)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (e0c24d69a)
        * Added translation using Weblate (Italian (it_CARES)) (4276727a1)

2023-12-14 gallegonovato

        * Translated using Weblate (Spanish) (b8655ed86)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (c0e395718)

2023-12-05 gallegonovato

        * Translated using Weblate (Spanish) (393006f12)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (910727f6c)

2023-12-01 Daniel Delgado Jiménez

        * Translated using Weblate (Spanish) (8acebfd78)

2023-11-29 Brohormr

        * Translated using Weblate (French) (162728dea)

2023-11-20 Ratchanan Srirattanamet

        * Merge branch 'fix/qt51511compat' into 'main' (4f999077d)

2023-11-18 OPNA2608

        * LomiriToolkit/ucstylehints: Fix compilation with Qt 5.15.11
          (80a807eb8)

2023-11-08 gallegonovato

        * Translated using Weblate (Spanish) (0df99ffe9)

2023-11-15 Ratchanan Srirattanamet

        * Merge branch 'fix/some-tests' into 'main' (a8324d670)

2023-11-14 Ratchanan Srirattanamet

        * tests/unit/visual/tst_imageprovider.11.qml: Current icon theme is
          suru-icon-theme (905222df3)

2023-10-15 OPNA2608

        * tests/tst_imageprovider.11.qml: Fix fallout from treewide
          ubuntu->lomiri rename (3095e6112)
        * tests/statesaver: Set permissions of test XDG_RUNTIME_DIR
          (9d857c0d3)

2023-10-29 NPL

        * Translated using Weblate (Japanese) (c8062dca4)

2023-10-18 Weblate

        * Added translation using Weblate (Xhosa) (0822514d9)
        * Added translation using Weblate (Manx) (9a023e615)
        * Added translation using Weblate (Corsican) (e3eac2768)
        * Added translation using Weblate (Chechen) (46ce12a54)
        * Added translation using Weblate (Wolof) (bea4ec411)
        * Added translation using Weblate (Kurdish (Central)) (4bb6b6ad7)
        * Added translation using Weblate (Uzbek) (2ca3e9d59)
        * Added translation using Weblate (Kyrgyz) (f36e495ad)
        * Added translation using Weblate (Kurdish) (8c22b9dbc)
        * Added translation using Weblate (Sotho (Southern)) (eebfd8585)
        * Added translation using Weblate (Kannada) (f7c81c2e3)
        * Added translation using Weblate (Kazakh) (c6f228970)
        * Added translation using Weblate (Faroese) (bb99d2921)
        * Added translation using Weblate (Nepali) (7d03c6ce6)
        * Added translation using Weblate (Norwegian Nynorsk) (2bdd712a4)
        * Added translation using Weblate (Swahili) (fc97dcda8)
        * Added translation using Weblate (Afrikaans) (1094e1d22)
        * Added translation using Weblate (Marathi) (49c83f6a2)
        * Added translation using Weblate (Vietnamese) (101bae600)
        * Added translation using Weblate (Odia) (2b8c5872a)
        * Added translation using Weblate (Bengali) (2d2e2c70b)
        * Added translation using Weblate (Estonian) (b4b34abf1)
        * Added translation using Weblate (Irish) (c05246df8)
        * Added translation using Weblate (Xhosa) (fa6e70584)
        * Added translation using Weblate (Manx) (22f5018b1)
        * Added translation using Weblate (Corsican) (dff84c716)
        * Added translation using Weblate (Wolof) (195c3e942)
        * Added translation using Weblate (Kurdish (Central)) (6496311d3)
        * Added translation using Weblate (Uzbek) (efdd4a6b9)
        * Added translation using Weblate (Kyrgyz) (c4771b97a)
        * Added translation using Weblate (Sotho (Southern)) (ec7e3129f)
        * Added translation using Weblate (Kazakh) (35bfc693e)
        * Added translation using Weblate (Faroese) (7d814aef6)
        * Added translation using Weblate (Norwegian Nynorsk) (275286b69)
        * Added translation using Weblate (Swahili) (dabbbc68a)
        * Added translation using Weblate (Odia) (08ad74f6b)
        * Added translation using Weblate (Bengali) (f77d69dda)

2023-10-11 phlostically

        * Translated using Weblate (Esperanto) (5c783a307)

2023-10-11 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (8a6a2050a)
        * Translated using Weblate (Russian) (43ce7b6ed)

2023-10-15 Mike Gabriel

        * Release 1.3.5011 (2cf160ebc) (tag: 1.3.5011)

2023-09-13 Alfred Neumayer

        * Merge branch 'personal/peat-psuwit/flickering-ItemSelector' into
          'main' (fc900668e)

2023-09-13 Ratchanan Srirattanamet

        * OptionSelectorDelegate: don't update our height when it's 0
          (458a18b8b)

2023-09-06 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (38dff614e)

2023-09-01 Mike Gabriel

        * Merge branch 'mateosalta-main-patch-89638' into 'main' (65fdf8cf6)

2023-08-31 mateosalta

        * font family package not likely to change, the font should still be
          named ubuntu (1495be9aa)

2023-08-24 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/fix-cross-install_replace-break'
          into 'main' (96620fe02)

2023-08-24 Ratchanan Srirattanamet

        * debian/control: add Breaks, Replaces after moving file between
          package (b09ba9362)

2023-08-22 Mike Gabriel

        * Merge branch 'gallery' into 'main' (dcc08cc8a)

2023-07-12 Lionel Duboeuf

        * Update About.qml (be3c24b25)

2023-06-30 Lionel Duboeuf

        * Gallery: Update icon (02b1ce9de)
        * Gallery: Allow to set manifest version from outside (810f1d491)
        * Gallery: Use sdk icon (40d3e0e32)

2023-06-29 Lionel Duboeuf

        * Gallery: Adapt links to new API documentation (8cc015bdf)

2023-08-22 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/fix-cross-install' into 'main'
          (d689f48e1)

2023-08-11 Ratchanan Srirattanamet

        * debian/*: fix foreign-arch install of us and native
          lomiri-app-launch (27076218b)
          Fixes: 9012bd4ed896
          ("session-migration: migrate LUITK's theme config")

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (f445cb18c)

2023-08-12 NPL

        * Translated using Weblate (Japanese) (6d76d25b8)

2023-08-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (d5cd9f2f9)

2023-08-04 Salif Mehmed

        * Translated using Weblate (Bulgarian) (381bb132a)

2023-07-10 abidin toumi

        * Translated using Weblate (Arabic) (dcb3a523c)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (c6d9d6b55)

2023-07-07 NPL

        * Translated using Weblate (Japanese) (e66b9f1bb)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (e70d52799)
        * Added translation using Weblate (Sanskrit) (6b3acfb42)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (374e2e100)

2023-06-22 Lionel Duboeuf

        * Translated using Weblate (French) (f019fc908)

2023-06-12 Mike Gabriel

        * Merge branch 'personal/gberh/doc-fixes' into 'main' (7df579c06)

2023-06-12 Guido Berhoerster

        * Fix typo (91d7cb86d)

2023-06-06 Guido Berhoerster

        * Fix qdoc QML module membership (66a8b7e40)
        * Add missing qdoc module pages (85df3f94b)

2023-06-06 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/config-migration' into 'main'
          (4f6d66315)

2023-05-24 Ratchanan Srirattanamet

        * session-migration: migrate LUITK's theme config (9012bd4ed)

2023-06-05 Mike Gabriel

        * Merge branch 'personal/fredldotme/autoscalefixes' into 'main'
          (1137a607d)

2023-04-28 Alfred Neumayer

        * qml: Remove now-redundant references to a screen's devicePixelRatio
          (ff3af0f9d)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (a1b248b96)
        * Translated using Weblate (Georgian) (4c787669d)

2023-06-02 Ratchanan Srirattanamet

        * Merge branch 'personal/gber/doc-cleanup' into 'main' (02355d158)

2023-03-16 Guido Berhoerster

        * Remove dead launchpad link (cc16c8825)
        * Install documentation under /usr/share/doc (c7700a8ae)
        * Fix footer copyright (7cb29ea9a)
        * Fix qdoc markup (78c2dc6fa)

2023-03-15 Guido Berhoerster

        * docs.sh: Fix broken quoting (dec6ce54e)
        * Remove "online" documentation (5531a363e)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (f0323d488)
        * Translated using Weblate (Georgian) (e3984e924)
        * Translated using Weblate (Georgian) (a5d01feed)
        * Translated using Weblate (Georgian) (6544d5b0f)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (a4014b911)

2023-03-31 Sylke Vicious

        * Translated using Weblate (Italian) (f9145255d)
        * Translated using Weblate (Italian) (3ddc1acaf)

2023-03-31 Jozef Mlich

        * Translated using Weblate (Czech) (87232d3d1)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (9a386fb83)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (2a7ec2cfd)
        * Translated using Weblate (Czech) (87231ebae)

2023-02-27 Heimen Stoffels

        * Translated using Weblate (Dutch) (57b9c01a6)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (3dd1a0519)

2023-02-25 Heimen Stoffels

        * Translated using Weblate (Dutch) (473be341d)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (d61564dc3)

2023-02-27 Mike Gabriel

        * Release 1.3.5010 (b996aa8e9) (tag: 1.3.5010)

2023-02-24 gnu-ewm

        * Translated using Weblate (Polish) (326d133d1)

2023-02-23 Heimen Stoffels

        * Translated using Weblate (Dutch) (ca5dd9845)

2023-02-22 Heimen Stoffels

        * Translated using Weblate (Dutch) (185d4fc17)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Russian) (47240fe1d)
        * Translated using Weblate (Ukrainian) (06dc47590)
        * Translated using Weblate (Russian) (d084889ed)

2023-02-19 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/dev-pkg-deps' into 'main'
          (a71cd1313)

2023-02-17 Ratchanan Srirattanamet

        * debian/control: fix Depends of *-dev packages (7d57ed805)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (44b9462c4)
        * Translated using Weblate (Esperanto) (9081fefe8)

2023-02-14 Luna Jernberg

        * Translated using Weblate (Swedish) (f16e873f5)

2023-02-08 gnu-ewm

        * Translated using Weblate (Polish) (35bd3ddf4)

2023-02-06 Mike Gabriel

        * Release 1.3.5000 (5cf9d740c) (tag: 1.3.5000)

2023-02-05 gnu-ewm

        * Translated using Weblate (Polish) (f122a2ee9)

2023-02-04 Mike Gabriel

        * Translated using Weblate (German) (fd14e4aee)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (eead19dee)

2023-01-30 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (4f1f1a826)
        * Translated using Weblate (Russian) (5573f4b0e)
        * Translated using Weblate (Ukrainian) (45c496e5d)

2023-01-26 gnu-ewm

        * Translated using Weblate (Polish) (a2395d610)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (62e248d2b)

2023-01-21 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (d9f470eb7)
        * Translated using Weblate (Russian) (74ee9bada)
        * Translated using Weblate (Ukrainian) (b4484f76f)

2023-01-20 Sergii Horichenko

        * Translated using Weblate (Russian) (9306d3bb5)

2023-01-21 Sergii Horichenko

        * Translated using Weblate (German) (c83597843)

2023-01-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (54e8ce1bc)
        * Translated using Weblate (Russian) (3e89c634e)

2023-01-19 Daniel Frost

        * Translated using Weblate (German) (c5dde6b53)

2023-01-18 Asahi 95

        * Translated using Weblate (Japanese) (2d4303730)

2023-01-17 Daniel Frost

        * Translated using Weblate (German) (7803b6fd8)

2023-01-15 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (4fa793d2d)
        * Translated using Weblate (Russian) (0d31eebe7)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (a14a55c3e)
        * Translated using Weblate (Ukrainian) (990a3a68b)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (d640ccac8)
        * Translated using Weblate (Russian) (64c1eebe0)

2023-01-13 Timothy G

        * Translated using Weblate (French) (15a3a13c6)
        * Translated using Weblate (French) (30eb78f93)

2023-01-11 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/22-compat-theme' into 'main'
          (f6117cf69)

2023-01-10 Ratchanan Srirattanamet

        * src/imports-compat: add more compat types for Themes.Ambiance
          (ae0722622)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/-/issues/22

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (e239d99cc)
        * Translated using Weblate (Ukrainian) (4c71ff6f3)

2023-01-10 Dan

        * Translated using Weblate (Ukrainian) (6cfa01812)

2023-01-06 Daniel Frost

        * Translated using Weblate (German) (cd687bbb8)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (213a5db13)

2023-01-05 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (7114c6be7)

2023-01-05 Mike Gabriel

        * examples/lomiri-ui-toolkit-gallery/po/: Rename Chinese translation
          files to <country>_<region>.po pattern. (ac408b2fb)
        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (ceb922f81)
        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (7a707d225)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (4a2c7c071)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (24e919623)

2023-01-04 Anonymous

        * Translated using Weblate (Pampanga) (c8022525b)
        * Translated using Weblate (Chinese (Min Nan)) (73048d74e)
        * Translated using Weblate (Kurdish (Southern)) (8b7fe3695)
        * Translated using Weblate (French (Switzerland)) (a25c96597)
        * Translated using Weblate (Kurdish (Northern)) (8c51c29ba)
        * Translated using Weblate (Shan) (636591d9e)
        * Translated using Weblate (Bemba) (ef41e2975)
        * Translated using Weblate (Oromo) (d23e38657)
        * Translated using Weblate (Dhivehi) (340a73cd2)
        * Translated using Weblate (Kabyle) (eda8120f4)
        * Translated using Weblate (Nyanja) (aa6c5ca48)
        * Translated using Weblate (Lojban) (e471d2f86)
        * Translated using Weblate (English (United States)) (bcd977110)
        * Translated using Weblate (Sinhala) (16bc75128)
        * Translated using Weblate (Macedonian) (547f19d4a)
        * Translated using Weblate (Maori) (e36be2be3)
        * Translated using Weblate (Malayalam) (bb78674e0)
        * Translated using Weblate (Friulian) (3d9f2f2ed)
        * Translated using Weblate (Malagasy) (620607125)
        * Translated using Weblate (Icelandic) (3903b70be)
        * Translated using Weblate (Pashto) (3e65e7ef6)
        * Translated using Weblate (Telugu) (af7b98bca)
        * Translated using Weblate (Tajik) (b139b4843)
        * Translated using Weblate (Turkmen) (39e6f7d10)
        * Translated using Weblate (Luxembourgish) (c23378730)
        * Translated using Weblate (Pampanga) (4f0ff9f58)
        * Translated using Weblate (Chinese (Min Nan)) (6b3dd20b8)
        * Translated using Weblate (Kurdish (Southern)) (2ce94e0f5)
        * Translated using Weblate (French (Switzerland)) (659c79cdd)
        * Translated using Weblate (Kurdish (Northern)) (74aca65bb)
        * Translated using Weblate (Shan) (b03b5b853)
        * Translated using Weblate (Bemba) (6b6991e03)
        * Translated using Weblate (Oromo) (e1f4b1e66)
        * Translated using Weblate (Dhivehi) (bfae94ac8)
        * Translated using Weblate (Kabyle) (016c07ac6)
        * Translated using Weblate (Nyanja) (f1804fb6e)
        * Translated using Weblate (Sindhi) (db5048346)
        * Translated using Weblate (Burmese) (8e2350ffe)
        * Translated using Weblate (Lojban) (9a908410a)
        * Translated using Weblate (English (United States)) (e96ea819c)
        * Translated using Weblate (Macedonian) (a9edc18b0)
        * Translated using Weblate (Maori) (0aab76ed5)
        * Translated using Weblate (Malayalam) (7a17a7fe9)
        * Translated using Weblate (Friulian) (cd42cb5c9)
        * Translated using Weblate (Malagasy) (ac8925d81)
        * Translated using Weblate (Icelandic) (72c4ff885)
        * Translated using Weblate (Pashto) (e8490bdeb)
        * Translated using Weblate (Asturian) (eeb0b4d00)
        * Translated using Weblate (Bulgarian) (43e265bb0)
        * Translated using Weblate (Telugu) (29ab470be)
        * Translated using Weblate (Tajik) (363ffa23b)
        * Translated using Weblate (Turkmen) (d330a7d27)
        * Translated using Weblate (Lao) (3e2371795)
        * Translated using Weblate (Lingala) (19612ba62)
        * Translated using Weblate (Luxembourgish) (7a605a60d)
        * Translated using Weblate (Valencian) (087431155)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (a1fc16bd4)

2023-01-04 Anonymous

        * Translated using Weblate (Urdu) (181036be8)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (da434c4aa)

2023-01-04 Anonymous

        * Translated using Weblate (Tetum) (e34872e2a)
        * Translated using Weblate (Ido) (308c2918b)
        * Translated using Weblate (Ido) (0bb53aece)
        * Translated using Weblate (Tetum) (7694cbba1)
        * Translated using Weblate (Scots) (5ef8f5169)
        * Translated using Weblate (Scots) (081483cc2)
        * Translated using Weblate (Franco-Provençal) (ab91c8507)
        * Translated using Weblate (Franco-Provençal) (bee121fe1)
        * Translated using Weblate (Vietnamese) (fefd2fb42)
        * Translated using Weblate (Sindhi) (e838aaee3)
        * Translated using Weblate (Nepali) (802a49c59)
        * Translated using Weblate (Burmese) (d60a76270)
        * Translated using Weblate (Marathi) (68aa763da)
        * Translated using Weblate (Lao) (363a630f7)
        * Translated using Weblate (Lingala) (dbc9666c6)
        * Translated using Weblate (Estonian) (8c8211d46)
        * Translated using Weblate (Bulgarian) (c436080fb)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (fe951a19f)
        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (f8c580e5f)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (c910442b0)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (1675b9205)
        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (802ee9cd5)

2023-01-04 Weblate

        * Added translation using Weblate (Pampanga) (ddb1dd4b4)
        * Added translation using Weblate (Chinese (Min Nan)) (10698e28c)
        * Added translation using Weblate (Kurdish (Southern)) (364134c15)
        * Added translation using Weblate (French (Switzerland)) (4c0568484)
        * Added translation using Weblate (Kurdish (Northern)) (e9fa0ef6c)
        * Added translation using Weblate (Shan) (f006e9ace)
        * Added translation using Weblate (Bemba) (37cdf4e80)
        * Added translation using Weblate (Oromo) (07a3507ae)
        * Added translation using Weblate (Afar) (805f0c7f4)
        * Added translation using Weblate (Dhivehi) (ab306d901)
        * Added translation using Weblate (Bengali (Bangladesh)) (f244672e6)
        * Added translation using Weblate (Kabyle) (393931e5a)
        * Added translation using Weblate (Nyanja) (fc4994f91)
        * Added translation using Weblate (English (Canada)) (8041d5fb7)
        * Added translation using Weblate (Lojban) (2fe9b1d94)
        * Added translation using Weblate (Sardinian) (adff65845)
        * Added translation using Weblate (English (United States))
          (a586b2cdb)
        * Added translation using Weblate (Sinhala) (cd4964ff4)
        * Added translation using Weblate (Georgian) (25d57e4df)
        * Added translation using Weblate (Macedonian) (5f11fbe26)
        * Added translation using Weblate (Maori) (c69fc7130)
        * Added translation using Weblate (Malayalam) (f9cb6f51c)
        * Added translation using Weblate (Friulian) (85078e3a9)
        * Added translation using Weblate (Malagasy) (ce04077a3)
        * Added translation using Weblate (Armenian) (fa6451790)
        * Added translation using Weblate (Icelandic) (2f4f815e1)
        * Added translation using Weblate (Pashto) (18e3112fa)
        * Added translation using Weblate (Telugu) (3c91330d6)
        * Added translation using Weblate (Tajik) (6484c8320)
        * Added translation using Weblate (Turkmen) (4a4150f71)
        * Added translation using Weblate (Luxembourgish) (e01ad4e53)
        * Added translation using Weblate (Gujarati) (6f864d5b4)
        * Added translation using Weblate (Pampanga) (9096c92d8)
        * Added translation using Weblate (Chinese (Min Nan)) (4edd482ac)
        * Added translation using Weblate (Kurdish (Southern)) (438ce3d34)
        * Added translation using Weblate (French (Switzerland)) (e00222ece)
        * Added translation using Weblate (Kurdish (Northern)) (e6def897f)
        * Added translation using Weblate (Shan) (b45d75c6a)
        * Added translation using Weblate (Bemba) (9b052fa9b)
        * Added translation using Weblate (Oromo) (9cf8c2d1d)
        * Added translation using Weblate (Afar) (3a5d23ce5)
        * Added translation using Weblate (Dhivehi) (90abd63d1)
        * Added translation using Weblate (Bengali (Bangladesh)) (c03ac9089)
        * Added translation using Weblate (Kabyle) (099061b4a)
        * Added translation using Weblate (Nyanja) (44131483e)
        * Added translation using Weblate (French (Canada)) (b9acc50b5)
        * Added translation using Weblate (English (Canada)) (2df629506)
        * Added translation using Weblate (English (Australia)) (9ada83f08)
        * Added translation using Weblate (Sindhi) (a3607129e)
        * Added translation using Weblate (Burmese) (ba7ca33b9)
        * Added translation using Weblate (Lojban) (4b829c1cb)
        * Added translation using Weblate (Sardinian) (2d761ff24)
        * Added translation using Weblate (English (United States))
          (9b69db656)
        * Added translation using Weblate (Slovenian) (eaeae4a9e)
        * Added translation using Weblate (Sinhala) (23ef90963)
        * Added translation using Weblate (Khmer (Central)) (b16b72987)
        * Added translation using Weblate (Korean) (165c45cda)
        * Added translation using Weblate (Albanian) (6414788f8)
        * Added translation using Weblate (Serbian) (4a2c04116)
        * Added translation using Weblate (Georgian) (c6b7c4a93)
        * Added translation using Weblate (Persian) (773b4c5e7)
        * Added translation using Weblate (Indonesian) (30c70ec46)
        * Added translation using Weblate (Azerbaijani) (5aa997527)
        * Added translation using Weblate (Amharic) (c2aa2685f)
        * Added translation using Weblate (Malay) (1914f368c)
        * Added translation using Weblate (Macedonian) (6c126b4e0)
        * Added translation using Weblate (Maori) (5f56e68ce)
        * Added translation using Weblate (Malayalam) (f20453293)
        * Added translation using Weblate (Friulian) (164f639a0)
        * Added translation using Weblate (Malagasy) (7401e6478)
        * Added translation using Weblate (Hebrew) (42fb03dde)
        * Added translation using Weblate (Hindi) (35cb77aa4)
        * Added translation using Weblate (Croatian) (972c64fa2)
        * Added translation using Weblate (Armenian) (3d2841497)
        * Added translation using Weblate (English (United Kingdom))
          (1815d5c1c)
        * Added translation using Weblate (Icelandic) (bca433f88)
        * Added translation using Weblate (Punjabi) (2fe553e85)
        * Added translation using Weblate (Pashto) (634a27c79)
        * Added translation using Weblate (Czech) (8c7dcbe3c)
        * Added translation using Weblate (Welsh) (997ca016c)
        * Added translation using Weblate (Japanese) (f6a3d3ab9)
        * Added translation using Weblate (Bosnian) (41c761a8f)
        * Added translation using Weblate (Asturian) (04573e721)
        * Added translation using Weblate (Bulgarian) (2635ffa63)
        * Added translation using Weblate (Belarusian) (47357c9de)
        * Added translation using Weblate (Romanian) (1a7f2d94a)
        * Added translation using Weblate (Basque) (294d9d270)
        * Added translation using Weblate (Esperanto) (216efa869)
        * Added translation using Weblate (Danish) (a3e971ee3)
        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (9dfc990e3)
        * Added translation using Weblate (Tamil) (344316cae)
        * Added translation using Weblate (Telugu) (0745789e9)
        * Added translation using Weblate (Tajik) (44d72e8d9)
        * Added translation using Weblate (Thai) (1fe0110cf)
        * Added translation using Weblate (Turkmen) (5724b7ac3)
        * Added translation using Weblate (Lithuanian) (9e6c5dfe3)
        * Added translation using Weblate (Latvian) (aa9ac3ef3)
        * Added translation using Weblate (Lao) (24e5d282d)
        * Added translation using Weblate (Lingala) (ed04e8a2d)
        * Added translation using Weblate (Luxembourgish) (454958d84)
        * Added translation using Weblate (Valencian) (b1ae2a805)
        * Added translation using Weblate (Gujarati) (03038ef6e)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (c8e15973b)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (ca2af4999)
        * Added translation using Weblate (Urdu) (ca36f1ae2)
        * Added translation using Weblate (Tetum) (19e1bc302)
        * Added translation using Weblate (Ido) (38582aeaa)
        * Added translation using Weblate (Ido) (31512c156)
        * Added translation using Weblate (Tetum) (58911f14a)
        * Added translation using Weblate (Scots) (3b823769b)
        * Added translation using Weblate (Scots) (e577fa31b)
        * Added translation using Weblate (Franco-Provençal) (67e4a2096)
        * Added translation using Weblate (Franco-Provençal) (667e9b8a9)

2023-01-03 Hosted Weblate

        * Update translation files (979084452)
        * Update translation files (6fed8c2dd)

2022-12-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/ucunits' into 'main' (7d65580fb)

2022-12-05 Alfred Neumayer

        * tests: Adapt qquick_image_extension (b1ea31492)

2022-11-30 Alfred Neumayer

        * LomiriToolkit: Check for QML Engine existance before scaling images
          (ab928907c)

2022-11-26 Alfred Neumayer

        * LomiriToolkit: nullptr checks & different "reference screen" for
          OSK (5f6ec032f)

2022-11-24 Alfred Neumayer

        * LomiriToolkit: Hang onto screen added/removed signals for gridUnit
          calculation (8242d0c9b)

2022-11-20 Alfred Neumayer

        * LomiriToolkit: Get scaling directly from the nativeInterface first
          (0df3bde6a)

2022-11-23 Mike Gabriel

        * Merge branch 'mr/fix-mispelled-API-name' into 'main' (0754a7017)

2021-05-18 Mike Gabriel

        * components.api (et al.): Fix misspelled property name. (45c965e9f)

2022-11-22 Mike Gabriel

        * Merge branch 'main_-_datepickersuru' into 'main' (2f5057548)

2022-09-23 Lionel Duboeuf

        * set better contrast for picker in suru dark (1d890ff4c)

2022-08-11 Ratchanan Srirattanamet

        * Merge branch 'fix-compat-layer' into 'main' (bdf35cdab)

2022-08-11 Guido Berhoerster

        * Add Ubuntu.Components.UbuntuAnimation to compatibility layer
          (b0909deae)
        * Add Ubuntu.Components.UbuntuColors to compatibility layer
          (7488fc0b9)

2022-07-21 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/ubuntu-test-compat' into 'main'
          (515ab0629)

2022-07-16 Ratchanan Srirattanamet

        * src/import-compat: add compatibility layer for Ubuntu.Test
          (ced6bf907)

2022-07-21 Ratchanan Srirattanamet

        * Merge branch 'mr/lomiri-namespace-in-binary-names' into 'main'
          (90f82670a)

2022-07-21 Mike Gabriel

        * debian/lomiri-app-launch-profiler.install: Adjust executable names
          to name changes in the upstream code. (225becf84)

2021-05-18 Mike Gabriel

        * app-launch-profile: Use lomiri namespace in binary file names.
          (061e162fb)

2022-07-19 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/useless-pro' into 'main'
          (66da7d33b)

2021-10-16 Ratchanan Srirattanamet

        * src/imports: remove useless *Module.pro files (a6f009b7c)

2021-10-09 Ratchanan Srirattanamet

        * src: remove stale Lomiri folder (f6576ff8a)

2022-06-24 Guido Berhoerster

        * Merge branch 'mr/fix-misspelled-protocol-call' into 'main'
          (2806cdf9b)

2022-06-19 Marius Gripsgard

        * Release 1.3.4000 (07ae0dbd3) (tag: 1.3.4000)

2022-06-03 Ratchanan Srirattanamet

        * Merge branch
          'personal/peat-psuwit/global-warning-logging-cat-change'
          into 'main' (4f38f3ec7)
        * deprecationprinter: change category name & add global warning
          (a17a4bf74)

2021-12-23 Dalton Durst

        * Merge branch 'mr/general-typo-fixes' into 'main' (7a596d161)

2021-12-08 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/compat-qmldir-fixes' into 'main'
          (0831a0ac9)

2021-12-08 Alfred Neumayer

        * src/imports-compat: Fix UbuntuListView and -NumberAnimation types
          (7ad00ab12)

2021-12-02 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/ubuntu-name-compat' into 'main'
          (075975159)

2021-11-26 Ratchanan Srirattanamet

        * src: add DeprecationPrinter for Ubuntu.* (5c39ac1dd)

2021-10-15 Ratchanan Srirattanamet

        * debian/*: (re-)add Ubuntu UITK compatibility packages (9e6e745d2)
        * debian/rules: build with Ubuntu UITK compat layer enabled
          (ad6234d13)
        * src/LomiriToolkit: provide UbuntuApplication (a07b520bf)
        * src/imports-compat: add Ubuntu.PerformanceMetrics (8321773e2)

2021-10-14 Ratchanan Srirattanamet

        * src/imports-compat: add Ubuntu.Metrics (1aa27c461)
        * src/imports-compat: add Ubuntu.Layouts (b59e5719b)
        * src/imports-compat: add Ubuntu.Components' submodules (a963b13aa)

2021-10-13 Ratchanan Srirattanamet

        * src: add imports-compat, starts with Ubuntu.Components (50b146589)
        * src: move ucnamespace to the shared part (e93eb2214)

2021-10-15 Ratchanan Srirattanamet

        * LomiriToolkitModule: ensure initializeModule() is idempotent per
          engine (17adab0cd)

2021-10-12 Ratchanan Srirattanamet

        * LomiriToolkitModule: allow defining module over different URI
          (fd6d472c3)

2021-11-25 Marius Gripsgard

        * Merge branch 'mr/replace-schema-dependencies' into 'main'
          (8fe26ed88)
        * Merge branch 'pr/rename-com-ubuntu-touch-accountsservice-sound'
          into 'main' (f2b54b3a3)

2021-11-05 Robert Tari

        * debian/control: Replace schema dependencies (0db9e9209)

2021-11-01 Robert Tari

        * Rename com.ubuntu.touch.AccountsService.Sound to
          com.lomiri.touch.AccountsService.Sound (5d79e4e4d)
        * Rename com.ubuntu.touch.AccountsService.Sound to
          com.lomiri.touch.AccountsService.Sound (3adf1845d)

2021-11-24 Marius Gripsgard

        * Merge branch 'pr/x-canonical-to-x-ayatana' into 'main' (03c470a67)

2021-10-25 Robert Tari

        * Renaname x-canonical properties (0b65f9c5a)

2021-08-31 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/merge-xenial-2021Aug' into
          'main' (b3a5d49f4)

2021-08-31 Ratchanan Srirattanamet

        * Merge remote-tracking branch 'gitlab_ubports/ubports/xenial' into
          personal/peat-psuwit/merge-xenial-2021Aug (9b381f953)

2021-07-23 Rodney

        * Merge branch 'xenial_-_fix_datepicker' into 'ubports/xenial'
          (e91a70304)

2021-07-23 Lionel Duboeuf

        * Fix the DatePicker not starting from the current date or time
          (26221fa5e)

2021-07-19 Ratchanan Srirattanamet

        * Merge branch 'mr/explicit-license-attribution-of-artwork-files'
          into 'main' (ee3bf67bd)

2021-05-26 Ratchanan Srirattanamet

        * Merge branch 'mr/fix-company-name' into 'main' (96540b504)

2021-05-26 Mike Gabriel

        * COPYING.CC-BY-SA-3.0: Attribute artwork files with correct license.
          (Derived from debian/copyright). (b07e4d661)

2021-05-21 Mike Gabriel

        * tests/**: Fix company name (Canonical Ltd., not Canonical).
          (31974d94e)
        * src/**: Fix company name of Canonical Ltd. (no comma between
          Canonical and Ltd.). Helps with copyright auto-generation.
          (ff365b1dc)

2021-05-18 Mike Gabriel

        * src/LomiriToolkit/ucactioncontext.cpp: Fix misspelled word in
          CONTEXT_TRACE call. (421a19473)
        * grammar fix: allows to -> allows one to (b4b26da05)

2021-05-17 Mike Gabriel

        * Release 1.3.3000 (039c68a89) (tag: 1.3.3000)

2021-05-13 Ratchanan Srirattanamet

        * Merge branch 'mr/drop-pre-built-binary-files' into 'main'
          (0ac0df939)

2021-05-05 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/fix-tst-haptics' into 'main'
          (d8abd38e8)

2021-04-22 Ratchanan Srirattanamet

        * tst_haptics: fix expected duration in test_custom_play()
          (11e295823)

2021-04-24 Mike Gabriel

        * tests/unit/i18n: Drop pre-built files from source tree. Fixes
          flawed commit c7eb6aec1356cd9f89d4f54dad5d80df77bc5652.
          (38a208ec3)

2021-04-23 Rodney

        * Merge branch 'personal/peat-psuwit/dont-break-lomiri' into 'main'
          (b87bca553)

2021-04-22 Ratchanan Srirattanamet

        * d/control: remove breaks against lomiri; not applicable for new pkg
          name (a60dfb0a1)

2021-04-16 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/qt-5-15' into 'main' (dbb095e49)

2021-04-14 Ratchanan Srirattanamet

        * tst_actionbar.13: fix improper use of anchors in Layout-managed
          items (0c5dd0d4b)

2021-04-13 Ratchanan Srirattanamet

        * tst_combobutton.11: break up mouseMove events (736a4b393)

2021-04-06 Ratchanan Srirattanamet

        * tst_mousefilterstest: avoid sending MouseMove with no movement
          (6eb060c51)
        * tst_scrollbar_header: workaround Qt not setting null parent as
          expected (05adf2908)

2021-04-03 Ratchanan Srirattanamet

        * src, tests, examples: account for icon name changes (f0883bab8)

2021-04-02 Ratchanan Srirattanamet

        * tests/unit: handle more precise type reporting (d6a796526)
        * tests/unit: silence deprecation warnings with no alternative in Qt
          5.12 (43d7acfcf)

2021-03-08 Ratchanan Srirattanamet

        * tests/asyncloader: workaround crash in Qt 5.15 (860e46ce0)

2021-03-31 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/merge-xenial-20210326' into
          'main' (b6d370d71)
        * Merge branch 'personal/peat-psuwit/start-building-main' into 'main'
          (b94f4dc9f)

2021-03-26 Ratchanan Srirattanamet

        * OptionSelectorDelegate: remove the redundant pseudo-binding
          (4889b1aa4)
        * Move Jenkinsfile to debian/ per the new guideline (703db3f08)
        * Update Jenkinsfile to use shared library (e0259a528)
        * Move Jenkinsfile to debian/ per the new guideline (a3402af49)
        * Update Jenkinsfile to use shared library (090a04af2)
        * Rename newly-added code (2e43c95b9)
        * Merge branch 'ubports/xenial' into
          personal/peat-psuwit/merge-xenial-20210326 (9cb12f2ca)

2021-03-25 Lionel Duboeuf

        * gallery: clickable it (#112) (2b1f06d91)

2021-03-25 Rodney

        * Merge pull request #80 from cibersheep/DividerSeparators
          (f29015f72)
        * Merge pull request #68 from lduboeuf/xenial (51d4564b1)

2021-03-25 Lionel Duboeuf

        * allow overriding the popup background color (1b148eb94)

2021-03-25 Joan CiberSheep

        * Divider separator as 1 dp (b448935ae)

2021-03-24 Rodney

        * Merge pull request #111 from lduboeuf/xenial_-_gallery_updatelinks
          (a32e223a2)
        * Merge pull request #113 from
          matdahl/matdahl-optionselectordelegate-bindingloop
          (8c8f35b9e)

2021-03-17 Matthias Dahlmanns

        * avoid binding loop - 3rd try (8c9f68e10)

2021-03-04 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/cleanup-improvement' into
          'master' (a5997a7b8)
        * Merge branch 'personal/peat-psuwit/no-gles-buildtime' into 'master'
          (22292c9f0)
        * Merge branch 'personal/peat-psuwit/remove-deadcode' into 'master'
          (6bf179b5e)
        * Merge branch 'personal/peat-psuwit/fix-wrong-example-install' into
          'master' (f6d4bce5d)
        * Merge branch 'personal/peat-psuwit/fix-tests' into 'master'
          (f6f339ae8)
        * Merge branch 'personal/peat-psuwit/merge-xenial' into 'master'
          (8431b6383)
        * Merge branch 'personal/peat-psuwit/upstream-improvement' into
          'master' (71b10e61e)
        * Merge branch 'personal/peat-psuwit/fix-rename-mishap' into 'master'
          (6761504a0)
        * Merge branch 'personal/peat-psuwit/debian-improvement' into
          'master' (6cfcf89df)

2021-03-05 Ratchanan Srirattanamet

        * Add a GL-specific define in case the building Qt is GLES
          (dbe91ed4c)
        * PerformanceMetrics: add missing project file change (b9d630629)

2021-03-04 Ratchanan Srirattanamet

        * bitmaptext: stop build-time GLES discrimination (f05458eb2)
        * rendertimer: remove build-time GLES discrimination (43d010f85)
        * uctestextras: stop build-time GLES discrimination (b9df3fb2c)
        * metrics/gputimer: stop build-time GLES discriminating (33acf4003)

2021-03-03 Ratchanan Srirattanamet

        * Avoid linking directly into libGL{,ES2} (dcfdb8cf6)

2021-03-04 Ratchanan Srirattanamet

        * OptionSelectorDelegate: fix binding loop warning (2c5d644e3)

2021-02-26 Ratchanan Srirattanamet

        * themes: remove useless mention to Ubuntu font in an SVG (7ad83aa91)

2021-02-25 Ratchanan Srirattanamet

        * Remove leftover qmltheme file (c0b3731ad)
        * tests/serviceproperties: skip if the schema is not installed
          (68ba49c6d)

2021-02-24 Ratchanan Srirattanamet

        * documentation: properly cleanup built document (dfd6078fb)

2021-02-22 Ratchanan Srirattanamet

        * tests: remove packaging test from the upstream test (8f47174ef)

2021-02-24 Ratchanan Srirattanamet

        * tests/serviceproperties: accomodate the change in warning message
          (2fb6b8106)
        * debian/control: add accountsservice-ubuntu-schemas to B-Ds
          (385d15a3e)

2021-02-23 Ratchanan Srirattanamet

        * tests/inversemousearea: wait until anchor positioning is completed
          (73d5ebaf9)
        * test/bottomedge: use QTRY_VERIFY in test_reset_preload_content
          (3072d9ffe)
        * components.api: sort things after rename & handle Shape API output
          change (6d0e3ecfd)
        * Fix spurious files installed in Qt5 examples folder (1b3e2bd01)

2021-02-24 Ratchanan Srirattanamet

        * Revert wrongly-renamed AccountsService schema name (ff74831bb)

2021-02-22 Ratchanan Srirattanamet

        * Revert incorrect rename of Ubuntu Font (391f39a78)

2021-02-24 Ratchanan Srirattanamet

        * debian/rules: delete additional files (e2a535d33)

2021-02-22 Ratchanan Srirattanamet

        * debian/control: fix maintainer field (ac09a6b6d)

2021-02-20 Ratchanan Srirattanamet

        * debian/control: add an alternative for renamed pep8 (79b358ca0)
        * debian/*: do "wrap-and-sort" after a rename (1a6e9dead)

2021-02-19 Ratchanan Srirattanamet

        * debian/rules: Enforce -Werror for an upstream build (accfd9a69)
        * Do not enforce -Werror at source code level (62d99f545)
          Fixes:
          https://gitlab.com/ubports/core/lomiri-ui-toolkit/-/issues/1

2021-02-18 Ratchanan Srirattanamet

        * Rename newly-merged code and/or remaining un-renamed code
          (0735ed72c)
        * Merge remote-tracking branch 'github_ubports/xenial' into
          import_xenial (5017d035a)

2021-02-12 Lionel Duboeuf

        * make documentation links point to online doc (34f119437)

2021-02-11 Lionel Duboeuf

        * fix DatePickers not shown when loaded from AdaptiveLayout. (#110)
          (22409b00a)

2020-07-22 Rodney Dawes

        * Port to Qt 5.12 (ea8591755)

2020-11-06 Michele

        * Use Dialog theme for dim color instead of the app theme (#99)
          (62f90ddf2)

2020-10-13 Michele

        * Use darker dim color with Ambiance theme (#98) (2d19bab86)

2020-10-13 Joan CiberSheep

        * Make text of a Button take strokeColor if it's defined (#88)
          (4dfa2a260)

2020-10-13 Michele

        * Use normal.background for Dialog background and inkstone for dimmed
          area (#97) (f31a436f8)
        * Remove unreachable return statement (#96) (756d74533)

2020-10-09 Luca Weiss

        * Fix most deprecation warnings on Qt 5.14 (#72) (e5fec1b1e)

2020-10-08 Joan CiberSheep

        * Fix overlayText* contrast (#89) (f77ec3ddf)

2020-09-30 Marius Gripsgard

        * Merge pull request #90 from
          peat-psuwit/xenial_-_uitk-touchreg-early-touch (cb13cc52f)

2020-09-25 Luca Weiss

        * Don't hardcode Debian-specific python3 path (#70) (b4f890cac)

2020-08-26 Ratchanan Srirattanamet

        * Fix crash when a touch is sent before eventFilter is installed
          (9120a6c54)

2020-07-22 Luca Weiss

        * Fix missing sentinel warning (#73) (411dca17a)
        * Check result of QTest::qWaitForWindowExposed (#69) (7bd5e85d0)

2020-07-18 Marius Gripsgard

        * Merge pull request #71 from z3ntu/xenial_-_math.h (8d20acbf1)

2020-03-20 Luca Weiss

        * Add include to math.h (319272d85)

2020-04-29 Ratchanan Srirattanamet

        * iconprovider: support getting icon theme name from QIcon and env
          var (a1b1a09d8)

2020-03-31 Marius Gripsgard

        * Merge pull request #76 from ubports/xenial_-_secondscreensimplify
          (8d78a9f04)

2020-03-28 Joan CiberSheep

        * Add ButtonStyle.qml to the build (8b5bfc173)

2020-03-28 Dalton Durst

        * Connect QObject::destroyed() directly (4d76ecec4)

2019-12-28 Marius Gripsgard

        * Fix unused return values (10d96f97e)

2020-03-04 Marius Gripsgard

        * Remove deprecated package (298aca725)

2019-12-25 Marius Gripsgard

        * Remove dependency on libnih (b9d138ce5)

2020-03-04 Marius Gripsgard

        * Quick and dirty rename ubuntu to lomiri (976aeb5f4)
        * Rename com.canonical to com.lomiri (b5e77bc23)
        * Rename unity to lomiri (c8bf8faf3)

2020-02-04 Marius Gripsgard

        * Merge pull request #61 from ubports/xenial_-_newerqt (9fceb0f5b)

2020-01-22 Joan CiberSheep

        * Fix clipboard and sortfiltermodel docs (#65) (c1a1ff85f)

2020-01-09 Ratchanan Srirattanamet

        * Update Jenkinsfile as of ubports/build-tools@0af3831 (93206fd53)

2020-01-09 Joan CiberSheep

        * Tweak default button for Ambiance and SuruDark (21e1811e8)

2020-01-08 Joan CiberSheep

        * Add contrast function (#60) (a018bd6e7)

2020-01-07 Joan CiberSheep

        * Blue, Green and Read Color Tweaks (#54) (05154b781)

2020-01-05 Luca Weiss

        * Add support for compiling with Qt 5.14 (d7a3b681c)

2020-01-04 Marius Gripsgard

        * Merge pull request #58 from cibersheep/ColorUtilsCleanUp
          (6f7d355f9)
        * Make it compile on qt less then version 5.12 (b2e01c93c)

2019-07-20 Luca Weiss

        * Fix build with Qt 5.13 (4951d398f)

2018-12-30 Luca Weiss

        * Make it compile with Qt 5.12 (100f711c9)

2020-01-03 Joan CiberSheep

        * Clean leftover import (873663897)

2020-01-02 Marius Gripsgard

        * Merge pull request #52 from ubports/xenial_-_removeunityactiondeps
          (501d9a22c)

2019-12-25 Marius Gripsgard

        * [debian] Remove dependencies on unity-action (885399da0)

2019-11-04 Michele

        * make default UbuntuShape aspect DropShadows (#45) (c4c9a59b8)

2019-09-30 Joan CiberSheep

        * RightMargin should be 0 if columns < 2 (1629b080b)

2019-08-22 Florian Leeber

        * Merge pull request #42 from cibersheep/patch-1 (a1e5413e6)

2019-08-14 Joan CiberSheep

        * Use a Ash Grey for Default Button Color (324908bd3)

2019-04-06 Rodney Dawes

        * Set iconSource in list item action icons. (9ab3c3963)

2019-02-18 Brian Douglass

        * Made pull to refresh use translations for the ubuntu-ui-toolkit
          domain (d312d0022)

2018-11-03 Chris Clime

        * when determining the height of the keyboard rectangle, take
          Screen.devicePixelRatio into account without that the
          popups are scrolled up too much, if the on screen keyboard
          is shown (e15118aa9)

2018-08-02 Michele

        * imported pickers in the example code (ca769b15a)

2019-02-08 Dalton Durst

        * Merge pull request #31 (f9c9b9e8e)

2019-01-31 Rodney Dawes

        * Must diable arm64 on xenial too. (968cad0a9)
        * Pull in test fix changes from bionic branch. (1b8f414c9)
        * Disable tests on armhf for now. (38f737468)

2019-01-30 Rodney Dawes

        * Don't force touch gesture to run first. (e4a354a9a)
        * Make tests pass on amd64. (8a0ccbe7f)

2019-01-29 Rodney Dawes

        * Skip tests neding OpenGL context. (1135f1366)
        * Fix abstractbutton 1.3 tests. (fd3045313)
        * Qt 5.9 uses nullptr. (7f55ab324)
        * Update expected warnings list. (0beb2ff64)

2019-01-28 Rodney Dawes

        * Fix binding loop in Picker. (e00f543c1)
        * Fix warning in scrollbar style. (f87916e17)
        * Fix warning in popup. (38b7ed2b8)

2019-01-24 Rodney Dawes

        * Revert parallel removal. (cdd25cffd)

2019-01-23 Rodney Dawes

        * Try to build without parallel tests. (f48d428d0)
        * Another leftover ifdef fix. (7802deb67)
        * Remove left-behind endif from merge. (fe9cedc14)
        * Merge branch 'xenial_-_fix-failing-uitk-tests' into
          bionic_-_fix-failing-uitk-tests (90673b698)
        * Replace waitForEvents with processEvents. (a402bffe0)

2019-01-21 Rodney Dawes

        * Create a dummy touch device for tests. (fdae50f56)
        * Remove gles conversion hack. (2a11cbb6e)
        * Disable pep8 until autopilot can be re-enabled. (d7e7a4fda)
        * Remove contenthub test and re-enable others. (f35db16ad)
        * Update swipearea test. (0c673d9d5)
        * Update the custom_qpa. (14b72018f)
        * Update units tests. (df40e270f)

2019-01-20 Rodney Dawes

        * Use currentDateTime for order tests. (fc02a1ec4)
        * Re-enable skipped inversemousearea tests. (d63b354db)

2019-01-17 Rodney Dawes

        * Set id on the qml view we create. (bc2efef14)
        * Remove tests that no longer fall here. (8fa7749f0)
        * Fix the documentation for Qt 5.9. (4306b1266)
        * Avoid a possible null object check. (7a2b7e71e)
        * Fix the alarm tests. (ec9801d75)

2018-12-12 Dalton Durst

        * Skip failing inversemousearea tests (b30e09038)
        * Revert "Remove inversemousearea tests which test nothing"
          (ba422e94a)
        * Remove inversemousearea tests which test nothing (3ebcc600f)
        * You can't assign null to 'property QtObject' (26d216e27)

2018-12-11 Marius Gripsgard

        * Set current dir as HOME (1d3d686cc)

2018-12-07 Dalton Durst

        * Replace qmlInfo with qmlWarning to retain behavior (cf543cbfa)

2018-12-03 Dalton Durst

        * Run tests with multiple cores (fef26717d)
        * Register i18n as I18n for apicheck (c2f4b56b0)

2018-11-30 Dalton Durst

        * Update README and control to specify Qt 5.9 (989d23f11)
        * Refactor apicheck to use QQmltype scalar (d85ab399d)

2018-11-18 Dalton Durst

        * Revert "Make apicheck build on qt 5.8.2+" (653be5335)

2018-11-12 Dalton Durst

        * Move bzr config to git (e3a24db46)

2018-11-20 Marius Gripsgard

        * Change to markdown file (aa3c34624)

2018-09-22 Marius Gripsgard

        * Add back m_devicePixelRatio to make sure we dont make regression
          (2f541e8b5)

2018-09-19 Marius Gripsgard

        * If Qt HiDpi scaling is active, use that insted of GRID_UNIT_PX
          (2b5df6679)

2018-09-16 Marius Gripsgard

        * Revert "Do likewise in the other UCUnits constructor" (43f1eb946)
        * Revert "If GRID_UNIT_PX set, always use it." (8d041068f)

2018-05-05 Marius Gripsgard

        * Set correct scaling on new spinners
          (https://github.com/ubports/ubuntu-touch/issues/568)
          (eb5694b65)

2018-09-24 Alberto Mardegan

        * build: Enable building with crossbuilder (efd016533)

2018-09-23 Alberto Mardegan

        * AlarmAdapter: use C++11 signal connection style (6a5f9a0be)
        * Version 1.3.2192 (5e0c10cfc)

2018-09-22 Marius Gripsgard

        * Merge pull request #18 from ubports/xenial_-_scalefix (db78caaa7)
        * Add back m_devicePixelRatio to make sure we dont make regression
          (6fe2640c1)

2018-09-19 Marius Gripsgard

        * If Qt HiDpi scaling is active, use that insted of GRID_UNIT_PX
          (adeeb8ae4)

2018-09-16 Marius Gripsgard

        * Merge pull request #17 from ubports/xenial_-_scalefix (8bb660786)
        * Revert "Do likewise in the other UCUnits constructor" (e6acb458b)
        * Revert "If GRID_UNIT_PX set, always use it." (9e1c7773e)

2018-09-01 Marius Gripsgard

        * Merge pull request #16 from mardy/xenial_-_latestqtpim (2c7939642)

2018-07-24 Alberto Mardegan

        * Update to latest QtPim (4f2691b33)

2018-06-16 Jan Sprinz

        * Merge pull request #15 from ubports/xenial_-_test6 (eb36fcaad)

2018-06-16 Marius Gripsgard

        * Revert "Add support for interacting with Content Hub Clipboard UI
          via DBus calls" (2c8437e89)

2018-04-22 Marius Gripsgard

        * Disable i18n type since QT disallows lowercase types (34c9fbae6)

2018-05-05 Marius Gripsgard

        * Set correct scaling on new spinners
          (https://github.com/ubports/ubuntu-touch/issues/568)
          (5c803c070)

2018-04-22 Marius Gripsgard

        * Merge pull request #8 from ubports/bionic_-_i18nfix (de9a0b250)
        * Disable i18n type since QT disallows lowercase types (04a15c8c7)

2018-02-24 Marius Gripsgard

        * Merge branch 'xenial' of github.com:ubports/ubuntu-ui-toolkit into
          xenial (745116654)

2018-02-18 Marius Gripsgard

        * Workaround for silly bug (e18ab3f91)

2018-02-14 Marius Gripsgard

        * Make apicheck build on qt 5.8.2+ (be45338ff)

2018-02-18 Marius Gripsgard

        * Workaround for silly bug (ba313f149)

2018-02-14 Marius Gripsgard

        * Build for bionic (5724155bd)
        * Set the correct dir of headerdirs (9dda66d23)
        * Make apicheck build on qt 5.8.2+ (0f1eedcbb)

2018-02-12 Marius Gripsgard

        * Make sure both var is unsigned (9bdd2d289)

2018-01-15 Marius Gripsgard

        * Merge pull request #4 from dpniel/xenial_-_storage-paths
          (5fd46763a)

2018-01-15 Dan Chapman

        * Override orgaization name for apps started via qmlscene (53b14c234)

2018-01-05 Marius Gripsgard

        * Merge pull request #2 from dpniel/master (10b0d974b)
        * Merge pull request #3 from ubports/xenial_-_toolkit-master
          (5dd355743)

2018-01-04 Marius Gripsgard

        * Handle change in qt 5.8 (aec5eeb32)
        * Correctly include the New skin for ActivityIndicator (ca88dd2bb)
        * Correctly include the New skin for ActivityIndicator (2315c5ed6)
        * Merge branch 'master' into xenial_-_toolkit-master (1e0d77908)

2017-09-27 Stefano Verzegnassi

        * New skin for ActivityIndicator. Featured in latest mockups for UT
          Suru design, they have been changed in order to match the
          specs used in the Vanilla framework (Ubuntu websites)
          (368ebe3d1)

2018-01-04 Marius Gripsgard

        * Use correct QQmlPropertyData (7c8a17f55)
        * Continue qt5.9 work (a7a4cd3bc)

2017-12-28 Marius Gripsgard

        * Update Jenkinsfile (8a0fe9420)

2017-12-16 Dan Chapman

        * Add default width/height hints for MainView (a0b3c32c2)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/364

2017-11-05 Florian Leeber

        * Merge pull request #1 from sverzegnassi/new_spinner (e7d836753)

2017-10-26 Marius Gripsgard

        * temporarily fix for < qt 5.8 #FIXME (84bfa5987)

2017-10-25 Marius Gripsgard

        * Handle function change in qmlbindingin qt 5.8 (849156d8a)
        * Disable broken tests on qt 5.9 (61cc54334)
        * Disable broken tests on qt 5.9 (577a35280)

2017-10-13 Marius Gripsgard

        * Disable i18n unit tests (03ecd5367)
        * Imported to UBports (e9705955e)

2017-09-27 Stefano Verzegnassi

        * New skin for ActivityIndicator. Featured in latest mockups for UT
          Suru design, they have been changed in order to match the
          specs used in the Vanilla framework (Ubuntu websites)
          (e8262a7be)

2017-07-24 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (056785fff)

2017-04-05 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (61cd9a6f7)

2017-03-27 Bileto Bot

        * Releasing 1.3.2190+17.04.20170327 (07f97411e)
        * Make AdaptivePageLayout handle layoutDirection out of the box.
          Change layoutDirection from gallery (via UCApplication).
          Fixes LP: #1666869;  Use layoutDirection to select icon
          for Back button. Fixes LP: #1665938;  Ellipsize subtitle
          in the PageHeader. Fixes LP: #1660390;  Fix regression
          that broke BorderImage. Fixes LP: #1671449 (b847023d9)

2017-03-27 Zoltán Balogh

        * landing (083652c6e)
        * Sync with trunk (92d4d8550)

2017-03-14 Christian Dywan

        * Make AdaptivePageLayout handle layoutDirection out of the box.
          (10f5645d7)
        * Make AdaptivePageLayout handle layoutDirection out of the box
          (be2434c29)

2017-03-14 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (b0f6ea876)

2017-03-13 Christian Dywan

        * Change layoutDirection from gallery (via UCApplication).
          Fixes:
          https://bugs.launchpad.net/bugs/1666869. (7f2b00d92)
        * Use layoutDirection to select icon for Back button.
          Fixes:
          https://bugs.launchpad.net/bugs/1665938. (d7ccd1767)
        * Use layoutDirection to select icon for Back button (69f3808c4)
        * Ellipsize subtitle in the PageHeader.
          Fixes:
          https://bugs.launchpad.net/bugs/1660390. (0ab3cc468)

2017-03-10 Albert Astals Cid

        * Fix regression that broke BorderImage .
          Fixes:
          https://bugs.launchpad.net/bugs/1671449. (043dc1028)

2017-03-09 Albert Astals Cid

        * Fix regression that broke BorderImage (81409aac3)

2017-03-06 Bileto Bot

        * Releasing 1.3.2184+17.04.20170306 (b9e130d04)
        * Add support for CheckBox label when set;  Add more tests for
          checkbox. Fixes LP: #1333228, LP: #1442851.;  Make sure we
          resets partial text input from the input method.   Fixes
          LP: #1630872.;  Fix ListItem title/subtitle alignment &
          elide in RTL mode.   Fixes LP: #1665944.;  Fix PageHeader
          title alignment & elide in RTL mode. Fixes LP: #1665942.
          Fix UbuntuListView docs. Fixes LP: #1486940.;  Add count
          prop to OptionSelector. Fixes LP: #1341559.;  Replace the
          hardcoded color with a theme color. Fixes LP: #1664758.
          Fix the import statement for Menu, MenuBar and MenuGroup.
           Fixes LP: #1660604.;  Fix memory leak in UCStyleHint.
          ThinDivider: Anchors can't be null, set to undefined;  No
          need to call UCUnits::resolveResource to learn we just
          need to load it   normally because the fact that we
          already loaded it normally means we need   to load it
          normally. Fixes LP: #1558663.;  Fix conditional jump or
          move depends on uninitialised value(s);  Initialize
          UCApplication with no side effects. Fixes LP: #1662868.
          Unit test case insensitive FilterBehavior.pattern. Fixes
          LP: #1663924.;  ListItemPopover delegate should
          (in)visible as per action Bug 1662220:   [ListItem]
          Popupmenu shows traces of disabled actions;  Check that
          window is not null before accessing its activeFocusItem
          property.   Fixes LP: #1664620.;  Unbreak the startup race
          between unity8/qtmir and UITK trying talk to
          content-hub. Fixes LP: #1663106. (eb2974eee)

2017-03-06 Zoltán Balogh

        * Landing-2017-03-06 (0719df431)
        * Sync with trunk (e4a0b4805)

2017-03-01 daker

        * Add support for CheckBox label when set Add more tests for
          checkbox.
          Fixes: https://bugs.launchpad.net/bugs/1333228,
          https://bugs.launchpad.net/bugs/1442851. (fc07afe5f)

2017-03-01 Adnane Belmadiaf

        * Remove clip (e4af7b7dc)
        * Revert small change (c0754664b)
        * Apply fixes from Christian (c2ce4da4d)

2017-02-28 daker

        * Add newline (e8b776b0e)
        * Revert changes Fix label (490e2f4c3)

2017-02-28 Albert Astals Cid

        * Fix memory leak in UCStyleHints . (9b1ba64e2)
        * Fix memory leak in UCStyleHints (7b5b1d69b)
        * ThinDivider: Anchors can't be null, set to undefined . (a3936908c)
        * Anchors can't be null, set to undefined (c5c735f07)

2017-02-27 daker

        * Fix components.api (ea252278f)
        * Fix for multiline label Add checkedState prop Add more tests for
          checkbox (f4c8c1cbf)

2017-02-27 Christian Dywan

        * Ellipsize subtitle in the PageHeader (128f3e07a)
        * Update components.api (69856cdc4)
        * Initialize UCApplication with no side effects.
          Fixes:
          https://bugs.launchpad.net/bugs/1662868. (0d347c6e6)
        * Change layoutDirection from gallery (via UCApplication) (a1d211ae9)

2017-02-25 daker

        * Fix component width (89d47d104)
        * Fix the order of props (1f555154c)
        * Fix label id (562c04768)
        * Add support for CheckBox label when set (8223402c1)

2017-02-21 daker

        * Make sure we resets partial text input from the input method.

          Fixes: https://bugs.launchpad.net/bugs/1630872.
          (b9b4e351b)
        * Fix ListItem title/subtitle alignment & elide in RTL mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1665944. (1acd420b7)
        * Fix PageHeader title alignment & elide in RTL mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1665942. (634c7e6c5)
        * Fix UbuntuListView docs.
          Fixes:
          https://bugs.launchpad.net/bugs/1486940. (380178701)

2017-02-21 Adnane Belmadiaf

        * Add count prop to OptionSelector.
          Fixes:
          https://bugs.launchpad.net/bugs/1341559. (b1d1a2bbd)
        * Fix components.api (e8c4948b4)

2017-02-21 Christian Dywan

        * Unit test case insensitive FilterBehavior.pattern.
          Fixes:
          https://bugs.launchpad.net/bugs/1663924. (dcc8362a2)
        * Document case insensitive regex in SortFilterModel (f9d454542)

2017-02-21 daker

        * Add semicolon (cfda1da29)
        * Make sure we resets partial text input from the input method
          (8f9c9c492)

2017-02-20 Adnane Belmadiaf

        * Add test for the OptionSelector count prop (10bc960d9)
        * Fix components.api (4d14a0e33)

2017-02-19 daker

        * Fix ListItem title/subtitle alignment & elide in RTL mode
          (51bd3f3c1)

2017-02-18 daker

        * Fix PageHeader title alignment in RTL mode (2a5c11d75)

2017-02-18 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (2cd131eed)

2017-02-17 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (db36b08b4)

2017-02-17 daker

        * Add count prop to OptionSelector (8b589ea57)

2017-02-16 Christian Dywan

        * Unit test case insensitive FilterBehavior.pattern (ccd9b8175)

2017-02-15 daker

        * Fix UbuntuListView docs (ad07f446a)

2017-02-15 Christian Dywan

        * ListItemPopover delegate should (in)visible as per action.
          Fixes:
          https://bugs.launchpad.net/bugs/1662220. (bede382c2)

2017-02-15 Adnane Belmadiaf

        * Replace the hardcoded color with a theme color.
          Fixes:
          https://bugs.launchpad.net/bugs/1664758. (7eb42188f)
        * Replace hardcoded color with a theme color (4e8419676)

2017-02-15 Olivier Tilloy

        * Check that window is not null before accessing its activeFocusItem
          property.
          Fixes: https://bugs.launchpad.net/bugs/1664620.
          (317a6ef4c)

2017-02-15 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (33d09bda2)

2017-02-14 Olivier Tilloy

        * Check that window is not null before accessing its activeFocusItem
          property. (38b0d6366)

2017-02-13 Christian Dywan

        * Make the Autopilot test work (313093473)

2017-02-12 Lukáš Tinkl

        * Unbreak the startup race between unity8/qtmir and UITK trying talk
          to content-hub.
          Fixes:
          https://bugs.launchpad.net/bugs/1663106. (d2cb38ef1)

2017-02-10 Lukáš Tinkl

        * fix the tests (f43ed8349)
        * if content-hub is already running, go and init directly (5675d08fa)
        * make it async (babf80e6d)

2017-02-09 Christian Dywan

        * Forgot to save after the last clean-up of the unit test code
          (a3b893712)
        * Initialize UCApplication with no side effects (85aa14f52)

2017-02-08 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (67eeb73aa)

2017-02-07 Bileto Bot

        * Resync trunk. (39a63fa62)

2017-02-07 Christian Dywan

        * Add new Autopilot test for opening the popover of a ListItem
          (400bd01e2)
        * ListItemPopover delegate should (in)visible as per action
          (cf08f34f5)

2017-02-07 Albert Astals Cid

        * Save a stat if the image we're loading is already in the cache
          (ff5e203cb)

2017-02-06 Albert Astals Cid

        * Unfortunately can't cache the ixd, causes crashes in some tests
          (55e61a124)
        * workaround qqmlengine_p.h using foreach (1e984650a)
        * "Better" way of waiting for the image to have the source size set
          (c42769705)

2017-02-03 Albert Astals Cid

        * Fix gles build (ea1e36575)
        * Need core private here (36934e44e)
        * Add a test that proves this is working (0c68b94b9)
        * comment++ (6855086bf)
        * Use a registered type (305ac83ca)

2017-02-02 Albert Astals Cid

        * Save a stat of the image we're loading is already in the cache
          (3141deb8d)

2017-02-02 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (784d13537)

2017-02-01 Adnane Belmadiaf

        * Fix the import statement for Menu, MenuBar and MenuGroup.
          Fixes:
          https://bugs.launchpad.net/bugs/1660604. (06f8742df)

2017-02-01 Albert Astals Cid

        * Fix conditional jump or move depends on uninitialised value(s)
          (21b55e2f5)
        * Fix conditional jump or move depends on uninitialised value(s)
          (592719a24)

2017-01-31 Adnane Belmadiaf

        * Fix MenuBar import statement (2e981b1f5)
        * Remove version number (5b41c594e)
        * Fixed the import statement for Menu and MenuGroup (530eaef3d)

2017-01-30 Bileto Bot

        * Releasing 1.3.2166+17.04.20170130 (34dc0bc3e)
        * ListItemLayout documentation: fix typo in color usage of a code
          example.   Fixes LP: #1561861;  Get tst_listitem_focus_13
          back alive. Fixes LP: #1624331.;  Add support for
          interacting with Content Hub Clipboard UI via DBus calls.
           Fixes LP: #1563440.;  If GRID_UNIT_PX set, always use it.
          It should override scaling information   from the QPA.
          Expose append method in TextArea. Fixes LP: #1658121.
          Toolbar visual refresh to scroll the icons instead of
          using an overflow   panel. Fixes LP: #1558018.;  Add
          missing dependency for the UITK gallery. Fixes lLP:
          #1640135;  This change is done to remove the dependencies
          with upstart in the tests.   To start apps with env vars
          is gonna be used the launch_test_application   method
          provided by autopilot in its test base class which is a
          wrapper for   the ubuntu-app-launch tools (API). This
          change removes all the dependencies   with upstart, so all
          the projects which are using the initctl api and
          fixtures will be impacted. An update in the documentation
          or in the blog is   gonna be done also to communicate this
          change to the developers.;  Add visualRoot property to
          MainWindow. Fixes LP: #1504551, LP: #1656857.;  Add
          python3-debian to control.gles and harden
          package-sorting.sh.;  Add organizationName property to
          MainWindow;  Add MainWindow to Ubuntu.Components.Labs.
          Fixes LP: #1573118, LP: #1587431, LP: #1647415;  Labs is
          at 1.0.;  You can't save the focus after the popup/dialog
          has been created, at that   stage the dialog has focus
          already, you need to do it before creating it. (29ed5fe2f)

2017-01-30 Zoltán Balogh

        * Landing 17.01.30 (9dda98a3b)
        * Sync with thre trunk (2dd21e253)

2017-01-29 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (215b45ad5)

2017-01-27 Andrea Bernabei

        * ListItemLayout documentation: fix typo in color usage of a code
          example.
          Fixes: https://bugs.launchpad.net/bugs/1561861.
          (c06a60fb2)

2017-01-27 Zsombor Egri

        * Get tst_listitem_focus_13 back alive.
          Fixes:
          https://bugs.launchpad.net/bugs/1624331. (fb48df937)

2017-01-26 Arthur Mello

        * Add support for interacting with Content Hub Clipboard UI via DBus
          calls.
          Fixes: https://bugs.launchpad.net/bugs/1563440.
          (cae55d683)
        * Try to fix issues related with running clipboard tests (a7c5b88d2)
        * Remove deprecated code (7432ca17e)

2017-01-26 Daniel d'Andrada

        * If GRID_UNIT_PX set, always use it. (13ba39a4b)
        * Do likewise in the other UCUnits constructor (fc2c455b7)

2017-01-26 Adnane Belmadiaf

        * Expose append method in TextArea.
          Fixes:
          https://bugs.launchpad.net/bugs/1658121. (b96f9ad83)

2017-01-25 Arthur Mello

        * Do not skip tests anymore (b34a524be)
        * Fix property name typo (8cae580cc)
        * Skip failing tests (4b28802b3)
        * Change focus check on ContentHub test (dbca65792)

2017-01-25 Adnane Belmadiaf

        * Update to components.api (2af3c1a0c)

2017-01-25 Arthur Mello

        * Use same test timeout on all tests (6e625939e)
        * Reenable Clipboard tests adding X11 support for it (b4e5b1cde)

2017-01-24 Arthur Mello

        * Skip ContentHub tests that are failing on CI with OpenGL errors
          (a5f391fbf)

2017-01-24 Daniel d'Andrada

        * If GRID_UNIT_PX set, always use it. (3f9d9ec03)

2017-01-24 Arthur Mello

        * Move some checks about activeFocus to cpp part of contenthub test
          (5e07a64bf)
        * Merge with trunk (2b8522e29)
        * Add Qt Company as an expected license due to self generated files
          on the ContentHub clipboard unittest (d923a1ab5)
        * Improve unittests for ContentHub clipboard (083860b7f)
        * Add a mock Content Service to be used by ContentHub tests
          (e2b6189ca)

2017-01-22 Tim Peeters

        * Toolbar visual refresh to scroll the icons instead of using an
          overflow panel.
          Fixes:
          https://bugs.launchpad.net/bugs/1558018. (3de278285)

2017-01-20 Adnane Belmadiaf

        * Expose append method in TextArea (02d0fd77a)

2017-01-20 Tim Peeters

        * sync staging (206a7d4e6)
        * update highlight (adf287071)

2017-01-19 Sergio Cazzolato

        * This change is done to remove the dependencies with upstart in the
          tests. To start apps with env vars is gonna be used the
          launch_test_application method provided by autopilot in
          its test base class which is a wrapper for the
          ubuntu-app-launch tools (API). (cdb6d3ebc)

2017-01-18 Christian Dywan

        * Add visualRoot property to MainWindow.
          Fixes:
          https://bugs.launchpad.net/bugs/1504551,
          https://bugs.launchpad.net/bugs/1656857. (9f5631ec5)

2017-01-18 Sergio Cazzolato

        * Removing upstart dependency on tests (442325846)

2017-01-18 Christian Dywan

        * Reword documentation of visualRoot for clarity (9d9b29e18)

2017-01-18 Arthur Mello

        * Update requestPaste call when using keyboard shortcut (500572a48)

2017-01-17 Arthur Mello

        * Register QQuickItem* as a meta type to remove unit test fatal
          warning (9e5b8ef15)
        * Increase signal wait timeout from 1 to 5 seconds (825c9e0c2)
        * Fix include declaration in UCContentHub to fix build issue on
          i386/arm64 (3f8348616)
        * Change unit tests to fix SIGSEGV received on CI (130f47ee7)
        * Keep track of which QQuickItem was the target for a paste command.
          It seems that when returning from the trust session
          activeFocus is wrong (8dfbbbe97)
        * Improve trace define naming Improve TODO message and add bug number
          for further discussion Make all log messages to use trace
          output (f96e45a99)

2017-01-17 Albert Astals Cid

        * Labs is at 1.0. (d7c0a3065)
        * Labs is at 1.0 (8bc3bec2b)

2017-01-17 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (afd11afc3)

2017-01-16 Arthur Mello

        * Add unit tests for the UCContentHub class (c9367a746)

2017-01-16 Christian Dywan

        * Tweak quickutils header include in tst_mainwindow (59131cc84)
        * Document the role of visualRoot in QuickUtils and popupUtils
          (89b4121c7)
        * Merge lp:ubuntu-ui-toolkit/staging (22764f830)
        * Add unit test for the new visualRoot property (60f6e1d13)

2017-01-16 Arthur Mello

        * Make sure ImageData is pasted to TextField/TextArea (fe205e29f)

2017-01-13 Christian Dywan

        * Add python3-debian to control.gles and harden package-sorting.sh.
          (8de682ab8)
        * Add organizationName property to MainWindow. (94a6216de)
        * control.gles may be moved in gles builds (65ff6051f)
        * Add MainWindow to Ubuntu.Components.Labs.
          Fixes:
          https://bugs.launchpad.net/bugs/1573118,
          https://bugs.launchpad.net/bugs/1587431,
          https://bugs.launchpad.net/bugs/1647415. (d9fcca3fd)
        * Add debug statements for CI to package-sorting.sh (bb24f8b1b)
        * Make QuickUtils.rootItem take visualRoot into account (7156dabac)

2017-01-12 Arthur Mello

        * Respect user decision on Clipboard UI to paste data as Plain Text
          or Rich Text (ca5253834)

2017-01-12 Christian Dywan

        * Add visualRoot property to MainWindow (73e1a19a2)
        * Use same SCRIPT_DIR approach as eg. export_qml_dir.sh (aadcca490)
        * Add organizationName property to MainWindow (db4d774a9)
        * Manually evaluate wrap-and-sort return code (41ba148c9)
        * Drop debug statements (b67fdfa33)
        * Base MainWindowPrivate on QQuickWindowPrivate (bdc13ae47)

2017-01-11 Christian Dywan

        * Add debug statements to UCMainWindow for CI (f5207aebf)
        * Cf. applicationName to "" rather than empty like MainView
          (0acae7b06)

2017-01-11 Tim Peeters

        * sync staging (e01b5873f)

2017-01-10 Albert Astals Cid

        * Fix saving/restoring of previous item focus for popups (c9c6eb4ab)

2017-01-10 Christian Dywan

        * Add d_func()->init() to UCMainWindow constructor (6dfddc529)

2017-01-10 Albert Astals Cid

        * Seems i fixed 1569979 (54f591bd1)
        * Merge (5368ab7f8)

2017-01-10 Christian Dywan

        * Add python3-debian to control.gles and harden package-sorting.sh
          (d37f257f8)

2017-01-10 Timo Jyrinki

        * No change rebuild (ae50b4963)

2017-01-09 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (312aeaf05)

2017-01-06 Arthur Mello

        * Disable check for activeFocus by now (0f7ac9623)

2017-01-06 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (c32d89688)

2017-01-05 Albert Astals Cid

        * Fix saving/restoring of previous item focus for popups (2721d2518)

2017-01-05 Timo Jyrinki

        * Merge trunk changelog entry and PO updates. (b717058aa)

2017-01-05 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (5da4dd406)

2017-01-04 Bileto Bot

        * Resync trunk. (d3cf9437f)

2017-01-04 Arthur Mello

        * Add support for interacting with Content Hub Clipboard UI via DBus
          calls (3cd053621)

2017-01-04 Tim Peeters

        * sync staging (0008cfcc3)

2017-01-03 Tim Peeters

        * Add missing dependency for the UITK gallery.
          Fixes:
          https://bugs.launchpad.net/bugs/1640135. (80465943d)
        * sync staging (1bdb52ffd)

2017-01-01 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (7aa786689)

2016-12-23 Bileto Bot

        * Releasing 1.3.2151+17.04.20161223 (59ac83db8)
        * Enable mouse, touchpad and keyboard detection in UITK. Fixes LP:
          #1536669;  Colors revisited.;  Qt5.7 related fix for
          theming - by Glen Whitney.;  parent = Q_NULLPTR instead of
          0. Fixes LP: #1642617;  More blank lines. Fixes LP:
          #1642622;  Drop tst_pickerpanel.11.qml (deprecated).
          Include OSK input in TextArea.displayText. Fixes LP:
          #1595910;  Drop questionable color tests from
          tst_textarea.11.qml. Fixes LP: #1624342;  Fix slider
          progress rect with RTL languages. (5c9d308cb)

2016-12-20 Bileto Bot

        * Releasing 1.3.2151+17.04.20161220 (55a4205b0)
        * Enable mouse, touchpad and keyboard detection in UITK. Fixes LP:
          #1536669;  Colors revisited.;  Qt5.7 related fix for
          theming - by Glen Whitney.;  parent = Q_NULLPTR instead of
          0. Fixes LP: #1642617;  More blank lines. Fixes LP:
          #1642622;  Drop tst_pickerpanel.11.qml (deprecated).
          Include OSK input in TextArea.displayText. Fixes LP:
          #1595910;  Drop questionable color tests from
          tst_textarea.11.qml. Fixes LP: #1624342;  Fix slider
          progress rect with RTL languages. (be63f6bc0)

2016-12-20 Zoltán Balogh

        * Landing 2016-12 (afe1a69a4)

2016-12-13 Zsombor Egri

        * Enable mouse, touchpad and keyboard detection in UITK.
          Fixes:
          https://bugs.launchpad.net/bugs/1536669. (a47747224)

2016-12-08 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (900acfd87)

2016-12-02 Tim Peeters

        * kick (33bf89a59)

2016-12-01 Tim Peeters

        * kick CI (e842a2c85)
        * dependencies in alphabetic order (eb4035ef3)
        * add missing dependency for examples (ec4f88871)

2016-11-21 Zsombor Egri

        * make libevdev to be used on armhf as well (6fae9d5f3)

2016-11-18 Timo Jyrinki

        * parent = Q_NULLPTR instead of 0.
          Fixes:
          https://bugs.launchpad.net/bugs/1642617. (2293a6760)
        * More blank lines.
          Fixes: https://bugs.launchpad.net/bugs/1642622.
          (467810bf5)
        * Q_NULLPTR (9825c2dec)
        * Drop tst_pickerpanel.11.qml (deprecated). (628b764b2)

2016-11-17 Timo Jyrinki

        * More blank lines (LP: #1642622) (79ca30c4b)
        * parent = NULL instead of 0 (LP: #1642617) (71f1348f5)

2016-11-17 Zoltán Balogh

        * Sync with the trunk (c545039b7)

2016-11-15 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (5998a7548)

2016-11-14 Bileto Bot

        * Resync trunk. (2704d3acc)

2016-11-11 Zsombor Egri

        * fix gles dependencies, and mouse plural (4a9d3afc6)

2016-11-10 Christian Dywan

        * Include OSK input in TextArea.displayText.
          Fixes:
          https://bugs.launchpad.net/bugs/1595910. (226d0b6e3)

2016-11-10 Zsombor Egri

        * detect mouse, touchpad and keyboard presence (794001a8b)

2016-11-04 Zsombor Egri

        * update (a0189d180)

2016-11-02 Zsombor Egri

        * Colors revisited. (606acc905)
        * Qt5.7 related fix for theming - by Glen Whitney. (fd71f6210)
        * bring input info into QuickUtils (3cd10864b)

2016-11-01 Zsombor Egri

        * Qt5.7 related fix for theming (6635bfd39)
        * remove commented code (ebca33b82)

2016-11-01 Lukáš Tinkl

        * Fix slider progress rect with RTL languages. (ee1f4997d)

2016-11-01 Zsombor Egri

        * 'bug' (26dc1a8dc)

2016-10-31 Lukáš Tinkl

        * move the test to visual (565576add)

2016-10-27 Lukáš Tinkl

        * move the property inside the slider (0c4957bb2)
        * add a test for LTR/RTL Slider (0d52ebac0)
        * fix slider progress rect with RTL languages (916310c9e)

2016-10-27 Zsombor Egri

        * typo fix (f80d4d334)

2016-10-21 Zsombor Egri

        * color alignments (7142a9cb1)

2016-10-18 Timo Jyrinki

        * Drop tst_pickerpanel.11.qml (deprecated) (c3af70fca)

2016-10-15 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (df7f1f5c5)

2016-10-14 Christian Dywan

        * Drop questionable color tests from tst_textarea.11.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1624342. (2b86aed10)

2016-10-13 Bileto Bot

        * Releasing 1.3.2141+16.10.20161013.5 (9cb98839b)
        * Do not show focus frame on ListItem when clicked. Fixes LP:
          #1628855;  Fix color used to test ListItem.highlighted.
          Fixes LP: #1624328;  Don't skip the entirety of
          tst_textfield.11.qml. Fixes LP: #1624340;  SlotsLayout: do
          not set mainSlot's implicitSize, set its real size instead
            Fixes LP: #1630167.;  Enable proper focus handling in
          the scrolling ActionBar. Fixes LP: #1575893 (e5493f3f4)

2016-10-13 Zoltán Balogh

        * disable arm64 tests for (bc5a5e6ca)

2016-10-13 Zsombor Egri

        * staging sync (1655b25f7)

2016-10-13 Zoltán Balogh

        * Changlog (db4875f84)

2016-10-12 Zsombor Egri

        * Do not show focus frame on ListItem when clicked.
          Fixes:
          https://bugs.launchpad.net/bugs/1628855. (5b4425233)

2016-10-11 Zsombor Egri

        * get tests back online (45ec48a22)
        * 'bug' (296823d94)
        * fix regression (58513f3f9)

2016-10-11 Christian Dywan

        * Don't skip the entirety of tst_textfield.11.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1624340. (f449206ef)
        * Drop questionable color tests from tst_textarea.11.qml (b64719ef5)

2016-10-11 Zsombor Egri

        * staging sync (f0edb194f)

2016-10-11 Christian Dywan

        * Don't skip the entirety of tst_textfield.11.qml (849bb8e65)

2016-10-10 Andrea Bernabei

        * SlotsLayout: do not set mainSlot's implicitSize, set its real size
          instead.
          Fixes: https://bugs.launchpad.net/bugs/1630167.
          (57c83d65a)

2016-10-07 Andrea Bernabei

        * ListItemLayout documentation: fix typo in sample code (282c6331a)
        * add comment (9a548e7e8)
        * SlotsLayout: set mainSlot's width instead of its implicitWidth
          (27a9bf145)

2016-10-07 Tim Peeters

        * change color of colored toolbar example (cd2c93680)
        * update components.api (1c35981c6)

2016-10-07 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (afdb13aab)

2016-10-07 Zsombor Egri

        * Fix color used to test ListItem.highlighted.
          Fixes:
          https://bugs.launchpad.net/bugs/1624328. (0363cafd5)

2016-10-07 Zoltán Balogh

        * Sync with the trunk (40c7cde87)

2016-10-06 Bileto Bot

        * Resync trunk. (c279ff04e)

2016-10-06 Tim Peeters

        * fix UbuntuListView warnings (49ca97eed)
        * link bug (7315497b1)
        * toolbar colors (0b802a90f)
        * update ToolbarStyle and gallery page (c4ff3260c)

2016-10-06 Zsombor Egri

        * 'bug' (894326f42)
        * getting tests back and fixing the color (933d80654)

2016-10-05 Tim Peeters

        * clean up toolbar example code (046f8029b)
        * add toolbars to gallery. (6ebe334b6)

2016-10-05 Zsombor Egri

        * staging sync (b4d31f30e)

2016-10-05 Tim Peeters

        * sync staging (01841748f)

2016-10-04 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (d652fbedc)

2016-10-04 Tim Peeters

        * Enable proper focus handling in the scrolling ActionBar.
          Fixes:
          https://bugs.launchpad.net/bugs/1575893. (c3e4f907c)

2016-10-03 Tim Peeters

        * link bug (0b0a76bb8)
        * fix highlight (d5e12afad)

2016-10-03 Bileto Bot

        * Releasing 1.3.2135+16.10.20161003.1 (debafc172)
        * Fix warning about using implicit char* to QString conversion.
          __styleInstance may be null, when doesn't handle that.
          Fixes LP: #1586013;  Focus ring, arrow keys and space to
          expand OptionSelector.   Fixes LP: #1514860;  Use
          QStringLiteral with QString.replace. Fixes LP: #162550.
          Use displayText to determine if the clear button should
          show.   Fixes LP: #1461571;  && escapes an ampersand used
          in a mnemonic label. Fixes LP: #1587580;  Try harder to
          pass an item to QuickUtils.rootItem. Fixes LP: #1586013
          (531fc7259)
        * Resync trunk. (356278001)

2016-10-03 Tim Peeters

        * fix scrolling actionbar keyboard navigation (c9aaefaaa)
        * sync staging (f6fd89fb0)
        * sync staging (f92e29d13)

2016-10-03 Zoltán Balogh

        * OTA14-2016-10-03 (c83c1f183)

2016-10-02 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (8d31c44aa)

2016-09-30 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (a0079dd02)

2016-09-30 Zoltán Balogh

        * Sync with trunk (ee0f5c005)

2016-09-29 Christian Dywan

        * Fix warning about using implicit char* to QString conversion.
          (d3a390b04)
        * Fix warning about using implicit char* to QString conversion
          (0dc9a5e59)

2016-09-29 Bileto Bot

        * Releasing 1.3.2104+16.10.20160929 (d07b247e7)

2016-09-29 Timo Jyrinki

        * Enable arm64 unit tests on xenial and newer. (LP: #1580172)
          (8e4a18612)

2016-09-28 Andrea Bernabei

        * merge staging (8c9644fac)

2016-09-28 Tim Peeters

        * sync staging (c2a391ced)

2016-09-28 Timo Jyrinki

        * Enable arm64 unit tests on xenial and newer.
          Fixes:
          https://bugs.launchpad.net/bugs/1580172. (439b6b70a)
        * Enable arm64 unit tests on xenial and newer. (14d291f6a)

2016-09-28 Marco Trevisan (Treviño)

        * UCSlotsLayout: update the size of the element when top/bottom
          paddings change.
          Fixes:
          https://bugs.launchpad.net/bugs/1628161. (852b272b5)

2016-09-28 Zsombor Egri

        * 'bug' (33e28dff7)

2016-09-28 Timo Jyrinki

        * Use " (7327bb26a)

2016-09-27 Marco Trevisan (Treviño)

        * testSlotsLayout: adding tests for custom padding setting
          (1cd7a2d63)
        * testSlotsLayout: verify that item height changed (12ff1f657)
        * UCSlotsLayout: add some comments (be6fbba81)
        * testSlotsLayout: use expectedImplicitHeight to check item height
          (ef8785cb5)
        * UCSlotsLayout: update the size of the element when top/bottom
          paddings change (997a22524)
        * testSlotsLayout: add test case to check that height is updated on
          top/bottom padding changes (e39af9c5c)

2016-09-27 Timo Jyrinki

        * Add missing endif (ecffd33fa)
        * Skip arm64 + vivid combo, not supported in general on our platform.
          (1c702252d)

2016-09-27 Tim Peeters

        * Ensure that the model in TabBarStyle is a list and not null.
          Fixes:
          https://bugs.launchpad.net/bugs/1622577. (42d9de7cd)
        * Initialize the 'window' context property with null and add MainView
          1.3 unit tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1610231,
          https://bugs.launchpad.net/bugs/1621509,
          https://bugs.launchpad.net/bugs/1625993. (4e7d1812f)

2016-09-27 Timo Jyrinki

        * Inverse logic. (4fb0d33b8)

2016-09-27 Tim Peeters

        * Enable unit test and fix bug. null is not a valid input for a
          repeater, so we should not have it as a value for the
          model. However, in order not to change the existing API of
          the (deprecated) Tabs component, I check the value of
          TabBar.model in TabBarStyle, and set it to an empty list
          when appropriate. (d7e785d84)

2016-09-27 Timo Jyrinki

        * Skip givesUpWhenLosesTouch swipearea test on arm64 for now.
          (85aec66ee)

2016-09-27 Tim Peeters

        * kick (317b0dc37)
        * don't check if window is undefined in OrientationHelper (8c98fc4e3)

2016-09-27 Timo Jyrinki

        * Merge staging. (b24b323ce)

2016-09-25 Tim Peeters

        * kick CI again. Failed on device not found. (62ff65cc8)

2016-09-24 Tim Peeters

        * sync staging (7394f462a)

2016-09-23 Tim Peeters

        * Fix libpng sRGB profile warnings on Yakkety.
          Fixes:
          https://bugs.launchpad.net/bugs/1625137. (02d03b84d)

2016-09-23 Christian Dywan

        * Focus ring, arrow keys and space to expand OptionSelector.
          Fixes:
          https://bugs.launchpad.net/bugs/1514860. (ede347769)

2016-09-23 Zsombor Egri

        * Fix AdaptivePageLayout behavior on Qt5.6.
          Fixes:
          https://bugs.launchpad.net/bugs/1585996. (8ddc326d3)

2016-09-23 Tim Peeters

        * re-enable layouts tests (a3bced575)
        * strip faulty sRGB profile from tests/resources/ubuntushape/img1.png
          (1b439abbb)
        * strip faulty sRGB profile from deprecated asset (7fdd8a6f1)

2016-09-22 Loïc Molinari

        * Added public headers extra robustness checks. (5f8c53aa2)

2016-09-22 Zsombor Egri

        * staging sync (4bee30bd3)
        * roll back UbuntuListView changes (3e249a389)

2016-09-22 Loïc Molinari

        * Excluded LTTng features from non-Linux builds. (206fc97d2)
        * Added aligned alloc support for Apple and Windows. (58b78fa1a)
        * Merged lp:ubuntu-ui-toolkit/staging. (e6ad810e4)
        * Excluded LTTng features from non-Linux builds. (3e9c6325a)

2016-09-22 Christian Dywan

        * Retain both MainWindow{ and Window { MainView { AP tests
          (8c532c7bc)

2016-09-22 Loïc Molinari

        * Added linux-clang support. (fec2e119e)
        * Added support for aligned alloc on Apple and Win32. (c6e98a58f)

2016-09-22 Zoltán Balogh

        * Explicit include of cstdio. (9d543bde6)
        * the inclusion of stdio is obsolate (2120c007d)

2016-09-22 Tim Peeters

        * kick (d41288638)

2016-09-22 Zoltán Balogh

        * Add std:: to the rest of sscanf (b8910ccd2)
        * Explicit include of cstdio (a6c311264)

2016-09-22 Tim Peeters

        * change test name (6094c0c2b)

2016-09-22 Andrea Bernabei

        * merge staging (9660b9c86)

2016-09-22 Tim Peeters

        * update versions in Settings.qml (ec9bcc9ca)
        * no settings test for 1.1 (3ba729573)

2016-09-22 Zsombor Egri

        * fix column metrics configuration (a31bf2724)

2016-09-21 Tim Peeters

        * don't test Settings with MainView 1.1 (cc89f9c90)
        * update MainView12 (34c8bed5a)

2016-09-21 Timo Jyrinki

        * Add initial snapcraft.yaml. (dfcc17732)

2016-09-21 Tim Peeters

        * move new test to visual/ (787daabbf)

2016-09-21 Loïc Molinari

        * Forgot to add -Werror check in ubuntu_qml_plugin. (e9a5aaeb3)
        * Cleaned up comment. (e5bf38316)

2016-09-21 Zsombor Egri

        * nested component creation and multiple primary page creation fixed
          (836349123)

2016-09-21 Timo Jyrinki

        * Add content slot (7b471b8a4)

2016-09-21 Loïc Molinari

        * Fixed clang version detection. (69e6969f6)

2016-09-21 Timo Jyrinki

        * Use the current source dir instead of git. (4afab186f)
        * Add initial snapcraft.yaml (15ef7b7d4)

2016-09-21 Tim Peeters

        * clean. Link a bug (59c89ff04)
        * update OrientationHelpers, revert orientation tests and add FIXME.
          (418045912)
        * clean Settings.qml versions (309e0da96)
        * update mainview 1.3 tests (0df44e0ab)
        * add mainview13 unit tests (fdb5478f8)
        * update MainView 1.2 (cd1d8cd3a)
        * sync staging (64f0dba88)
        * clean (b5dfc290b)

2016-09-21 Christian Dywan

        * Add CONFIG before include (846398b19)
        * Touch up include files to conform to guidelines (e3ad79c9a)

2016-09-20 Loïc Molinari

        * Made the toolkit build with linux-clang spec. (75084d983)

2016-09-20 Zsombor Egri

        * something that works (89c10297e)

2016-09-20 Christian Dywan

        * Include test-include.pri so custom_qpa actually works (7782bfab7)

2016-09-20 Loïc Molinari

        * Added public headers extra checks. (a32a09a52)
        * Moved common C++ configs to ubuntu_common.prf. (b6dfaab2f)

2016-09-20 Zsombor Egri

        * logs (9532d765b)
        * staging merge (834659dae)

2016-09-20 Loïc Molinari

        * Cleaned up qmake Ubuntu packaging variables. (a29d15c95)

2016-09-20 Christian Dywan

        * __styleInstance may be null, when doesn't handle that.
          Fixes:
          https://bugs.launchpad.net/bugs/1586013. (d3644f101)

2016-09-20 Loïc Molinari

        * Made use of dedicated QT_BUILD_*_LIB define for our libs.
          (a7da6fda0)
        * Merged
          lp:~loic.molinari/ubuntu-ui-toolkit/uitk-added-ubuntu-common-prf.
          (65cec45e7)

2016-09-20 Christian Dywan

        * Use QStringLiteral with QString.replace (b05676d06)
        * __styleInstance may be null, when doesn't handle that (136694096)
        * Use QStringLiteral with QString.replace (2303a8a87)
        * Use displayText to determine if the clear button should show.

          Fixes: https://bugs.launchpad.net/bugs/1461571.
          (dc6e1bab6)

2016-09-20 Andrea Bernabei

        * Qt5.6: Fix expandablescolumn.11 and expandables.11 unit tests
          (6880cb869)

2016-09-20 Christian Dywan

        * && escapes an ampersand used in a mnemonic label.
          Fixes:
          https://bugs.launchpad.net/bugs/1587580. (49860591f)

2016-09-20 Loïc Molinari

        * Optimised QString code gen for ASCII strings known at compile-time.
          (ee773e4e5)

2016-09-19 Tim Peeters

        * link bug (d341025f8)
        * revert quickutils (f0122fe8d)
        * re-enable fixed test (38d3a659e)
        * re-enable fixed test (c4ef305ca)
        * update test name (a97e9a47c)
        * rename test (c2c5e2436)
        * revert OrientationHelper.qml, clean test (863b8bb61)
        * revert components and orientation test (af2761a47)
        * sync staging (eb6601380)
        * simplify test (51ad99eb9)

2016-09-19 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (1f14b870a)

2016-09-19 Zsombor Egri

        * Fix property binding restore on theme palette values.
          Fixes:
          https://bugs.launchpad.net/bugs/1570478. (9dd8c4a0d)

2016-09-19 Christian Dywan

        * Try harder to pass an item to QuickUtils.rootItem.
          Fixes:
          https://bugs.launchpad.net/bugs/1586013. (80e9a119b)

2016-09-19 Zsombor Egri

        * Move activeFocusOnTab from style into components.
          Fixes:
          https://bugs.launchpad.net/bugs/1590005. (6f0791d6e)

2016-09-19 Tim Peeters

        * Disable layouts unit test to work around bug #1625137 on Yakkety.
          (f48394cba)

2016-09-19 Bileto Bot

        * Releasing 1.3.2104+16.10.20160919.3 (451c28ccf)
        * Scrollbar: more hover related bugfixes and unit tests.
          Fixes:
          LP: #1616868, LP: #1616926 (b7b60f963)

2016-09-19 Zoltán Balogh

        * Disable layout tests (d7dcfaaa8)

2016-09-19 Tim Peeters

        * Disable layouts unit test to work around bug #1625137. (46e2e17cf)

2016-09-19 Christian Dywan

        * Use distinct State, not extending the default (4b1c1132c)

2016-09-19 Andrea Bernabei

        * Qt5.6: fix Scrollbar unit tests (c1a4dbfc9)
        * Qt5.6: fix ubuntulistview.10 unit test (84dbd1a94)

2016-09-19 Zoltán Balogh

        * explicit cstdio... if it is there (16cc57373)

2016-09-19 Zsombor Egri

        * move focus driving to the components, style should only react on
          those (a9f9fe0d5)

2016-09-19 Zoltán Balogh

        * Hack out std::sscanf (8c740d167)

2016-09-17 Andrea Bernabei

        * Qt5.6: Fix ubuntulistview.10 unit test (59cb05f85)
        * Qt5.6: Fix expandablescolumn.11 and expandables.11 unit tests
          (fd33633ea)
        * Scrollbar: fix unit tests by passing all parameters to mapToItem.
          Fixes tests on Qt5.6 (575386399)
        * Scrollbar: update slider in default styling unit test (c4e16f828)

2016-09-17 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (16febc359)

2016-09-17 Zoltán Balogh

        * Sync with staging (db4fc97a2)
        * Sync with trunk (63549e7f8)

2016-09-16 Bileto Bot

        * Resync trunk. (6ceef5148)

2016-09-16 Zsombor Egri

        * staging sync (81c7d9d16)

2016-09-16 Zoltán Balogh

        * Try CONFIG+=c++11 (1eced89a5)

2016-09-16 Zsombor Egri

        * fix restoring bindings on theme.palette values (5cccde208)
        * 'bug' (fbfa8709a)

2016-09-16 Zoltán Balogh

        * Sync with staging (1b728eacd)

2016-09-16 Tim Peeters

        * Do not skip Xenial and Yakkety series for running unit tests.
          (4b84c874f)

2016-09-16 Zoltán Balogh

        * OTA-next-2016-09-16 (57531c4ad)

2016-09-16 Tim Peeters

        * add references to bug IDs (533e98013)
        * add more bug references (5ad5575ed)
        * add bug information in comments (7751fe22b)
        * rename failing qml unit tests (5c0b88df9)
        * disable out cpp tests that break on qt 5.6 (49bb282ee)
        * don't skip any series (02a59c3d3)

2016-09-16 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (8a63a0146)

2016-09-16 Zsombor Egri

        * staging sync (4a8a311be)
        * Do not show focus frame on disabled items.
          Fixes:
          https://bugs.launchpad.net/bugs/1611327. (e8aaedee1)
        * staging sync (869b79604)

2016-09-15 Tim Peeters

        * fix more (d71cbb283)
        * fix (1f6f0a0bf)
        * use QuickUtils.focusWindow in OrientationHelper (3b5e3e5e9)
        * add focusWindow property to QuickUtils (35c2cbbbd)

2016-09-15 Christian Dywan

        * Try harder to pass an item to QuickUtils.rootItem (0cdd81d76)

2016-09-15 Loïc Molinari

        * Forgot to add ubuntu_common.prf. (c6826949c)
        * Moved common config flags to ubuntu_common.prf. (8f4981983)

2016-09-15 Bileto Bot

        * Releasing 1.3.2085+16.10.20160915 (87c4e3148)

2016-09-15 Zsombor Egri

        * Fix ActionList API break. (LP: #1623841) (cac11f6ce)
        * fix the ActionList (a886fba19)

2016-09-15 Zoltán Balogh

        * sync with trunk (6f403b8d9)

2016-09-15 Loïc Molinari

        * Cleaned up Ubuntu packaging flags. (7a4de2e47)

2016-09-15 Zsombor Egri

        * Fix regression on ActionList API.
          Fixes:
          https://bugs.launchpad.net/bugs/1623841. (04f6515b4)

2016-09-15 Bileto Bot

        * Resync trunk. (1f1e51d40)

2016-09-15 Zsombor Egri

        * gles should kiss my... (eeef83f8f)
        * move existing ActionList tests to tst_actionlist (4ebb51c20)
        * return change (df8062cb5)
        * add regression on the ActionList API back (ab53e4dd0)
        * 'bug' (3d3a24d1f)

2016-09-15 Christian Dywan

        * Use displayText to determine if the clear button should show
          (af83fff79)

2016-09-15 Zsombor Egri

        * 'bug' (8be724450)

2016-09-15 Loïc Molinari

        * Merged lp:ubuntu-ui-toolkit/staging. (b9c6f3552)

2016-09-14 Christian Dywan

        * && escapes an ampersand used in a mnemonic label (9c7abaf11)

2016-09-14 Tim Peeters

        * simplify test case (2f7e99073)
        * sync staging (edb859bc3)
        * Add regression test. (e1fdda12f)

2016-09-13 Christian Dywan

        * Correctly test and fix trigger override of ComboButton.
          Fixes:
          https://bugs.launchpad.net/bugs/1614045. (95c7c7c30)
        * Merge lp:ubuntu-ui-toolkit/staging (cebf14547)

2016-09-13 Loïc Molinari

        * Made use of Qt builtin to check GCC version. (4f12b6e69)

2016-09-13 Christian Dywan

        * Correctly test and fix trigger override of ComboButton (fa33e6b60)

2016-09-13 Loïc Molinari

        * Made use of Qt builtins to check GCC version. (139c71eef)

2016-09-13 Christian Dywan

        * Use custom_qpa for mainwindow unit test (de85043f0)

2016-09-13 Loïc Molinari

        * Cleaned up ubuntu_qt_module.prf and the libs using it. (2b1a81247)

2016-09-12 Loïc Molinari

        * Fixed, cleaned up and standardised header inclusions. (9dab81f96)
        * Made use of dedicated QT_BUILD_*_LIB define for our libs.
          (7bce8cf6d)
        * Another round of fixes. (f1f90a7d3)

2016-09-12 Tim Peeters

        * Use the new arrow icons from the suru-icon-theme in the scrolling
          ActionBar. (90b27e736)

2016-09-12 Loïc Molinari

        * Reverted to original variable name. (12273f51c)
        * Iterated on alarmsadapter_organizer.cpp. (497678f8d)
        * Made use of QStringLiteral in UbuntuMetrics. (48d608841)

2016-09-12 Tim Peeters

        * sync staging (a622be601)
        * sync staging (46a856e40)

2016-09-12 Loïc Molinari

        * Fixed the QT_ASCII_CAST_WARNINGS in UbuntuToolkit. (f78ab7a7d)
        * Cleaned up ubuntu_qt_module featured libs. (9c27c299c)

2016-09-10 Loïc Molinari

        * i386-gles build fix attempt (5). (a0f096e9d)

2016-09-09 Loïc Molinari

        * i386-gles build fix attempt (4). (bcab0555f)
        * i386-gles build fix attempt (3). (a213011a0)
        * i386-gles build fix attempt (2). (c356825e3)
        * i386-gles build fix attempt. (26bcc1b17)
        * Merged lp:ubuntu-ui-toolkit/staging. (3780b0bf6)
        * Fixed, cleaned up and standardised C++ header inclusion.
          (36e444bc0)

2016-09-08 Tim Peeters

        * kick (3b05d7647)

2016-09-08 Zsombor Egri

        * New visuals for ProgressBar.
          Fixes:
          https://bugs.launchpad.net/bugs/1587176. (894daf812)

2016-09-08 Loïc Molinari

        * Fixed the build as a Qt submodule. (ef8a9b32e)

2016-09-08 Tim Peeters

        * Improve the initialization of Action when it gets both iconName and
          iconSource from an external component when iconSource is
          undefined. This fixes the some times missing overflow
          button in the ActionBar with Qt 5.6. (31c4e25fb)

2016-09-08 Loïc Molinari

        * Moved internal tools meant to generate code for the toolkit lib
          from the QML module directory to the lib directory where
          it makes more sense. (2f26823a6)
        * Changed src/ directory layout. (0d5c55b15)

2016-09-08 Zsombor Egri

        * remove dust (81ecccf4f)
        * test added (8cd2abcb0)

2016-09-08 Tim Peeters

        * sync staging (13f643fca)

2016-09-08 Zsombor Egri

        * highlight disabled elements, but do not focus on them (757252931)

2016-09-07 Tim Peeters

        * add test (b7947934d)
        * add unit test. (3633caf89)

2016-09-07 Zsombor Egri

        * follow currentIndex (eef6e00ac)

2016-09-07 Tim Peeters

        * sync staging (582e4ebc5)

2016-09-07 Loïc Molinari

        * Moved internal tools from QML module to lib directory. (a55a1b77c)

2016-09-07 Michael Terry

        * Make ActivityIndicator spinner blue instead of orange.
          Fixes:
          https://bugs.launchpad.net/bugs/1577828. (65cad33ad)

2016-09-07 Zsombor Egri

        * staging sync (36b41fd90)
        * progress (2c2f0202e)
        * staging sync (6532513ae)
        * fix indeterminate animation condition (95a14c9b4)

2016-09-06 Timo Jyrinki

        * Temporarily skip unit tests on xenial while not all MPs to fix Qt
          5.6 issues have landed yet. (b3e5399de)
        * gles too (bdb91876a)
        * Temporarily skip unit tests on xenial while not all MPs to fix them
          have landed yet. (87c06164a)

2016-09-06 Loïc Molinari

        * Fixed most of the doc issues. (96debd030)

2016-09-06 Michael Terry

        * Merge staging (ca7e580e0)

2016-09-05 Tim Peeters

        * better fix (bae9fdadb)
        * fix overflow icon in qt56 (bc45f9ebf)

2016-09-03 Tim Peeters

        * don't set action again for delgate in OverflowPanel. (3ffb036ff)

2016-09-02 Loïc Molinari

        * Fixed tests. (e8e079e3c)
        * Fixed documentation. (05ce41c97)
        * Updated copyright paths (another round). (c9d687929)
        * Updated copyright paths. (8a5bc0de5)
        * Fixed build as a Qt submodule. (da40460a2)

2016-09-01 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (2a4d90da7)

2016-08-31 Bileto Bot

        * Releasing 1.3.2085+16.10.20160831.4 (4f49fac68)
        * Remove the *.la files from the -dev package; they have been
          obsolete for   many years, cause dependency trouble.;  Fix
          the sscanf and roundf incompatiblity for Yaketty build.
          API for MenuBar, Menus, MenuItem & MenuSeparator.
          Introduced Action states & ExclusiveGroup action lis.
          Add ScrollingActionBarStyle.;  SplitView to
          Ubuntu.Components.Labs.;  Get rid of pragma warning, use
          standard way to mark an argument unused; fix   build
          failure related to static const used in qMin(), happening
          with Qt5.5.1;  ActivityIndicatorStyle: set default size on
          component instead of style.;  Update Popover and ListItem
          code examples to use the new ListItem and   ListItemLayout
          components. (12034cac1)

2016-08-31 Tim Peeters

        * kick (14599aaf2)

2016-08-31 Zoltán Balogh

        * skip tests on gles too (277c4a9d5)

2016-08-31 Tim Peeters

        * sync staging (1206d409f)

2016-08-30 Zoltán Balogh

        * Increase the top marging when scrolling upwards. Fixes LP:
          #1618581.
          Fixes: https://bugs.launchpad.net/bugs/1618581.
          (efe2b3e06)
        * Increase the top marging when scrolling upwards. Fixes LP: #1618581
          (d18185fe4)
        * Skip tests on xenial (3739559c6)

2016-08-30 Christian Dywan

        * QuickUtils.rootObject() needs to handle QQuickWindow.
          Fixes:
          https://bugs.launchpad.net/bugs/1617745. (1ad0c0254)

2016-08-30 Loïc Molinari

        * Changed src/ directory layout. (455ae069e)

2016-08-30 Christian Dywan

        * Add license header to MyDialog.qml (b2a523d64)

2016-08-29 Tim Peeters

        * add minimum versions for the suru icon theme. (7d7dcc268)
        * use new scroll arrows (0483e56eb)

2016-08-29 Christian Dywan

        * Assert that the Dialog successfully opened (0ef6da75c)

2016-08-29 Andrea Bernabei

        * Scrollbar: more hover related bugfixes and unit tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1616868,
          https://bugs.launchpad.net/bugs/1616926. (5bf9f559a)

2016-08-29 Christian Dywan

        * Autopilot test for opening Dialog with Window root item (62c0799b9)
        * QuickUtils.rootObject() needs to handle QQuickWindow (5ac43d01a)
        * popupUtils.open needs to null-check rootObject (8cc2a8aa5)

2016-08-29 Zsombor Egri

        * animate value change on standard progress indication; deprecate
          showProgressPercentage property (a2eeb269a)
        * staging sync (5f5cc4917)

2016-08-28 Zoltán Balogh

        * OTA14-2016-08-28 landing (8b5b01f5e)
        * Sync with staging (511d7ada1)

2016-08-27 Zoltán Balogh

        * Remove the *.la files from the -dev package; they have been
          obsolete for many years, cause dependency trouble.
          (ef522f3aa)

2016-08-27 Andrea Bernabei

        * Scrollbar: add test to make sure Mouse filters are ignoring
          touch-to-mouse synthesized events (a9d99e059)
        * Scrollbar: only update steppers hover state on not-synthesized
          Mouse events. Also refactored steppers hover unit tests.
          (6e75050b8)

2016-08-26 Andrea Bernabei

        * merge staging (7a65fffc9)
        * Scrollbar: check both sides of the hover area and update hover
          state on mouse (NOT TOUCH) release. Unit tests included.
          (85e477a0d)
        * Scrollbar: remove leftover margins around the area handling
          interaction with the thumb (902d0c915)

2016-08-26 Zoltán Balogh

        * Remove the *.la files from the -dev package; they have been
          obsolete for many years, cause dependency trouble
          (670780a79)

2016-08-26 Christian Dywan

        * Fully test custom OptionSelector (a8086160d)

2016-08-26 Nick Dedekind

        * API for MenuBar, Menus, MenuItem & MenuSeparator. (bea6e2103)
        * merged with staging (b5e9758be)

2016-08-26 Tim Peeters

        * Add ScrollingActionBarStyle. (dfd9968ff)
        * sync ActionBarScroll branch (4e61deacc)
        * sync staging (0195a290c)

2016-08-26 Nick Dedekind

        * added quickutils init to labs module (5cc09ca1c)

2016-08-26 Zsombor Egri

        * SplitView to Ubuntu.Components.Labs. (371d2af75)
        * fix build issues on gles (80a146ff2)

2016-08-25 Andrea Bernabei

        * Scrollbar: don't call hover handling logic on mouse/touch release
          (eec9eef60)

2016-08-25 Nick Dedekind

        * added back menus (84df0370a)
        * reverted revert (9f686516b)

2016-08-25 Christian Dywan

        * mainwindow seems to require x11 (27b188b92)

2016-08-25 Tim Peeters

        * sync staging (d187949fc)
        * revert revision 2079. It breaks compilation on armhf, amd64,
          i386-gles (f1fa681bc)
        * clean (6d5aa1be3)
        * use GridLayout (7aa7ee327)

2016-08-25 Zoltán Balogh

        * API for MenuBar, Menus, MenuItem & MenuSeparator
          https://code.launchpad.net/~nick-dedekind/ubuntu-ui-toolkit/menus/+merge/297922
          (ef09dd782)

2016-08-25 Nick Dedekind

        * merged staging (a82c49573)

2016-08-25 Tim Peeters

        * flake8 (515a72bd3)
        * introduce CannotScrollMoreToolkitException (493837c8f)
        * assign None instead of empty string for non-existent listview
          (481a85092)

2016-08-25 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (873ae75b1)

2016-08-25 Zsombor Egri

        * staging sync (a79f4e7ef)

2016-08-24 Tim Peeters

        * change the width of the scrolling ActionBar depending on the slider
          (3a4d2614c)
        * replace tabs by spaces in Ambiance.pro (9728d882f)
        * sync staging (d3ccdb095)

2016-08-24 Christian Dywan

        * Remove redundant MainWindow test bits and handle errors better
          (c8ff6c6c7)

2016-08-24 Bileto Bot

        * Releasing 1.3.2073+16.10.20160824 (f7a28dd33)
        * No need to check the setting anymore when vibrate. Fixes LP:
          #1433590.;  AbstractButton: Bind mouse area signals
          earlier. Otherwise it can happen that   someone clicks on
          button and the binding is still not done, i.e. 22911213 .
           Fixes LP: #1610165.;  Fix build warnings.;  Remove unused
          Q_Q(UCAbtractButton) declaration.;  Address documentation
          issue in UbuntuListView - pullToRefresh has "enabled"
          property. Fixes LP: #1387679;  Added new C++ UbuntuMetrics
          library.   This library allows the monitoring of various
          metrics in QtQuick 2   applications. It allows the logging
          of different metrics as well as   overlaying these metrics
          on top of each QtQuick windows.;  Added LTTng support to
          UbuntuMetrics.;  Added support for logging generic events.
          Made use of it to log predefined   ApplicationMonitor
          events. Predefined events only define UserInterfaceReady
          for now, as it's needed to track start-up time.;  Wrapped
          libUbuntuMetrics to QML.;  Icon, Switch and ProgressBar:
          enable use of texture atlas.;  ActivityIndicator: do not
          load the image until the ActivityIndicator is   made
          visible. Load it asynchronously.;  Remove unused CHANGES,
          CHANGES.syntax and NEWS files. (459a77abe)

2016-08-24 Zoltán Balogh

        * remove texture atlas. (32b377384)

2016-08-23 Florian Boucault

        * ActivityIndicatorStyle: set default size on component instead of
          style. (1e0178df2)
        * forgotten test (72b7aee72)
        * ActivityIndicator: set size on component rather than style that
          does not accept an implicit size. (98812c4dc)
        * ActivityIndicatorStyle: use width/height instead of
          implicitWidth/implicitHeight. (73a7632c3)

2016-08-23 Zoltán Balogh

        * Introduced Action states & ExclusiveGroup action list /
          https://code.launchpad.net/~nick-dedekind/ubuntu-ui-toolkit/exclusiveGroup/+merge/297921
          (1d7fe5133)

2016-08-23 Morgan DURAND

        * Update Popover and ListItem code examples to use the new ListItem
          and ListItemLayout components. (f92a39c25)

2016-08-23 Andrea Bernabei

        * merge staging (63ca4057d)

2016-08-22 Tim Peeters

        * fix unit tests for slow devices (5651ddf70)

2016-08-22 Nick Dedekind

        * merged parent (298ead17d)

2016-08-22 Tim Peeters

        * kick (aabd9ed9a)
        * clean (bbd586000)

2016-08-22 Morgan DURAND

        * fixed height property (65dbfff45)
        * fix identation issue (6817afd43)
        * replace height with proper value (97b2e1b9d)
        * wrong indentation (93f321cbd)
        * add forgotten height calculation (b4ab749ec)

2016-08-22 Zsombor Egri

        * 'bug' (0757d843f)

2016-08-22 Christian Dywan

        * Move MainWindow to Ubuntu.Components.Labs 1.0 (bd60968e4)
        * Merge lp:ubuntu-ui-toolkit/staging (82085e87d)

2016-08-22 Zsombor Egri

        * accidental commit reverted (6a475c380)
        * new style (659b69e50)
        * new style (e1ac8890e)

2016-08-22 Christian Dywan

        * Unit test and bug fix for unexpected child tab focus (85532b1b7)

2016-08-22 Zsombor Egri

        * Build failures on staging. (9002d596c)

2016-08-22 Nick Dedekind

        * fixed include (e56738044)

2016-08-22 Zsombor Egri

        * prereq merge (c98116c90)
        * get rid of pragma warning, use standard way to mark an argument
          unused; fix build failure related to static const used in
          qMin(), happening with Qt5.5.1 (cce6b7410)
        * staging sync (c6fd572fa)

2016-08-19 Tim Peeters

        * clean (a298a9df2)
        * flake8 (fc0e6f9c2)
        * finish AP tests (3d1baed49)

2016-08-19 Zoltán Balogh

        * Fix the sscanf and roundf incompatiblity for Yaketty builds.
          (e9f33f75e)

2016-08-19 Tim Peeters

        * CPO for scrolling actionbar (0714eda6f)

2016-08-19 Nick Dedekind

        * updated components.api (b44b3834b)
        * added signal parameter name (6b7967f3b)
        * merged staging (3f2152446)

2016-08-19 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (83de56ca1)

2016-08-19 Zoltán Balogh

        * Fix the sscanf and roundf incompatiblity for Yaketty builds
          (e9986898b)
        * try to fix the roundf is not declared in this scope (36c8bfa65)

2016-08-18 Tim Peeters

        * more CPO work. (908da67f3)

2016-08-18 Zoltán Balogh

        * try to fix the roundf is not declared in this scope (e47b53914)
        * try to fix the roundf is not declared in this scope (12cb13cde)
        * try to fix the sscanf is not declared in this scope (76b188514)
        * OTA13-2016-08-16 (330b8cef9)
        * OTA13-2016-08-16 (30fa2caa1)
        * Sync with trunk (b8c685e47)

2016-08-18 Bileto Bot

        * Resync trunk. (fa1e89e0d)

2016-08-18 Tim Peeters

        * clean (41688144c)
        * add FIXMEs (2f79f39e9)

2016-08-18 Loïc Molinari

        * Wrapped libUbuntuMetrics to QML. (51d84ae73)

2016-08-18 Nick Dedekind

        * merged with staging (2689f1085)

2016-08-18 Tim Peeters

        * fix behavior for scrollButtons.width > delegate.width (89a2adaee)
        * remove FIXME comment (932a7d939)
        * use margins when clicking scroll buttons (d7e5f6913)
        * use scrollButtons.width property (75fce0bf6)

2016-08-18 Nick Dedekind

        * added more includes (b7fc7e256)

2016-08-18 Tim Peeters

        * Remove unused CHANGES, CHANGES.syntax and NEWS files. (2b3f36e32)

2016-08-18 Christian Dywan

        * Remove unused Q_Q(UCAbtractButton) declaration. (fc00ee85c)

2016-08-18 Zsombor Egri

        * conflicts resolved (63914f075)

2016-08-17 Tim Peeters

        * merge previously pushed version (616d53241)
        * fix the keyboard focus scrolling behavior (080abbad1)

2016-08-17 Christian Dywan

        * Re-arrange Keys.onPressed select (db36a908f)
        * Drop FIXMEs from unrelated cases (filed as bug 1614045 instead)
          (123ddbb60)

2016-08-17 Florian Boucault

        * ActivityIndicator: do not load the image until the
          ActivityIndicator is made visible. Load it asynchronously.
          (e913dde03)

2016-08-17 Nick Dedekind

        * updated components.api (86ce49c90)

2016-08-17 Loïc Molinari

        * Added support for logging generic events. (d50ffd747)

2016-08-17 Florian Boucault

        * ActivityIndicator: set size in style instead of component.
          (d59bda2d6)
        * Fix unit tests tst_pulltorefresh_topmargin_13 and
          tst_pulltorefresh_pagestack_topmargin_13 (cd62c79cc)
        * Merged staging (aa420dd08)
        * Icon, Switch and ProgressBar: enable use of texture atlas.
          (aec9d2e8f)

2016-08-17 Loïc Molinari

        * Added LTTng support to UbuntuMetrics. (9004277f7)

2016-08-17 Tim Peeters

        * delete files (7a691c0d1)
        * don't make NEWS required (72ae754ca)
        * add NEWS and CHANGES (67979f101)

2016-08-17 Zsombor Egri

        * second round of review comments (0396b0cc2)

2016-08-17 Loïc Molinari

        * Added new C++ UbuntuMetrics library. (5d511ecb4)

2016-08-17 Larry Price

        * Address documentation issue in UbuntuListView - pullToRefresh has
          "enabled" property.
          Fixes:
          https://bugs.launchpad.net/bugs/1387679. (bc3f0abc8)

2016-08-17 Christian Dywan

        * Remove unused Q_Q(UCAbtractButton) declaration (7a15ba078)

2016-08-17 Nick Dedekind

        * added include (c46153387)

2016-08-17 Tim Peeters

        * sync staging (112c8e502)

2016-08-17 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (a5af8fdc2)

2016-08-16 Christian Dywan

        * Fix build warnings. (0bba5331e)

2016-08-16 Zsombor Egri

        * No need to check the setting anymore when vibrate.
          Fixes:
          https://bugs.launchpad.net/bugs/1433590. (bd39a0151)

2016-08-16 Albert Astals Cid

        * AbstractButton: Bind mouse area signals earlier (7fc492c1b)
        * Merge (e8b4b9aa7)

2016-08-16 Christian Dywan

        * Fix build warnings (d34bba134)

2016-08-16 Zsombor Egri

        * no need to check settings to vibrate (e94be62a5)
        * 'bug' (2711b72c3)

2016-08-15 Christian Dywan

        * Units instance per MainWindow and unit tests (f101ed299)

2016-08-14 Bileto Bot

        * Releasing 1.3.2060+16.10.20160814 (d504b37e8)
        * Fix OptionSelectorTestCase tests.;  Fix more OptionSelector
          autopilot tests;  Disable documentation building for GLES
          builds. Fixes LP: #1606222.;  Replace abs with qFabs due
          to GCC6 breakage. Fixes LP: #1610943.;  Limit s390x
          dependencies more due to upstart/s390x problems and
          removed   packages in archives. Fixes LP: #161095.
          ListItemLayout doc: add elide mode change example and add
          section about   labels default properties values. Fixes
          LP: #1603450.;  ListItemLayout doc: add explicit note
          about the need to bind ListItem's   height to layout's
          height.;  More Scrollbar optimizations: 20% faster
          creation time. Fixes LP: #1606451;  Scrollbar: fix wrong
          thumb color on tap/mouse release and increase coverage
          of hover states unit tests. Fixes LP: #1608897;  Fix null
          pointer property initializer used with 1.3 PageWrapper.
          Fixes LP: #1604780.;  Fix BottomEdge content URL
          preloading. Fixes LP: #1604509.
          UCUnits::resolveResource: Prefer image path if it exists.
          This saves   searching the disk for @gu images, which is a
          big speedup. According to   callgrind loading 100 images
          from a folder that contains 380 images goes   from around
          3 million instructions per UCUnits::resolveResource call
          down   to around 10 thousand. This optimization is ok
          since it is not correct to   ship both image.png and
          image@20.png. You either have to ship gu-enabled   files
          or not, but mixing them is not allowed. Searched for cases
          in which   that may be happening in my phone and found
          none. Fixes LP: #1604029.;  Configure colors of the
          buttons in the ActionBar and PageHeader through   their
          Styles. Fixes LP: #1597774.;  Fix assigning of constant
          values to a grouped property in StyleHints.   Fixes LP:
          #1602836.;  Fix list view keyboard navigation for
          RightToLeft and BottomToTop   directions. Fixes LP:
          #1605634;  Use external QML files instead of embedded QML
          strings for autopilot tests.   Fixes LP: #1578319;  Fix
          failing autopilot header tests.;  Fix
          ActionSelectionPopover Autopilot CPO tests.;  Include
          indexes in "offline" docs and filter out link errors.
          Fixes LP: #1603937.;  Increase focus ring thickness from
          1dp to 2dp. Fixes LP: #1602690.;  Add a snippet about
          tests to the toplevel README;  Enter/Return to trigger,
          Space to expand ComboButton. Fixes LP: #1523817.
          Initialize engine variable before using it in the _engine
          case.;  Use Qt.rgba instead of #0000 checking ListItem
          default color.   Fixes LP: #1560004;  Don't use a
          different .desktop file in the gallery tests.   Fixes LP:
          #1578319;  Update scaling docs, set QT_SCALE_FACTOR and
          unset GRID_UNIT_PX.   Fixes LP: #1610208;  Sections: load
          Icons asynchronously. (611b3b974)

2016-08-14 Zoltán Balogh

        * update from staging (a1bf2ffdb)

2016-08-13 Zoltán Balogh

        * Fix OptionSelector autopilot tests. (a4deca0ad)
        * Fix OptionSelector autopilot tests (1e12d0df6)

2016-08-12 Zoltán Balogh

        * sync with staging (10d581a2e)
        * sync with staging (3f91396da)

2016-08-12 Tim Peeters

        * Fix failing autopilot header tests. (8f11cbad4)

2016-08-12 Zoltán Balogh

        * Fix OptionSelectorTestCase tests. (4774b8812)

2016-08-12 Tim Peeters

        * merge staging (615aa923c)
        * fix header AP failures. (75106ee60)
        * Fix ActionSelectionPopover Autopilot CPO tests. (821acae9d)
        * pep8 (bcc998fd7)

2016-08-12 Zoltán Balogh

        * make pep8 happy (a7036aab9)

2016-08-12 Tim Peeters

        * add FIXMEs with references to bugs (8cdc67729)
        * fix AP tests (ce3259e04)
        * fix
          test_popups.ActionSelectionPopoverTestCase.test_click_hidden_button_by_object_name
          (94236bfbc)

2016-08-12 Nick Dedekind

        * merged with trunk (d39740890)

2016-08-12 Christian Dywan

        * Update scaling docs, set QT_SCALE_FACTOR and unset GRID_UNIT_PX.

          Fixes: https://bugs.launchpad.net/bugs/1610208.
          (8f7e62963)

2016-08-11 Christian Dywan

        * Typo fix (3753fcf02)

2016-08-11 Zsombor Egri

        * Accept Page and patch anchors.left of the Page. Provide explanation
          for height setting. (a2c20cacc)
        * use MathUtils.clamp() (2aaec2a02)
        * review fixes (b217f993c)
        * 'bug' (306591001)

2016-08-11 Zoltán Balogh

        * Fix OptionSelectorTestCase tests (b00c70508)

2016-08-11 Christian Dywan

        * Update scaling docs, set QT_SCALE_FACTOR and unset GRID_UNIT_PX
          (a5e902655)
        * Include OSK input in TextArea.displayText (9f3493d80)

2016-08-10 Zoltán Balogh

        * Update from staging (f1173b30b)

2016-08-10 Tim Peeters

        * Use external QML files instead of embedded QML strings for
          autopilot tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1578319. (5fd67a1ec)

2016-08-10 Christian Dywan

        * Don't use a different .desktop file in the gallery tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1578319. (37d57600e)

2016-08-10 Zsombor Egri

        * pass object instance for the UCUnits::instance() (fe1599387)

2016-08-10 Albert Astals Cid

        * AbstractButton: Bind mouse area signals earlier (623066a2f)

2016-08-10 Christian Dywan

        * Don't use a different .desktop file in the gallery tests
          (3bc8a821d)

2016-08-10 Zsombor Egri

        * control update (af7a10573)
        * complete tests (75b8bdb91)

2016-08-10 Christian Dywan

        * Add Labs dependency so it's available to AP (ab1cdb9b1)
        * Pass parent to UbuntuI18n/UCUnits::instance in constructor
          (76d9a5fa2)

2016-08-10 Zsombor Egri

        * simple setup test completed (bc597ff1d)

2016-08-09 Tim Peeters

        * void (215f702e0)
        * link bug (3f6eba11f)
        * flake8 (01f6a0e4f)
        * fix test_toolbar. (68c9f52c9)
        * fix test_textarea (02e6ed0cd)
        * fix test_qquicklistview.QQuickListViewOutOfViewTestCase (d6c6e6167)
        * fix test_popups.ComposerSheetTestCase (5c9cb11b3)
        * fix test_optionselector (46aad5c03)
        * fix test_main_view (e391b3fa9)
        * fix test_listitems.SwipeToDeleteTestCase (9e417f92a)
        * fix test_flickable_uitk10 tests (16e37c35a)
        * fix date picker tests (18ec4c8a2)
        * update test_common.py (4e87c8087)
        * flake8 test_checkbox.py (06c1d9c82)
        * fix checkbox AP tests (28de3a007)
        * add copyright notice to qml test file (3cc5ae911)
        * fix Flickable CPO AP tests (7bd9c0885)

2016-08-09 Florian Boucault

        * Sections: load Icons asynchronously. (dd3fffbc5)

2016-08-09 Zsombor Egri

        * use the generinc setup in the test (0fa0deb1f)
        * default spacing and override (6c80a949e)

2016-08-09 Timo Jyrinki

        * Sync from archives. (41452ad7c)

2016-08-09 Zsombor Egri

        * docs updated (954f8143d)

2016-08-09 Zoltán Balogh

        * Update from staging (42ced2043)

2016-08-09 Timo Jyrinki

        * Limit s390x dependencies more due to upstart/s390x problems and
          removed packages in archives.
          Fixes:
          https://bugs.launchpad.net/bugs/1610951. (616ba1d93)

2016-08-09 Zsombor Egri

        * fix Repeater specific missing view (09d5d4ae8)
        * get repeater working (f4330ab20)
        * move SplitView qmltype documentation to the top of the file so
          properties and attached properties are all listed
          (9780c7441)
        * staging sync (9200aca3d)

2016-08-09 Zoltán Balogh

        * Update from staging (2f911e326)
        * Update from staging (4dcbf8a2d)

2016-08-09 Loïc Molinari

        * Added Ubuntu.MEtrics to components.api. (5f46d592c)
        * Reverted testing in shape qml. (e5068ddc8)
        * Fixed loggingFilter. (316f4b12f)

2016-08-08 Loïc Molinari

        * Fixed packaging. (0b84152d3)

2016-08-08 Tim Peeters

        * working on new AP tests. Additions to _flickable are still needed.
          (28986c519)

2016-08-08 Timo Jyrinki

        * Replace abs with qFabs due to GCC6 breakage.
          Fixes:
          https://bugs.launchpad.net/bugs/1610943. (4318a768e)

2016-08-08 Zoltán Balogh

        * Use safe qstrcmp: typeName() can be 0 (21d3bf516)

2016-08-08 Timo Jyrinki

        * Limit s390x dependencies more due to upstart/s390x problems and
          removed packages in archives. (60d26d841)
        * Replace abs with qFabs due to GCC6 breakage (LP: #1610943)
          (cdedde2d1)

2016-08-08 Christian Dywan

        * Use safe qstrcmp: typeName() can be 0 (af08ba7e0)
        * Merge lp:ubuntu-ui-toolkit/staging (365958f46)

2016-08-06 Christian Dywan

        * Use Qt.rgba instead of #0000 checking ListItem default color.

          Fixes: https://bugs.launchpad.net/bugs/1560004.
          (422e142d6)

2016-08-06 Loïc Molinari

        * Added install file for metrics module. (3ad9d36fa)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics-generic-events.
          (a570d4d52)
        * Added initial support for metrics module. (ada0c9af3)
        * Added generic filter to launcher and toolkit module. (6e33d0831)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics-lttng.
          (d89b0f20d)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (155bbc2d5)

2016-08-05 Loïc Molinari

        * Removed incorrect "// static" marker. (e9152b9c1)
        * Marked private classes as private export. (cb34b810f)
        * Added missing doc. (42591b258)
        * Fixed indentation. (93b9e5cb7)

2016-08-05 Christian Dywan

        * Compare stringified default color with stringified reference color
          (5e8379b5e)

2016-08-05 Loïc Molinari

        * Switched back to suffixed headers to prevent packaging issues.
          (06df1cffc)

2016-08-05 Christian Dywan

        * Same for the 1.3 analogue (95978e6ba)
        * Use Qt.rgba instead of #0000 checking ListItem default color
          (ac8710f60)

2016-08-05 Tim Peeters

        * add test_actionbar.ScrollingActionBarTestCase.qml (cde4c1497)

2016-08-05 Loïc Molinari

        * Marked LTTng plugin headers as not installed. (c77e9ea9b)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics-lttng.
          (52cec664b)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (4acd58a4c)
        * Fixed src.pro dependencies. (af1f49d25)
        * Removed _p from lttng filenames. (7f8d920fd)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (ab57b102f)

2016-08-04 Loïc Molinari

        * Fixed OpenGL ES i386 build. (d643fb5e1)
        * Merged lp:ubuntu-ui-toolkit/staging. (5347865cd)
        * Removed useless INCLUDEPATH from .pro. (6fd535f17)
        * Updated launcher description. (31c34bf23)
        * Made UMApplicationMonitor a singleton and updated API. (3bb12bbf8)

2016-08-04 Tim Peeters

        * clean (5e0025ab1)
        * clean (88d565cfa)
        * test scroll button clicks. (a036a050e)

2016-08-04 Christian Dywan

        * Test selecting and expanding/ collapsing via keyboard (cbb0abc43)

2016-08-04 Tim Peeters

        * split up TestCase for ActionBar (f98d13e47)

2016-08-04 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (1a9dd90ea)

2016-08-03 Tim Peeters

        * use verify() instead of compare() (58fc252c8)
        * add get_scroll_button_visible to tests. (379bd08a2)
        * incorporate test_number_of_actions_in_overflow into
          test_actions_visibility. (2a80f205d)
        * incorporate test_overflow_button_visbile into
          test_actions_visibility. (e719d2adf)
        * re-write test_number_of_visible_buttons to use data (85c8ef3ae)
        * revert IconButtonStyle (39f0f7bfb)

2016-08-03 Christian Dywan

        * Visual unit test for OptionSelector 1.3 (ebe3ab8e0)
        * No implied expanding via arrow keys (1ae936a40)

2016-08-02 Tim Peeters

        * sync staging (afefbe676)
        * updating unit tests (d09514fb1)

2016-08-02 Andrea Bernabei

        * Scrollbar: fix wrong thumb color on tap/mouse release and increase
          coverage of hover states unit tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1608897. (f12044f31)
        * Scrollbar: increase coverage of hover states unit tests (ce91bfcce)
        * Scrollbar: keep hovered state after the mouse is released inside
          the thumb (ccf5ab064)

2016-08-02 Tim Peeters

        * Fix list view keyboard navigation for RightToLeft and BottomToTop
          directions.
          Fixes:
          https://bugs.launchpad.net/bugs/1605634. (26729647f)

2016-08-02 Zoltán Balogh

        * Sync with staging (5994efda8)

2016-08-02 Andrea Bernabei

        * ScrollbarUtils: move from Labs to Private. UITK must not depend on
          Labs. (178adcef0)

2016-08-02 Zoltán Balogh

        * Sync with staging (5230cd88f)

2016-08-02 Andrea Bernabei

        * Labs: revert change of import version until new version is agreed
          (b4fa18f7f)

2016-08-02 Christian Dywan

        * Initialize engine variable before using it in the _engine case.
          (c18180db2)

2016-08-02 Andrea Bernabei

        * ScrollbarUtils: move from Labs to Private. UITK must not depend on
          Labs (aab173315)

2016-08-02 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (e1707f707)

2016-08-02 Christian Dywan

        * Initialize engine variable before using it in the _engine case
          (127af68af)
        * Merge lp:ubuntu-ui-toolkit/staging (d88913796)

2016-08-01 Christian Dywan

        * Prevent scrolling on pressed when released changes the index
          (8a92e9115)
        * Correct override unit test (548231dc7)

2016-08-01 Zoltán Balogh

        * Update from staging (4948ffa44)

2016-08-01 Andrea Bernabei

        * More Scrollbar optimizations: 20% faster creation time.
          Fixes:
          https://bugs.launchpad.net/bugs/1606451. (c4db642cd)

2016-08-01 Christian Dywan

        * Keep focus on the main component, enable unit test (9e82fb4a1)

2016-08-01 Tim Peeters

        * merge goofyList (ed96679c8)
        * sync staging (9d30ca989)

2016-08-01 Andrea Bernabei

        * ScrollbarUtils: rename header to _p.h following recent changes in
          SDK private classes policy (86a76aeee)

2016-08-01 Tim Peeters

        * sync staging (6d1973bc4)
        * fix keyboard navigation (a34595695)

2016-08-01 Andrea Bernabei

        * merge staging (3b2c8ae8f)
        * Labs module: run qmlplugindump with module 1.3 (b035a7ac8)

2016-07-29 Loïc Molinari

        * Removed ContinuousUpdates and added an event type to update
          intervals. (f5cda78d9)

2016-07-29 Zoltán Balogh

        * update from staging (5fbb3f070)
        * Sync with trunk (489831950)

2016-07-29 Loïc Molinari

        * Renamed MonitorFlag* to MonitoringFlag*. (1d1439d7b)

2016-07-29 Andrea Bernabei

        * Labs: remove fake component. It was doubling every API which used
          QObject (6514013f2)
        * Scrollbar: hide scrollbar when no flickable is assigned to it. Unit
          tests included. (6e4e2fc9f)

2016-07-29 Loïc Molinari

        * Renamed setLoggingFilters to setLoggingFilter. (41a78cbfe)

2016-07-29 Andrea Bernabei

        * Scrollbar: add comment about the removal of Qt.resolvedUrl in the
          steppers path resolution (9222d0cfa)
        * add copyright header to ucscrollbarutils (5c36d5df2)

2016-07-29 Zoltán Balogh

        * Landing OTA13-2016-06-29 (f865c9d98)

2016-07-29 Andrea Bernabei

        * remove remaining temporary Scrollbar optim files (6cdc93865)
        * remove temp scrollbar optim files and benchmarks (cb303873f)
        * Scrollbar: move PrivateScrollbarUtils singleton to Labs module
          (708db0c81)

2016-07-29 Tim Peeters

        * refer to bug ID in unit test comment (424e6e438)
        * fix keyboard nav for RTL ListViews (79a659bab)

2016-07-29 Christian Dywan

        * Focus ring, arrow keys and space to expand OptionSelector
          (845d07865)

2016-07-28 Loïc Molinari

        * Merged lp:ubuntu-ui-toolkit/staging. (5991a5638)
        * Attempt to fix OpenGL ES packaging for amd64 and i386. (8386165ef)

2016-07-28 Andrea Bernabei

        * merge staging (a8276b571)

2016-07-27 Loïc Molinari

        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics-lttng.
          (8ebcca374)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (2b46e8381)
        * Fixed Debian packaging. (5bc65067d)
        * Corrected a sentence. (df2c1cc97)
        * Removed remaining testing code. (0ce010ab8)
        * Added supprot for generic events with predefined application
          monitor events. (6c92f17c4)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (ae5402742)
        * Removed PerformanceOverlay from MainView 1.3 and deprecated
          Performance Metrics QML module. (571811a1b)

2016-07-27 Tim Peeters

        * add test cases for reverse-direction ListViews (ef51b2fb2)

2016-07-27 Loïc Molinari

        * Added missing locks around monitors access. (98b0596af)

2016-07-27 Christian Dywan

        * Add MainWindow to Ubuntu.Components.Labs (3dfa441fd)

2016-07-26 Tim Peeters

        * add controls for manual testing (030f2d2e5)

2016-07-27 Loïc Molinari

        * Removed useless return statement. (a5f5a25cc)

2016-07-26 Loïc Molinari

        * Added Debian packaging data. (3bc824bab)
        * Merged prerequiste branch
          lp:~loic.molinari/ubuntu-ui-toolkit/ubuntu-metrics.
          (8ad311100)
        * Added Debian packaging data. (83c6bb239)

2016-07-26 Tim Peeters

        * better focus tests (e8a03a271)
        * sync staging (42c1f2f8a)

2016-07-26 Loïc Molinari

        * Moved more things from UK to US english. (7e77ec44a)
        * Moved from UK to US english. (798048302)
        * Added LTTng support to UbuntuMetrics. (22ef43ecb)

2016-07-26 Christian Dywan

        * Enter/Return to trigger, Space to expand ComboButton.
          Fixes:
          https://bugs.launchpad.net/bugs/1523817. (26c28d486)

2016-07-26 Andrea Bernabei

        * ListItemLayout doc: add explicit note about the need to bind
          ListItem's height to layout's height. (06a9b30eb)

2016-07-26 Bileto Bot

        * Releasing 1.3.2030+16.10.20160726.2 (75fc42878)
        * Make qml-module-ubuntu-components-gles depend on
          qml-module-ubuntu-performancemetrics-gles.;  Set default
          for TextArea.persistentSelection and correct type.   Fixes
          LP: #1594400;  Add version suffix to all unit tests in
          visual.;  Stop using macros for namespaces in headers.
          Fixes LP: #1596536.;  More robust list and namespace
          handling in apicheck. Fixes LP: #1595461;  Separate plugin
          for Ubuntu.Components.Labs.;  Create separate plugin for
          Ubuntu.Components.Styles.;  Move C++ components into
          UbuntuToolkit library.;  Remove fw-headers from
          UbuntuGestures and UbuntuToolkit. We are no longer
          supporting them as public C++ API.;  Break unity8 with
          lower version 8.13.;  Improve the i18n documentation for
          plurals. Fixes LP: #1184810;  Don't get APL subheader
          colors from MainView AppHeader when there is no
          MainView. Fixes LP: #1588172;  Add Header.automaticHeight
          property. Fixes LP: #1540240;  UbuntuShape - Use reference
          counting to handle shape textures.   The current shape
          textures handling system requires to search for the
          textures associated to the current graphics context by
          doing a search in an   array for each item at each
          updatePaintNode() call. It also deletes the   textures on
          OpenGLContext::aboutToBeDestroyed() signal emission, which
            appears in some cases to not have any OpenGL context
          bound.   We propose an alternative to create and destroy
          shape textures per material   creation and destruction
          with a reference counting mechanism to minimise   costly
          calls. We search for the shape textures (hash lookup with
          an OpenGL   context pointer as the key) only when a
          texture material is created or   deleted, which is much
          more occasional compared to updatePaintNode() calls.
          That also ensures textures are deleted with the proper
          OpenGL context bound.   The only drawback is that shape
          textures are deleted when there is no shape   items
          anymore in a scene and recreated when there is a new one
          appearing.   These operations being quite uncommon and
          relatively fast, the advantages   seem to be higher than
          the drawbacks.;  Expansion of LD_LIBRARY_PATH is broken
          since it doesn't include a ":", which   means
          PerformanceMetrics path, which is at the end, is actually
          not   available, nor the current content of
          LD_LIBRARY_PATH.   That fixes it using the proper shell
          expansion syntax.;  Fix packaging sorting bzr hook to work
          on bzr branches that are local only.;  Disable
          documentation building for GLES build.
          ProgressionVisual: do not load the icon until the
          progression is made   visible.;  Scrollbar: do not load
          the stepper icon until it is visible.;  Scrollbar: load
          stepper icon asynchronously.;  Icon: only load when
          completed and therefore avoids multiple reloads caused
          by size changes. (62417dd5d)

2016-07-26 Zoltán Balogh

        * update changelog (76ac43bbb)
        * Disable documentation building for GLES builds (e93529d1d)

2016-07-26 Timo Jyrinki

        * Disable documentation building for GLES builds.
          Fixes:
          https://bugs.launchpad.net/bugs/1606222. (6c863453e)
        * Rebuild against Qt 5.6. (fc4be5276)

2016-07-26 Zoltán Balogh

        * sync with trunk (49cd7d8bb)
        * fix unit test (fe7ac1ac4)

2016-07-25 Tim Peeters

        * sync changes from disable-namespace branch (ba974db3c)

2016-07-25 Loïc Molinari

        * Made DWARN a WARN for shader creation errors. (ca5d1d5be)

2016-07-25 Zoltán Balogh

        * Use macros where namespace is used and disable use of UbuntuToolkit
          namespace. (ad5f447e8)

2016-07-25 Tim Peeters

        * update components.api (dff333e61)
        * sync changes from disable-namespace branch (18c8dcd3b)

2016-07-25 Timo Jyrinki

        * Disable documentation building for GLES builds (LP: #1606222)
          (2d61003e7)

2016-07-25 Florian Boucault

        * Sections: load Icons asynchronously. (a5f82e70e)
        * ActivityIndicator: do not load the image until the
          ActivitiyIndicator is made visible. Load it
          asynchronously. (6fb7d4704)

2016-07-23 Loïc Molinari

        * Added metrics logging filters. (92bfc3542)

2016-07-22 Andrea Bernabei

        * fix link to SlotsLayout's docs (dc4a31bee)
        * ListItemLayout doc: add explicit note about the need to bind
          ListItem's height to layout's height (48d5ca884)

2016-07-22 Christian Dywan

        * Fix dropdown button focussing the main item (2f906a717)

2016-07-22 Morgan DURAND

        * fix height size when ListItemLayout is used inside ListItem for
          ucListItem component (d5289d141)
        * fix height size when ListItemLayout is used inside ListItem
          (105b92b17)
        * fix height size when ListItemLayout is used inside ListItem
          (52b000f51)
        * fix height size when ListItemLayout is used inside ListItem
          (6326cf855)
        * fix height size when ListItemLayout is used inside ListItem
          (915205cd8)

2016-07-22 Andrea Bernabei

        * merge staging (97c062274)

2016-07-22 Morgan DURAND

        * update new ListItem component for using ListItemLayout (6b3c94fef)

2016-07-22 Loïc Molinari

        * Added the bitmap-text-builder tool that generates the bitmap font
          header. (552b947ff)

2016-07-22 Morgan DURAND

        * update Popover compomnent doc for using new Listem component
          (3895c4e12)

2016-07-22 Andrea Bernabei

        * ListItemLayout doc: add elide mode change example and add section
          about labels default properties values.
          Fixes:
          https://bugs.launchpad.net/bugs/1603450. (be9a1e290)

2016-07-22 Loïc Molinari

        * Added new UbuntuMetrics lib and overlay/logging support to UC and
          launcher. (6e1a2092e)

2016-07-22 Morgan DURAND

        * update Popover compomnent doc for using new Listem component
          (aab5efe0d)

2016-07-22 Zoltán Balogh

        * Bump U8 break (a80dab6cc)

2016-07-20 Zsombor Egri

        * Fix null pointer property initializer used with 1.3 PageWrapper.

          Fixes: https://bugs.launchpad.net/bugs/1604780.
          (041889775)
        * add version suffix (229057420)

2016-07-20 Albert Astals Cid

        * UCUnits::resolveResource: Prefer image path if it exists
          (fae78792b)

2016-07-20 Zsombor Egri

        * fix (fc4f19d11)
        * test reproducing the issue (374aa6657)
        * 'bug' (eee2fa9bc)

2016-07-20 Albert Astals Cid

        * QString("1") + "/" -> QStringLiteral("1/") (d4491b16b)

2016-07-19 Tim Peeters

        * Configure colors of the buttons in the ActionBar and PageHeader
          through their Styles.
          Fixes:
          https://bugs.launchpad.net/bugs/1597774. (16d49469f)

2016-07-19 Zsombor Egri

        * Fix BottomEdge content URL preloading.
          Fixes:
          https://bugs.launchpad.net/bugs/1604509. (0297c5e8b)

2016-07-19 Tim Peeters

        * scroll buttons use correct colors (8de7c263c)

2016-07-19 Zsombor Egri

        * fix content loading when URL is given (b71fba1a1)
        * 'bug' (48b508804)

2016-07-19 Tim Peeters

        * use component for the scroll buttons (0dc36b4ae)
        * add scrollButtons property (377e70ad6)

2016-07-19 Albert Astals Cid

        * Remove this, we already checked it above (7e0dd748a)
        * UCUnits::resolveResource: Prefer image path if it exists
          (f7606bed5)

2016-07-19 Tim Peeters

        * use new color properties (988673a7f)

2016-07-19 Zsombor Egri

        * documentation stage (b56c928ea)

2016-07-19 Tim Peeters

        * sync ActionBar-colors (c694c02ac)
        * use older QtQuick.Layouts in actionbar unit test (e98bae25b)

2016-07-18 Andrea Bernabei

        * merge staging (e1d025176)
        * ListItemLayout doc: add section about default values of labels
          props and an elide mode example (f15a8aa49)

2016-07-18 Tim Peeters

        * sync ActionBar-colors (20ea12762)
        * sync staging (a13136672)

2016-07-18 Nick Dedekind

        * moved menus to Labs (e61bf3eff)
        * removed uc prefix (587bb1216)
        * merged with trunk (67a66707a)
        * moved cpp&h (990135835)
        * removed UC prefix (f9cd311dd)

2016-07-18 Tim Peeters

        * Fix assigning of constant values to a grouped property in
          StyleHints.
          Fixes:
          https://bugs.launchpad.net/bugs/1602836. (64e81a2c2)

2016-07-18 Nick Dedekind

        * merged with trunk (a5347f11c)

2016-07-18 Christian Dywan

        * Include indexes in "offline" docs and filter out link errors.

          Fixes: https://bugs.launchpad.net/bugs/1603937.
          (50ca31c55)
        * Move indexes into a separate file re-used by all versions
          (f7c816341)
        * More explicit comment about second qdoc pass for indexes
          (42a2aea1f)
        * Include indexes in "offline" docs and filter out link errors
          (8662a238f)

2016-07-18 Andrea Bernabei

        * update scrollbar perf script, add benchmark with KPI sprint results
          (79c7663f9)
        * merge staging (963b95828)

2016-07-15 Zsombor Egri

        * handleDelegate (d2bccd3a8)

2016-07-15 Larry Price

        * Fix #1387679 - enable -> enabled (551d9bd4d)

2016-07-15 Andrea Bernabei

        * merge staging (d7654d783)

2016-07-15 Zsombor Egri

        * react on wrong column config; split layout code from view
          (ca1fb40bc)

2016-07-15 Tim Peeters

        * sync ActionBar-colors (ec5ebf582)
        * don't re-define backgroundColor (a91fa313f)
        * sync fixGroupedStyleProperties (e45b05091)
        * sync staging (78c4ae323)

2016-07-14 Tim Peeters

        * fix disabled action in scrolling actionbar (1894fbdc9)
        * merge ActionBar-colors (957611d26)
        * merge fixGroupedStyleProperties (09f24914f)
        * add comment about icon (aab39d95a)
        * sync staging (a32305c9b)
        * fix coloring of ActionBars in PageHeader (3afbb9836)
        * update components.api (f32a72b94)
        * rename ButtonProperties to ActionItemProperties (ce6c018d7)
        * add ButtonProperties to PageHeaderStyle (2a246862e)

2016-07-14 Christian Dywan

        * Increase focus ring thickness from 1dp to 2dp.
          Fixes:
          https://bugs.launchpad.net/bugs/1602690. (8782abd30)

2016-07-14 Tim Peeters

        * document and clean (93af0c293)
        * rename IconButtonProperties to ButtonProperties (530dd7d19)
        * clean test; make delegate a proper Component (c305b0a52)

2016-07-14 Zsombor Egri

        * resizing (26ec25f25)

2016-07-14 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (8c8c06c18)
        * AbstractButton shouldn't act as a FocusScope (fc72a3d3b)
        * AbstractButton shouldn't by default accept Tab (2509529c8)
        * Put the ComboButton back in charge of its own keyNavigationFocus
          (21f199ad0)
        * Use ListItem(WithLabel) for ComboButton's in the gallery
          (c3e0d9224)

2016-07-14 Tim Peeters

        * update components.api (aa37b1ccc)
        * buttons color properties (c7d686342)
        * sync fixGroupedStyleProperties (7d35300c5)
        * clean (e51426a60)

2016-07-14 Christian Dywan

        * Increase focus ring thickness from 1dp to 2dp (d0e11d96f)

2016-07-13 Tim Peeters

        * change order of checking validity and setting value (bcc1efa8f)
        * update comment (1b106838c)
        * add comment (5462d7bbf)
        * add invalid grouped property test (e2e72a49b)
        * update text (322e8ba14)
        * add regression test qml file (3af5435ed)
        * link bug (8f177a419)
        * add regression test (b67b5bfbf)
        * test grouped property (52b7b8f30)
        * sync staging (78f446fbe)

2016-07-13 Zsombor Egri

        * more on layouts (fbf1f813e)

2016-07-12 Christian Dywan

        * Launcher: create QQuickView if no window provided.
          Fixes:
          https://bugs.launchpad.net/bugs/1597672. (03f9fc506)
        * Handle comments in test import and be verbose if it fails
          (f1e11f216)
        * Add a snippet about tests to the toplevel README. (9659123cd)

2016-07-11 Zoltán Balogh

        * Update from staging (11270637a)
        * changelog update (0e3f60a2d)

2016-07-11 Christian Dywan

        * More robust list and namespace handling in apicheck.
          Fixes:
          https://bugs.launchpad.net/bugs/1595461. (ac96e91f8)

2016-07-11 Zsombor Egri

        * fix on API (007554c54)
        * attached property, and test skeleton (af07525d8)
        * attached property, and test skeleton (dcce217e7)

2016-07-11 Zoltán Balogh

        * Break unity8 before 8.13. (86cf43736)

2016-07-11 Zsombor Egri

        * API and component registration (f13ce156c)

2016-07-11 Zoltán Balogh

        * Break unity8 before 8.13 (e2271f9e7)
        * Break unity8 before         unity8 (<< 8.13), (b427cd18d)

2016-07-11 Zsombor Egri

        * Remove fw-headers from UbuntuGestures and UbuntuToolkit. We are no
          longer supporting them as public C++ API. (e6c1eb03d)

2016-07-11 Christian Dywan

        * Use and explain correct way to run individual tests (96089633c)
        * Add more explicit test command suggestions to README (ba591a2a9)

2016-07-11 Zsombor Egri

        * prereq merge (6b7ed0395)

2016-07-08 Zsombor Egri

        * turn namespace to opt-out, defaults to use namespace (93d598ba6)

2016-07-08 Christian Dywan

        * Add a snippet about tests to the toplevel README (51bfeb06e)

2016-07-08 Zsombor Egri

        * fix UbuntuGestures private install (11813201d)

2016-07-07 Tim Peeters

        * sync staging (273a22ae3)
        * fix anchor (5176575b4)

2016-07-07 Zsombor Egri

        * revert rules (df24d439a)
        * fix modified privates causing crashes (4eaa39d3c)
        * build tests (7d88fac68)

2016-07-07 Andrea Bernabei

        * merge staging (39d3394e8)

2016-07-07 Zsombor Egri

        * build stage (db46fe347)

2016-07-07 Benjamin Zeller

        * Global include (8b4c4141f)
        * Make the modules build again (d4f320fe8)

2016-07-07 Zsombor Egri

        * few mocs back (8cff70896)
        * header renaming stage (1ff59162a)

2016-07-06 Zsombor Egri

        * fix removed header files (2a67d15c7)
        * remove UGestures fw-headers, move all classes to private
          (9089f3681)

2016-07-06 Tim Peeters

        * sync staging (07fd7cce1)

2016-07-06 Zsombor Egri

        * roll back the namespace workaround (fd43ca307)

2016-07-06 Zoltán Balogh

        * update from staging (6dab63c19)

2016-07-05 Florian Boucault

        * Scrollbar: load stepper icon asynchronously. (fbc19296b)

2016-07-05 Christian Dywan

        * Launcher: create QQuickView if no window provided (3ba6544f4)

2016-07-04 Tim Peeters

        * rename pressedBackgroundColor property to
          pressedButtonBackgroundColor (db17a39cd)

2016-07-04 William Hua

        * Make qml-module-ubuntu-components-gles depend on
          qml-module-ubuntu-performancemetrics-gles. (47a2cabef)

2016-07-04 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (be9b7ab49)

2016-07-04 Tim Peeters

        * clean (4120cdd6b)
        * clean (4b7f45403)

2016-07-04 Florian Boucault

        * Icon: only load when completed and therefore avoids multiple
          reloads caused by size changes. (dc6fc2e04)

2016-07-04 Tim Peeters

        * update components.api (f06e04c2f)
        * apply colors for PageHeader (3ac7c0ad9)
        * update test program (17febdbcb)
        * update components.api (d0503142f)
        * link bug (abea6b38d)
        * sync staging (8eece7250)

2016-07-04 Christian Dywan

        * Explicit handling of C++ namespaces vs. Enum/ Flags (24d9fa682)

2016-07-04 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (888ffe5b6)

2016-07-02 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (90a773699)

2016-07-01 Tim Peeters

        * update unit test (01a65edfe)
        * update style in theme (452957ad2)
        * add colors to style (27b864d6e)

2016-07-01 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (fb39237a1)

2016-06-30 Loïc Molinari

        * Expansion of LD_LIBRARY_PATH is broken since it doesn't include a
          ":", which means PerformanceMetrics path, which is at the
          end, is actually not available, nor the current content of
          LD_LIBRARY_PATH. (56f6382e9)

2016-06-30 Florian Boucault

        * Scrollbar: load stepper icon asynchronously. (8b18e3459)
        * No new public property. (3677f2232)

2016-06-30 Tim Peeters

        * NEW BRANCH. Fix test program width and height. (1bd4961bf)

2016-06-30 Florian Boucault

        * Icon: only load when completed and therefore avoids multiple
          reloads caused by size changes. (517645411)

2016-06-30 Tim Peeters

        * sync staging (edaee3063)
        * give the ActionBar a background color (7376bc319)

2016-06-30 Loïc Molinari

        * Fixed buggy LD_LIBRARY_PATH expansion. (37a2686e1)

2016-06-30 Florian Boucault

        * Icon, Switch and ProgressBar: enable use of texture atlas.
          (c864781e1)

2016-06-30 Christian Dywan

        * Stop using macros for namespaces in headers.
          Fixes:
          https://bugs.launchpad.net/bugs/1596536. (c18f02495)

2016-06-30 Tim Peeters

        * Add Header.automaticHeight property.
          Fixes:
          https://bugs.launchpad.net/bugs/1540240. (acffcc80d)

2016-06-29 Tim Peeters

        * clean (77c6fa474)
        * reverse layout direction (4dff3d7f4)
        * right-align short lists (e49d331c0)

2016-06-29 Christian Dywan

        * Add new UbuntuToolkit uppercase includes to packaging (e646e63f4)
        * Add namespaces to \instantiates qdoc tags (62023ae10)

2016-06-28 Tim Peeters

        * update buttons (16b87d693)
        * get rid of gradient (b5a0c2cb1)
        * sync staging (dce78d00d)

2016-06-28 Christian Dywan

        * Wrap and sort debian/libubuntutoolkit5-dev.install (9eea82bd4)
        * Stop using macros for namespaces in headers (75e069bc2)

2016-06-28 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (d0bcfb7ae)

2016-06-27 Tim Peeters

        * void (e4e6fd76f)

2016-06-27 Christian Dywan

        * Indeed use the nameSpace variable previously declared (a6da505cd)
        * Don't leak C++ namespaces into QML type names (15d8582c0)

2016-06-27 Tim Peeters

        * update components.api (9bc37d8e3)
        * sync trunk (0960f65ee)

2016-06-27 Christian Dywan

        * Get the QML name of the namespace (a1f74b4d3)

2016-06-27 Zoltán Balogh

        * OTA12-2016-06-27 (3380e3024)

2016-06-24 Christian Dywan

        * Set default for TextArea.persistentSelection and correct type.

          Fixes: https://bugs.launchpad.net/bugs/1594400.
          (0306147ea)

2016-06-24 Zsombor Egri

        * Separate plugin for Ubuntu.Components.Labs. (4fbaa5aa4)

2016-06-24 Christian Dywan

        * More robust list and namespace handling in apicheck (fddb35e28)

2016-06-24 Nick Dedekind

        * export classes (2851eef49)
        * fixed namespace (799976935)
        * merged parent (f69aa9374)

2016-06-24 Christian Dywan

        * Wrap and sort the control{,.gles} files (663121594)

2016-06-24 Nick Dedekind

        * fixed some namespace issues (215f4604c)
        * merged with staging (9dfcf4045)
        * removed unnecessary code/whitespace (3825172d8)
        * reverted old change (dd28b2770)
        * merged with staging (ce83b4085)
        * Introduced checkable/checked properties (289581a74)

2016-06-23 Nick Dedekind

        * Re-addded qml ActionList (32695dd69)

2016-06-23 Zsombor Egri

        * adding package and install (41a2e4b6a)
        * labs module skeleton (6e3745218)

2016-06-23 Tim Peeters

        * sync staging (5436e2c88)
        * sync staging (0b33a3d93)
        * update components.api (e986a1d71)

2016-06-23 Zsombor Egri

        * staging sync (c43f8b029)
        * Create separate plugin for Ubuntu.Components.Styles. (5a710a740)
        * fix plugin dumper iand install it (d9bcb140a)
        * fix and install (2bb507562)
        * missing .pri added (d0a27e7f5)
        * styles plugin (ddc274818)

2016-06-22 Zsombor Egri

        * Move C++ components into UbuntuToolkit library. (187998e41)

2016-06-22 Tim Peeters

        * clean (3558d2a7a)
        * update AdaptivePageLayout (a7af2a213)
        * bug number in unit test (4ea4389f6)
        * improve unit test (44b56c846)
        * add unit test (642ca87d3)
        * add Header.automaticHeight property (05af4bb94)
        * sync staging (a11cca831)

2016-06-22 Zsombor Egri

        * fix template functions (5b144e893)
        * fixing last bits on install, removing duplicate gesture classes and
          unneeded gesture include (4677fc2cb)
        * fix forward-headers (efea8edfa)

2016-06-22 Tim Peeters

        * Improve the i18n documentation for plurals.
          Fixes:
          https://bugs.launchpad.net/bugs/1184810. (de5a6909d)

2016-06-22 Zoltán Balogh

        * Sync with trunk (249141fe5)

2016-06-21 Zsombor Egri

        * please ancient pep8 (d60b2926c)

2016-06-21 Nick Dedekind

        * merged exclusiveGroup (f479ac3cb)
        * Added docs (2b2c89d19)

2016-06-21 Zsombor Egri

        * fix namespace for UbuntuGestures module (03fdf6bbb)
        * fixing qdoc (1c4d9dfc6)
        * fix macros in propertiwes/signals for qdoc (137960395)

2016-06-21 Christian Dywan

        * Set default for Text*.persistentSelection and correct type
          (4c7728548)
        * Add internal comment for ComboButton.keyNavigationFocus (0e7c1985f)

2016-06-21 Zsombor Egri

        * approach fixing qdoc (9ca646aa0)

2016-06-21 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (316b85eab)

2016-06-21 Zsombor Egri

        * fix pep8 hysteria (64758e04a)

2016-06-20 CI Train Bot

        * Resync trunk. (5d8d1ce40)

2016-06-20 Nick Dedekind

        * removed distfile from pro (e96498862)
        * updated menu tests (6ae66c3fa)
        * updated menu tests (58776380d)
        * updated menu tests (c4aae4988)
        * Added menu unit tests (c910eb0b0)
        * simplified insert (87676fe2e)

2016-06-20 Zsombor Egri

        * API and test updated (75ea3ff89)

2016-06-20 Christian Dywan

        * Alias activeFocusOnTab rather than unsetting it (3d42551a4)

2016-06-20 Nick Dedekind

        * added MenuGroup::at (ae87b8fca)
        * added trigger test (176890a30)
        * added ExclusiveGroup unit tests (371a5b384)
        * Added selected on add (2e5e1996f)

2016-06-20 Andrea Bernabei

        * merge staging (cca7ea843)

2016-06-20 Tim Peeters

        * fix docs (e9adc52cb)

2016-06-20 Zsombor Egri

        * build fixes (24b35321d)
        * fix AP namespace (beb95fb17)
        * move module initialization and type registrations into the library
          modules (bf5d2b5e9)
        * fix install (9405f4e3e)

2016-06-17 Tim Peeters

        * Don't get APL subheader colors from MainView AppHeader when there
          is no MainView.
          Fixes:
          https://bugs.launchpad.net/bugs/1588172. (003e29615)

2016-06-17 Zsombor Egri

        * staging sync (62b1de3ed)
        * turn on NS (eb7fd0e61)
        * use namespace prepending macro for public properties (a5fc8dfae)
        * provide EngineData to hold engine and plugin specific environment
          setup - so far store only the baseUrl so we can load
          internal QML files used in Haptics and ListItem
          (196c29815)
        * stage 8 (054ddec06)
        * stage 7 (6d009a110)
        * stage 6 (75ad65109)
        * stage 5 (37e82933c)
        * stage 4 (4a7e55c7a)
        * stage 3 (ed9c40b49)

2016-06-16 Loïc Molinari

        * [UbuntuShape] Use reference counting to handle shape textures.
          (4999fd8ee)

2016-06-16 Christian Dywan

        * Use tryCompare when checking combo height/ expansion (e6063e3d8)
        * Add version suffix to all unit tests in visual. (44009cfdf)
        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (4258da977)

2016-06-16 Tim Peeters

        * sync staging (da3a16c34)

2016-06-16 Timo Jyrinki

        * Fix packaging sorting bzr hook to work on bzr branches that are
          local only. (74e284c71)

2016-06-16 Loïc Molinari

        * Merged lp:ubuntu-ui-toolkit/staging. (547bf77b2)

2016-06-16 Florian Boucault

        * ProgressionVisual: do not load the icon until the progression is
          made visible. (566a4ec12)
        * Scrollbar: do not load the stepper icon until it is visible.
          (598887cec)

2016-06-16 Christian Dywan

        * Correct correcting the mistake in EXCEPTIONS (6457f9e63)

2016-06-16 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (37f853582)

2016-06-15 Bileto Bot

        * Releasing 1.3.2009+16.10.20160615.3 (41d4e5aae)
        * Introduce Styles.SectionsStyle. Fixes LP: #1585548;  Update
          header contents only after its style was initialized.
          Fixes LP: #1588837;  Update export_qml_dir.qml to work
          inside a lxd container.;  Draw a red outline around the
          subheader in AdaptivePageLayout to warn that   the old
          header is deprecated. Fixes LP: #1583636 (03e661005)

2016-06-15 Tim Peeters

        * kick (16c8046fe)
        * sync staging (5431b550a)
        * sync staging (727cd4094)

2016-06-15 Christian Dywan

        * Correct mistakes renaming items in EXCEPTIONS (7fed4cc6b)

2016-06-15 Zoltán Balogh

        * OTA12-2016-06-15 landing (49b173d27)
        * sync wit trunk (2f1a1ba61)

2016-06-15 Christian Dywan

        * Always put version suffixes at the end with a period (5be33bafd)

2016-06-15 Tim Peeters

        * update FIXME (33fb45917)
        * remove extra blank line (47201d401)
        * fix bug (9ce571a22)
        * unit test (f4fcda691)

2016-06-15 Christian Dywan

        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (b37db8a8e)

2016-06-15 Nick Dedekind

        * enable fix (6d05ae1d8)

2016-06-15 CI Train Bot

        * Resync trunk. (2546f5546)

2016-06-14 Tim Peeters

        * Introduce Styles.SectionsStyle.
          Fixes:
          https://bugs.launchpad.net/bugs/1585548. (59e589bf1)

2016-06-14 Christian Dywan

        * Select the current item before adding the test page. (55be9b600)

2016-06-14 Tim Peeters

        * Update header contents only after its style was initialized.
          Fixes:
          https://bugs.launchpad.net/bugs/1588837. (ea84b0afb)

2016-06-14 Florian Boucault

        * Do not initialize haptics at startup but only when used for the
          first time. (628d62357)

2016-06-14 Zsombor Egri

        * stage 2 (04cb585d2)

2016-06-14 Tim Peeters

        * sync staging (84924d844)
        * add regression test (2af74067b)

2016-06-14 Florian Boucault

        * PageHeadButton: do not load the icon until the button is made
          visible. (3940c26c5)
        * Scrollbar: do not load the stepper icon until it is visible.
          (75b5898fb)
        * ProgressionVisual: do not load the icon until the progression is
          made visible. (b34a29e0e)

2016-06-14 Christian Dywan

        * Add version suffixes to EXCEPTIONS (abaf45bef)

2016-06-14 Florian Boucault

        * PageHeadButton: do not load the icon until the button is made
          visible. (6bdb52029)
        * Do not initialize haptics at startup but only when used for the
          first time. (80cf9321b)

2016-06-14 Tim Peeters

        * update header contents only after style was loaded (6fe26a776)

2016-06-14 Christian Dywan

        * Select the current item before adding the test page (747ad667d)

2016-06-14 Tim Peeters

        * clean (b36dd9b11)
        * sync staging (d11ce7599)
        * update components.api (3a7884d74)

2016-06-14 Christian Dywan

        * Correctly use build/src dir with unit tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1589982. (83c245e27)
        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/visualSuffixes
          (3aa7ebff2)
        * Adjust uses for ListItem/ScrollbarTestCase (8375b6fc1)

2016-06-13 Tim Peeters

        * add Styles.SectionsStyle (e08457146)
        * sync staging (58ba9c8e3)
        * Update export_qml_dir.qml to work inside a lxd container.
          (c78164cd5)
        * fix export_qml_dir.sh in container (8efcdb99b)

2016-06-13 Albert Astals Cid

        * Prepend UC_ to performance env vars. (5f7b4b091)
        * prepend UC_ to envvars (ba4290dc7)

2016-06-12 Albert Astals Cid

        * Using -1 as PERFORMANCE_MONITOR_WARNING_COUNT_THRESHOLD envvar
          disables the warning count threshold. (09fed1b3b)

2016-06-10 Albert Astals Cid

        * Add envvars to change the performance monitor variables.
          (9a4bb1f14)

2016-06-10 Andrea Bernabei

        * scrollbar: use QQuickItemPrivate instead of the c++ hack to check
          whether Flickable is initialized (b0d8fa0a5)
        * scrollbar: add ScrollbarUtils to correctly only act on initialized
          flickables. Plus unit test. 0% slowdown (399e4b13b)

2016-06-09 Albert Astals Cid

        * Using -1 as PERFORMANCE_MONITOR_WARNING_COUNT_THRESHOLD envvar
          disables the warning count threshold (eeb6853ff)
        * Add envvars for performance monitor variables (fff035e06)

2016-06-09 Nick Dedekind

        * activate state (66f7684d2)

2016-06-09 Christian Dywan

        * Undo wrongly removed copying of artwork files (c2c2ad51a)

2016-06-09 Tim Peeters

        * Draw a red outline around the subheader in AdaptivePageLayout to
          warn that the old header is deprecated.
          Fixes:
          https://bugs.launchpad.net/bugs/1583636. (4c9e59de5)

2016-06-09 Andrea Bernabei

        * scrollbar: wait for flickable initialization even in anchoring and
          ScrollbarUtils. 3% slower bench (268879af2)

2016-06-09 Tim Peeters

        * capitalization in comment (5e0ba8ead)
        * revert change to export_qml_dir.sh (aa3414b59)
        * show border around subheader in APL (c7e422eb4)
        * sync staging (2d436fc5f)
        * temp change to make it work in lxd (00388b377)

2016-06-09 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (97a5ff05c)

2016-06-08 Nick Dedekind

        * better removal (d80ab5346)
        * added docs (5621175a6)
        * removed attached properties (a7a8646fb)
        * removed debug (3ee1bf8fd)
        * updated ActionList doc (ebb5b3ee8)
        * updated api (13341dbf1)
        * better dynamicness (d7c021414)

2016-06-08 Zsombor Egri

        * more adjustments (b855f2e79)
        * staging sync (107e1e2ee)
        * fist wave of move (4a3b24748)

2016-06-08 Christian Dywan

        * Introduce gallery for browsing visual tests. (f1dc47011)

2016-06-08 Nick Dedekind

        * isTriggerValid (1836bff81)
        * fix platform abstraction (d7340c60c)

2016-06-08 Tim Peeters

        * no focusshape (9ccebde4e)

2016-06-08 Christian Dywan

        * Add exceptions for broken unit tests (dd11060db)
        * Add version suffix to all unit tests in visual (91af0dc45)
        * Put Scrollbar in ShaderEffectSource to blend with frame.
          Fixes:
          https://bugs.launchpad.net/bugs/1583543. (c21731e71)

2016-06-08 Andrea Bernabei

        * scrollbar: fix benchmark not comparing last result to ALL previous
          ones (136543692)

2016-06-08 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (ecb5b59c4)

2016-06-07 Bileto Bot

        * Releasing 1.3.1995+16.10.20160607.1 (f794213f6)

2016-06-07 Tarmac --author=Zoltán Balogh

        * OTA12-2016-06-07 landing (c49f42d57)

2016-06-07 Zoltán Balogh

        * OTA12-2016-06-07 landing (818b39a75)
        * Sync with trunk (53c3da0e3)

2016-06-07 Nick Dedekind

        * new components.api (2a658da98)
        * merged with actionList (fc9825809)

2016-06-07 Christian Dywan

        * Introduce gallery for browsing visual tests (9a60b73f0)

2016-06-07 Nick Dedekind

        * update api (61e8d97b7)
        * Menu API (ddea6a347)
        * members accessors to functions (bd699b7bd)

2016-06-07 Tim Peeters

        * trigger the action (a97e4d0bf)

2016-06-07 Nick Dedekind

        * merged actionList (3492bc1b8)
        * merged with parent (4a6377f1a)

2016-06-07 Christian Dywan

        * Execute tests from source folder (fec69f059)

2016-06-07 CI Train Bot

        * Resync trunk. (0b4ebd890)

2016-06-06 Andrea Bernabei

        * [scrollbar]: OPTIMIZATION wait for flickableItem initialization.
          20% faster benchmark (e111c18dd)

2016-06-06 Albert Astals Cid

        * Initialize two variables (a691064ca)

2016-06-06 Andrea Bernabei

        * scrollbar: OPTIMIZATION remove useless Qt.resolvedUrl for steppers,
          13% (0.5-0.8ms each call) faster creation time (e28674dab)

2016-06-06 Tim Peeters

        * don't hide the vertical divider with the focus frame (cab8535b7)
        * vertical divider (ae5bd20b4)

2016-06-06 Andrea Bernabei

        * merge staging (09293390a)

2016-06-06 Christian Dywan

        * Add performance test case for TextArea (1.3) (411f21f3d)
        * Put Scrollbar in ShaderEffectSource to blend with frame (5fbc927a2)

2016-06-06 Tim Peeters

        * remove ListItem underline (9e74d4228)

2016-06-06 Zsombor Egri

        * Move PropertyChange into UbuntuToolkit package. (0b7eec0ec)

2016-06-06 Tim Peeters

        * sync staging (993e7d457)

2016-06-06 Christian Dywan

        * Fix not found errors and redundant messages during build
          (7a3cc5746)
        * Correctly use build/src dir with unit tests (62059dd50)

2016-06-03 Christian Dywan

        * Merge tests/unit and tests/unit_x11.
          Fixes:
          https://bugs.launchpad.net/bugs/1273696. (fda1f86c6)

2016-06-03 Tim Peeters

        * add FIXME comment (97e7d55d0)

2016-06-03 Christian Dywan

        * unit/tst_visual should be referred to as unit/visual now
          (36e44c05a)

2016-06-03 Tim Peeters

        * fix focus (ec8938d77)

2016-06-03 Christian Dywan

        * Add unit tests for ComboButton keys (eb8cc4cfe)
        * Update unit test: panel becomes invisible rather than translucent
          (2adef0e2f)
        * Fix merging mistakes gone wrong unnoticed (251186394)

2016-06-03 Zsombor Egri

        * ync staging (9e9a8b670)

2016-06-03 Tim Peeters

        * sync staging (118908f96)
        * icon order (ca2618548)

2016-06-03 Zoltán Balogh

        * Skip unit tests only on Yakketi.
          Fixes:
          https://bugs.launchpad.net/bugs/1588598. (865aa3550)
        * traces and try with neq (c1eedde1c)
        * Gles too (1dc7445fd)
        * Add lsb-release to the build deps (04f198c6a)
        * Skip unit tests only on Yakketi (68c50f2b3)

2016-06-02 Christian Dywan

        * Tab focus in/ out test cases for ComboButton (1a8dd64ec)
        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (e92a85ebd)

2016-06-02 Tim Peeters

        * gradient (c1c0c3f09)

2016-06-02 Christian Dywan

        * UCListItem needs to handle click/trigger by keyboard.
          Fixes:
          https://bugs.launchpad.net/bugs/1581027. (592a9ea90)

2016-06-02 Zsombor Egri

        * prereq sync (60f28cd17)
        * PropertyChanges moved under UbuntuToolkit (d7d75e446)

2016-06-02 Tim Peeters

        * fix clicking and width binding loop (4f3933fe5)

2016-06-02 Christian Dywan

        * Remove TARGET pointing at "gallery" script (c3a3e05f5)

2016-06-02 Albert Astals Cid

        * Initialize two variables (6e51b728b)

2016-06-02 Christian Dywan

        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (bfa03a994)

2016-06-02 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (edd333100)

2016-06-01 William Hua

        * Make qml-module-ubuntu-components-gles depend on
          qml-module-ubuntu-performancemetrics-gles (f607faedd)

2016-06-01 Christian Dywan

        * Add exception for tst_textinput_touch which is flaky (52b4a07fe)

2016-06-01 Bileto Bot

        * Releasing 1.3.1988+16.10.20160601 (a6a6d257c)

2016-06-01 Tarmac --author=Zoltán Balogh

        * OTA12-2016-06-01 (960e2699d)

2016-06-01 Zoltán Balogh

        * Add changelog (7643c8651)
        * Add changelog (79cc4025a)
        * Sync with trunk (77ceda984)

2016-06-01 Christian Dywan

        * runtest.sh shouldn't be using examples with tst_ anymore
          (8e1351daf)
        * Correct .xml file pattern in .bzrignore (fa2760bcc)
        * include-x11 now sits side by site with plugin-dependency
          (aef5f2f20)

2016-05-31 Christian Dywan

        * No need for a test_ prefix on .xml files either (c4ada9adc)
        * Drop redundant tst_ prefix everywhere but .qml unit tests
          (c7eb6aec1)

2016-05-31 Tim Peeters

        * show arrows (2c68d3e8f)

2016-05-30 Tim Peeters

        * more actions for testing (04041929a)

2016-05-30 Christian Dywan

        * Merge tests/unit and tests/unit_x11 (9f704ceb9)
        * UCAbstractButton needs to accept key release events.
          Fixes:
          https://bugs.launchpad.net/bugs/1581026. (6ee85fac3)

2016-05-27 CI Train Bot

        * Releasing 1.3.1984+16.10.20160527.2 (271e4e8e2)

2016-05-27 Albert Astals Cid

        * OTA12-2016-05-20 (041a856c4)

2016-05-27 Zoltán Balogh

        * be selective with upstart deps (fbcedeaaf)

2016-05-26 Nick Dedekind

        * Added ExclusiveGroup (27155ee2b)

2016-05-26 Tim Peeters

        * sync staging (367ede85f)
        * use RowLayout in unit test (c3ffec9f9)

2016-05-26 Andrea Bernabei

        * Documentation: fix missing or outdated imports in QML modules
          (Popups, Pickers, Themes, ListItems), misuse of qdoc API
          and similar.
          Fixes:
          https://bugs.launchpad.net/bugs/1570156,
          https://bugs.launchpad.net/bugs/1585557,
          https://bugs.launchpad.net/bugs/1585585,
          https://bugs.launchpad.net/bugs/1585591. (37dc7702b)

2016-05-26 Timo Jyrinki

        * no "-gles" in changelog package name (a6acc3955)

2016-05-26 Zoltán Balogh

        * Sync with trunk (95b3ed9fa)

2016-05-25 Andrea Bernabei

        * merge staging (50bb03656)
        * tst_slotslayout: tentative fix for a very rare CI failure.
          Fixes:
          https://bugs.launchpad.net/bugs/1571426. (e68a61bc3)

2016-05-25 Nick Dedekind

        * add list (cab8f95c8)
        * Moved ActionList to C++ (05c532c20)

2016-05-25 Andrea Bernabei

        * merge staging (c53f258f8)
        * slotslayout tests: remove useless string duplication (96e8918d2)

2016-05-25 Tim Peeters

        * scrolling (5193ae1ef)

2016-05-25 Andrea Bernabei

        * Documentation: fix missing textSize from Label documentation
          (733830a18)
        * Documentation: remove version from all inqmlmodule lines as it's
          not part of QDoc API (aee3020d0)

2016-05-25 Zoltán Balogh

        * remove upstart (372bf4760)

2016-05-25 Andrea Bernabei

        * Documentation: fix missing import for Ubuntu.Components.Themes
          components (259e5db23)
        * Documentation: update suggest import version for
          ListItems,Popups,Pickers. Fix missing Styles import
          (6b1dd45df)
        * merge staging (7f06c4943)

2016-05-25 Timo Jyrinki

        * Rebuild for arm64 gles switch. (e5f27e223)

2016-05-24 Christian Dywan

        * Test that it's also possible to override the release event
          (f10e41cde)

2016-05-24 Andrea Bernabei

        * scrollbar: improve benchmark script, now compares results with
          previous revisions (0b599cb51)

2016-05-24 Christian Dywan

        * Drop accidentally added redundant test case (09d50fa9c)

2016-05-23 Andrea Bernabei

        * scrollbar: add first benchmark results and adapt benchmarking code
          (b843c4290)

2016-05-23 Michael Terry

        * Update spinner colors (76df43124)

2016-05-23 Christian Dywan

        * Enter/Return to trigger, Space to expand ComboButton (e41b75170)
        * UCListItem needs to handle click/trigger by keyboard (2ed47fca9)

2016-05-23 Andrea Bernabei

        * scrollbar: add qmlbench benchmarks and benchmark script (cdaeb67d2)
        * scrollbar: temporarily change internal api to be able to benchmark
          against qml (245b93b2a)
        * scrollbar: add skeleton of c++ scrollbar (34a4653a4)
        * merge staging (a68e0b316)

2016-05-22 Zoltán Balogh

        * Disable Yakketi tests (d1762a7f8)
        * Disable Yakketi tests (d579e62bb)

2016-05-21 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (d9ceab0a4)

2016-05-20 Zoltán Balogh

        * OTA12-2016-05-20 (8bd6d420c)
        * Sync with trunk (43173c26a)

2016-05-20 CI Train Bot

        * Resync trunk. (9d3434bf1)

2016-05-20 Christian Dywan

        * UCAbstractButton needs to accept key release events (986be9610)

2016-05-19 Tim Peeters

        * add ScrollingActionBarStyle.qml (6db7b9158)

2016-05-19 Christian Dywan

        * Slimmer frame for TextFields: 0.5dp.
          Fixes:
          https://bugs.launchpad.net/bugs/1578190. (78d2c2a5e)

2016-05-19 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (3941dd53b)

2016-05-18 Andrea Bernabei

        * merge staging (03cea62d7)

2016-05-18 Albert Astals Cid

        * Add override . (a72fd77da)

2016-05-18 Tim Peeters

        * Fix reference error in PullToRefreshStyle.
          Fixes:
          https://bugs.launchpad.net/bugs/1582843. (e5701ebd5)
        * rename view to flickable (f094f98de)
        * Mark Tab, Tabs, TabBar, PageHeadConfiguration, PageHeadSections,
          PageHeadState, ToolbarButton, ToolbarItems as deprecated
          in the documentation.
          Fixes:
          https://bugs.launchpad.net/bugs/1566735,
          https://bugs.launchpad.net/bugs/1566741. (2cf8650f1)
        * fix (393431652)

2016-05-17 Tim Peeters

        * link additional bug (45994c870)
        * mark deprecated components as deprecated (288f2d039)

2016-05-17 Zsombor Egri

        * Fix section colors.
          Fixes: https://bugs.launchpad.net/bugs/1582339.
          (4e3dc8a7d)
        * API updated (3172521b8)

2016-05-17 CI Train Bot

        * Releasing 1.3.1979+16.04.20160517.1 (5a577566c)

2016-05-17 Albert Astals Cid

        * OTA12-2016-05-16 (d1ad2d1cd)

2016-05-17 Zoltán Balogh

        * Update components.api (9fbc4925b)
        * Sync with trunk (1d663b2da)
        * fix secion colors (c2a079fc5)
        * sync with stageing (e79f48f77)

2016-05-17 Zsombor Egri

        * add position/positionText color values, use those in text cursor
          and sections (bbac7acff)
        * 'bug' (4912e92ae)

2016-05-17 Christian Dywan

        * Remove TARGET pointing at "gallery" script (4cede522a)

2016-05-16 Christian Dywan

        * Interactive Scrollbar in TextArea with spacing.
          Fixes:
          https://bugs.launchpad.net/bugs/1526726. (715e23241)

2016-05-16 Timo Jyrinki

        * Fix working on bzr branches that are local only. (271c34702)

2016-05-16 Zoltán Balogh

        * Landing OTA12-2016-05-16 (2b9ffdfc6)
        * Landing OTA12-2016-05-16 (acd089c73)

2016-05-13 Tim Peeters

        * Fix flickable topMargin adjustments by PullToRefreshStyle.
          Fixes:
          https://bugs.launchpad.net/bugs/1578619. (1535a7266)
        * update imports (ca206900e)

2016-05-13 Albert Astals Cid

        * Disable suggest-override in gcc4 (1f54400c6)
        * eof (405ab6368)
        * Merge (6100a924f)
        * Add -Wsuggest-override as suggested by zsombi (d501f4216)

2016-05-12 Christian Dywan

        * Explanation as well as top and bottom margins (c19ecfbc8)

2016-05-12 Tim Peeters

        * add license (e6428b433)

2016-05-12 Christian Dywan

        * Interactive Scrollbar in TextArea with spacing (cfdd272c9)

2016-05-11 Tim Peeters

        * fix license (02b6a5fda)
        * clean (fe98c4213)
        * clean (7b5026bae)
        * clean (c823ff6bd)
        * animate when going to refreshing state (e23bfbf80)
        * clean (1ff0eb0b4)
        * sync staging (ddffdccf1)

2016-05-11 CI Train Bot

        * Releasing 1.3.1960+16.04.20160511.4 (4e26e95fc)

2016-05-11 Tim Peeters

        * Remove unused dbus import in autopilot helper. Approved by:
          Christian Dywan (6e810fb2e)

2016-05-11 Zsombor Egri

        * Fix regression introduced in ComboButton due to the binding loop
          bug on AbstractButton implicit sizes.
          Fixes: #1580627
          Approved by: Renato Araujo Oliveira Filho (e7c0e5fe9)

2016-05-11 Christian Dywan

        * Text input focus must always follow main component (f93f37fba)

2016-05-11 Tim Peeters

        * remove unused dbus import in AP helper (dab60a264)
        * fix topMargins when messing with PageStacks (7c0d8160e)

2016-05-11 Zsombor Egri

        * fixing regression (d896c6730)

2016-05-11 Tim Peeters

        * fix topMargin updates (8b66c7f08)
        * add another unit test (a1a8ded80)
        * typo (1ca3eb3ea)
        * fix typo (ca941fa96)
        * fix first test case (040a49bce)

2016-05-11 Christian Dywan

        * Skip the new unit test which won't pass CI (0eb8839a5)

2016-05-11 Tim Peeters

        * Postpone setting MainPage.active to true until the components are
          loaded to avoid initialization problems.
          Fixes:
          https://bugs.launchpad.net/bugs/1570886. (e2882ad8e)

2016-05-10 Tim Peeters

        * typo (645fa2303)
        * add unit test (b45b82bef)

2016-05-10 Christian Dywan

        * Slimmer frame for TextFields: 0.5dp (17b6f08d9)

2016-05-10 Zsombor Egri

        * AdaptivePageLayout vertical divider occludes with ListItem's
          visuals.
          Fixes: https://bugs.launchpad.net/bugs/1575060.
          (e14f225d3)
        * staging sync (93fcd8272)

2016-05-09 Tim Peeters

        * sync staging (c59f7b2b5)

2016-05-09 Christian Dywan

        * TextField flickable mustn't have the height of the parent.
          Fixes:
          https://bugs.launchpad.net/bugs/1370557,
          https://bugs.launchpad.net/bugs/1571576. (5901e95dc)
        * Text input focus must always follow main component (8c387bf22)

2016-05-09 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (e2c51cef0)

2016-05-08 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (58e654270)

2016-05-06 Andrea Bernabei

        * merge staging (ea45feee7)

2016-05-06 Zoltán Balogh

        * sync with trunk (45c946e7a)

2016-05-04 Andrea Bernabei

        * merge staging (6bacf6f40)

2016-05-04 Zsombor Egri

        * staging sync (e63da4507)
        * divider hides based on the column count (6ace03b0c)

2016-05-03 Tim Peeters

        * Remove old code from Tabs example.
          Fixes:
          https://bugs.launchpad.net/bugs/1566736. (d324b311a)

2016-05-03 Christian Dywan

        * ToolbarButton example is specific to 1.3.
          Fixes:
          https://bugs.launchpad.net/bugs/1576463. (22e3732b7)
        * ToolbarButton example is specific to 1.2 (63046a6d0)
        * Size swipe area rectangles relative to the parent. (6fe189ed8)

2016-05-03 Tim Peeters

        * remove tools from Tabs example code (96cc87326)

2016-05-03 Zsombor Egri

        * Fix palette colors, add focused palette value set.
          Fixes:
          https://bugs.launchpad.net/bugs/1554473,
          https://bugs.launchpad.net/bugs/1555245. (4a4129029)

2016-05-03 Christian Dywan

        * Size swipe area rectangles relative to the parent (3a1ac5d98)

2016-05-03 Tim Peeters

        * add unit test to tst_tabs11 (f6a7833a8)

2016-05-03 Zsombor Egri

        * staging sync (0be4b0256)
        * API update (de4b29a92)

2016-05-02 Tim Peeters

        * change wording (19c3fb5ef)
        * kick (4eb88bbdd)
        * sync staging (1d73890af)
        * undo unrelated change (1ce515573)
        * undo unrelated change (cea4888de)

2016-05-02 Christian Dywan

        * TextField flickable mustn't have the height of the parent
          (dff34f7ab)

2016-05-02 Tim Peeters

        * fix bug (d8db9d490)
        * undo changes in tst_tabs11.qml (7d5f1d83c)
        * update tst_tabs13 to use UITK 1.3 and add regression test for bug
          1570886 (66ad809f4)
        * test the tabs versions (d302ec9a0)

2016-05-02 CI Train Bot

        * Releasing 1.3.1960+16.04.20160502 (149bedb23)

2016-05-02 Gerry Boland

        * Adjust the UnityThemeIconProvider to duplicate Qt's own image
          loading behaviour, fixes some image scaling issues
          Fixes:
          #1421293, #1573532 (6a81f1e1b)
        * Enable dynamic changing of grid units instigated by the shell

          Fixes: #1573532 Approved by: Michał Sawicz (887359c75)

2016-05-02 Lukáš Tinkl

        * Fix some image scaling issues by reusing Qt code (QImage instead of
          QPixmap).
          Fixes: https://bugs.launchpad.net/bugs/1421293,
          https://bugs.launchpad.net/bugs/1573532. (9b3c24bf0)
        * sync with staging (b684a945f)

2016-05-02 Tim Peeters

        * remove deprecated tools example from Tabs doc (900f5eb98)

2016-05-02 Christian Dywan

        * Verify control.gles which isn't picked up automatically.
          Fixes:
          https://bugs.launchpad.net/bugs/1576112. (bcd854998)
        * Verify control.gles which isn't picked up automatically (7032bc98d)

2016-04-30 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (3ab40a94a)

2016-04-29 Lukáš Tinkl

        * add a regression test for #1421293 (7d7c22713)

2016-04-29 Albert Astals Cid

        * Additional DGU fixes.
          Fixes:
          https://bugs.launchpad.net/bugs/1573532. (a1ef01f7e)

2016-04-29 Zsombor Egri

        * more updates (6d4a5cd71)

2016-04-29 Albert Astals Cid

        * better name (de05933ce)
        * Add test proving why we need the uclabel patch (7b1ce7f4d)
        * Let 1.2 be broken as requested by reviewers (626ab0a8a)

2016-04-29 Zoltán Balogh

        * Sync with trunk (1a887f094)

2016-04-29 Zsombor Egri

        * updates (7ccb99e38)

2016-04-29 CI Train Bot

        * Resync trunk. (88cebb726)

2016-04-29 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (ef1a142db)

2016-04-28 Lukáš Tinkl

        * Adjust the UnityThemeIconProvider to duplicate Qt's own image
          loading behavior, fixes some image scaling issues
          (fdd3bf117)

2016-04-28 Tim Peeters

        * Fix mistake in Header documentation example code.
          Fixes:
          https://bugs.launchpad.net/bugs/1557252. (bd69670d8)

2016-04-28 Andrea Bernabei

        * merge staging (d53ceefd8)

2016-04-28 CI Train Bot

        * Releasing 1.3.1960+16.04.20160428.1 (15ddbe512)

2016-04-28 Gerry Boland

        * Landing OTA11-2015-04-26 (73a0d57d0)

2016-04-28 Tim Peeters

        * Add header subtitle example in gallery.
          Fixes:
          https://bugs.launchpad.net/bugs/1567523. (92a06269b)

2016-04-28 Albert Astals Cid

        * Add override (ce8c49fbd)

2016-04-28 Christian Dywan

        * Document keyNavigationFocus.
          Fixes:
          https://bugs.launchpad.net/bugs/1575165. (589f2b5a0)

2016-04-28 Tim Peeters

        * fix doc (93bc2f202)
        * Revert changes from r1950 that introduced python errors, and
          introduce a proper fix for the pep8 failures.
          Fixes:
          https://bugs.launchpad.net/bugs/1576122. (12ac202fa)

2016-04-28 Zoltán Balogh

        * Pull in the 1960 with an OTA11 fix (289f4459b)
        * Fix CPO (52d688260)

2016-04-28 Tim Peeters

        * left is atXBeginning (9c216b82c)
        * fix (3d5b2e6ec)
        * revert changes of _qquicklistview.py of r1950 (3176821eb)

2016-04-27 Lukáš Tinkl

        * add a test that passes here and fails with trunk (8408fc274)

2016-04-27 Tim Peeters

        * clean (9df12753e)
        * add header subtitle in gallery (94308d7bf)
        * Fix header screen orientation detection.
          Fixes:
          https://bugs.launchpad.net/bugs/1574663. (0469bd17c)

2016-04-27 Michał Sawicz

        * Merge staging (cfa764e3f)

2016-04-27 Tim Peeters

        * update (56460bc77)
        * fix bug (6db5d221e)

2016-04-27 Christian Dywan

        * Explain child behavior and ListItem (00b493a50)

2016-04-27 Gerry Boland

        * OptionSelector - delegate heights set as binding not value
          (6e8b6a7d5)
        * Merge trunk (a966611e3)

2016-04-27 Zsombor Egri

        * fix APL vertical divider obscuring ListItem's visuals (b0951cd2b)
        * 'bug' (06928aea8)
        * staging sync (8b11c3b2f)
        * color updates (1f982e7b3)

2016-04-27 Zoltán Balogh

        * Sync with staging (1c151e80e)
        * Sync with staging (48a8068a9)

2016-04-26 Christian Dywan

        * Document keyNavigationFocus (e5790eaad)

2016-04-26 Michał Sawicz

        * Declare as slot (59f9e1b02)

2016-04-26 Tim Peeters

        * Sections keyboard and focus handling.
          Fixes:
          https://bugs.launchpad.net/bugs/1523840. (4fbaf4bc3)

2016-04-26 Andrea Bernabei

        * Scrollbar: new visual update for pressed/hovered states plus
          handling of restricted size corner cases (shrinking etc).

          Fixes: https://bugs.launchpad.net/bugs/1573355.
          (1bc6ce5f5)

2016-04-26 Michał Sawicz

        * Split the connect (7d2ef6305)

2016-04-26 Zoltán Balogh

        * Landing OTA11-2015-04-26 (0bb409381)
        * Sync with the trunk (ee3983a68)

2016-04-26 Tim Peeters

        * remove unneeded waitForRendering(button) (5c60a2779)
        * clean (6d500c8be)
        * clean (e4854e6f5)
        * update key focus test (d47eb2cc9)

2016-04-26 Gerry Boland

        * SheetForegroundStyle: bind units.gu to the bottom margin, do not
          set by value (6ec4d5c82)
        * PageHeaderStyle: bind units.gu to the contentHeight, do not set by
          value (0d819c592)

2016-04-26 Tim Peeters

        * sync staging (9ef90e5e5)
        * add FIXME (498bab0b3)

2016-04-26 Gerry Boland

        * Combine slot calls on GU change (95b732522)

2016-04-26 Christian Dywan

        * Handle keyNavigationFocus in InputHandler.
          Fixes:
          https://bugs.launchpad.net/bugs/1522739. (1e60c5db4)

2016-04-25 Tim Peeters

        * update tst_focus (354cc4f25)

2016-04-25 Christian Dywan

        * Restore activeFocusOnPress alias and docs (31f685195)

2016-04-25 Gerry Boland

        * UCLabel: should compare pixel size changes with previous font pixel
          size, not the default (ce1511f05)

2016-04-25 Tim Peeters

        * fix warning in unit test (75646850c)

2016-04-25 Christian Dywan

        * Keep keyNavigationFocus read-only but inclusive of children
          (93b00d6c0)

2016-04-25 Zsombor Egri

        * Fix binding loops in AbstractButton.
          Fixes:
          https://bugs.launchpad.net/bugs/1553090. (2551e085b)

2016-04-25 Lukáš Tinkl

        * add a test with wrong aspect ratio that returns a correct one
          (b9de5c194)

2016-04-25 Zsombor Egri

        * generate mouse events out of the touch events and let MouseArea
          handle the rest (0337529e8)

2016-04-25 Christian Dywan

        * XML test results all may not start with test_tst_.
          Fixes:
          https://bugs.launchpad.net/bugs/1573629. (ed5e06428)

2016-04-23 Gerry Boland

        * Enable dynamic changing of grid units instigated by the shell.

          Fixes: https://bugs.launchpad.net/bugs/1573532.
          (2fa6f2175)

2016-04-22 Christian Dywan

        * Add missing || exit 1 to checkresults call (29fbc245a)

2016-04-22 Tim Peeters

        * hide underline for keyboard-focused selection (32f63dadb)
        * hide blue underline when doing keyboard navigation (3c406f182)

2016-04-22 Christian Dywan

        * XML test results all may not start with test_tst_ (38153b0a5)

2016-04-22 Tim Peeters

        * Fix horizontal keyboard navigation in ListView.
          Fixes:
          https://bugs.launchpad.net/bugs/1572991. (680009a5c)

2016-04-22 Lukáš Tinkl

        * fix loading & scaling SVGs (75e5bde57)

2016-04-22 Christian Dywan

        * Use gu in expected position for test_popover_follows_pointerTarget.

          Fixes: https://bugs.launchpad.net/bugs/1569794.
          (265a31b8d)

2016-04-22 Albert Astals Cid

        * 2016 (93ca696b9)
        * Add a test for scale (2d41b8a03)

2016-04-22 Andrea Bernabei

        * scrollbar: don't trigger thumb hover state when user is scrolling
          by press-holding the trough (f8a641231)
        * scrollbar: keep steppers style when the user is scrolling by
          press-holding the trough (7755795d5)
        * scrollbar: trigger hover logic onPressed as well, to improve visual
          feedback during tests (1c86e5ca3)
        * scrollbar: disable drag reset feature (b9fa41712)
        * merge staging (fc3666be8)
        * scrollbar: add test for thumb hovered and pressed states.
          (aef20c7e8)
        * scrollbar: add disabled state for steppers. Tests included.
          (54d67eaff)

2016-04-21 Tim Peeters

        * clean (83a20b9f4)
        * link bug (628fb0552)
        * prevent the focus frame from overlapping with the underline; clean
          (d654b4ff5)
        * hide ListItem divider (efb52d550)

2016-04-21 Christian Dywan

        * Run pep8 as part of 'make check' unit test runs (d627864cd)

2016-04-21 Michał Sawicz

        * Improve ucunits.cpp comment and reference the LP bug (6285887aa)

2016-04-21 Andrea Bernabei

        * scrollbar: add tests to check correct steppers hovered/pressed
          styling (77f6fac22)

2016-04-21 Tim Peeters

        * sync hor-ListView-nav (d306a7882)
        * fix bug; add unit tests (75d685b53)

2016-04-21 Christian Dywan

        * Move inline functions into separate methods (1b2aef62a)
        * test_dismiss_on_key was not meant to apply to 1.2 (5e2ea7932)

2016-04-21 Michał Sawicz

        * Make tst_IconProvider talk in QImage (a9d30ac6c)

2016-04-21 Christian Dywan

        * Run pep8 as part of 'make check' unit test runs (f81ea04bc)

2016-04-21 Zsombor Egri

        * reset pressed on touch cancel, but do not emit clicked() signal
          (cff9b4c5a)

2016-04-21 CI Train Bot

        * Releasing 1.3.1949+16.04.20160421 (813c59922)

2016-04-21 Zoltán Balogh

        * OTA11-landing-2016-04-21 (0dfa4430f)
        * OTA11-landing-2016-04-21 (e1773811b)

2016-04-21 Michał Sawicz

        * Drop debug, bump copyright (bbdcd04b8)

2016-04-21 Zoltán Balogh

        * Sync with trunk (bde1632f1)
        * Sync with staging (481f9416c)

2016-04-21 Andrea Bernabei

        * scrollbar: optimize stepper image asset (043ee14ee)

2016-04-21 Zoltán Balogh

        * Make pep8 happy with all the python scripts of the UITK project.
          (368e09723)

2016-04-21 Christian Dywan

        * Apply test case changes to the 1.2 version (c55ad6da5)

2016-04-21 Tim Peeters

        * use ListItem; messes up horizontal navigation with arrow keys
          (5c2413bc0)

2016-04-21 Christian Dywan

        * Rework test case and map coordinate space (9dc8bc7f6)

2016-04-21 Tim Peeters

        * sync staging (7512966fe)

2016-04-21 Zsombor Egri

        * staging sync (ad0872fa2)
        * review comments (e60c03237)

2016-04-21 Zoltán Balogh

        * Make pep8 happy with all the python scripts of the UITK project
          (ab50ad6f6)

2016-04-21 Michał Sawicz

        * Don't try to connect to null native interface (a73765656)

2016-04-20 Michał Sawicz

        * Merge trunk (79431a335)

2016-04-20 Tim Peeters

        * Update Header.flickable docs.
          Fixes:
          https://bugs.launchpad.net/bugs/1572525. (bec890d63)
        * revert --> restore (de2feae69)
        * clarify docs (1d0a75938)

2016-04-20 Daniel d'Andrada

        * Merge lp:~gerboland/ubuntu-ui-toolkit/dynamic-grid-unit (0d1ba1ef8)

2016-04-20 Tim Peeters

        * update docs (9541d9c72)

2016-04-20 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (e54ca299d)

2016-04-19 Tim Peeters

        * add focus highlight to selected section (d2993cf51)

2016-04-19 Andrea Bernabei

        * scrollbar: extend trough background below the steppers (f2549eaae)

2016-04-19 Christian Dywan

        * Apply the same changes to the 1.2 version of the popover test
          (f291d5b05)

2016-04-18 Christian Dywan

        * Overload focus mechanics to avoid bubbling up of focus from
          children (a56621c4e)

2016-04-18 Timo Jyrinki

        * Don't skip arm64 unit tests anymore, they may be useful.
          (38f932cc5)

2016-04-18 Tim Peeters

        * Fix app freeze after closing Dialog/Popover.
          Fixes:
          https://bugs.launchpad.net/bugs/1568016. (c1c7788a2)

2016-04-18 Zsombor Egri

        * latest palette (7100aa3ec)

2016-04-18 Andrea Bernabei

        * tst_slotslayout: tentative fix for a very rare CI failure
          (d829682ef)

2016-04-18 Tim Peeters

        * click buttons in test (e1cfe7834)

2016-04-18 Andrea Bernabei

        * merge staging (73a2e608d)

2016-04-18 Pierre Bertet

        * Minor optimization on the palette values declaration. (4dd12f35a)

2016-04-16 CI Train Bot

        * Releasing 1.3.1938+16.04.20160416 (a77eded13)

2016-04-16 Zoltán Balogh

        * Install the apparmor file with the UITK showcase gallery example
          application (ac1711db5)
        * Install the apparmor file with the UITK showcase gallery example
          application (103744c9f)

2016-04-15 Tim Peeters

        * sync staging (480a9a463)
        * add popover unit test (7ee54342c)

2016-04-15 Zsombor Egri

        * merge palette optimization (1d6bc67ba)

2016-04-15 Christian Dywan

        * Assert popover relative to button rather than exact location
          (31b3976bb)

2016-04-15 Zsombor Egri

        * staging sync (d750982ae)

2016-04-15 Christian Dywan

        * Allow SEGFAULTing tests to be flagged as exceptions. (be7cdf8ee)

2016-04-15 Andrea Bernabei

        * scrollbar: update thumb color (a8aa01099)

2016-04-15 Tim Peeters

        * comment (44e11e6cf)
        * one more time ;) (fead1d620)
        * try CI again to be sure (f5a987a06)

2016-04-15 Zsombor Egri

        * remove rogue code (ada8d4a16)
        * documentation updated (ec13dfa23)
        * mouse area handles only the visual area clicks, the rest is handled
          by teh host component as touch events (55783da0f)

2016-04-14 Tim Peeters

        * wait more (b8f5c1bea)
        * kick CI again to make sure we didn't just get one lucky pass for a
          flaky test (8a8fbd40d)

2016-04-14 Zsombor Egri

        * staging synced (c96cd32d8)

2016-04-14 CI Train Bot

        * Releasing 1.3.1938+16.04.20160414 (2c7677341)

2016-04-14 Zoltán Balogh

        * Fix the toolkit examples for the case when they are used from the
          IDE (135b6dd70)

2016-04-14 Tim Peeters

        * try CI again (cf8246561)

2016-04-14 Zoltán Balogh

        * Fix the toolkit examples for the case when they are used from the
          IDE (4695a3832)

2016-04-14 Andrea Bernabei

        * scrollbar: fix centering of the icon inside the steppers
          (874d7e5b6)

2016-04-14 Zoltán Balogh

        * sync with trunk (3630d0368)

2016-04-14 Andrea Bernabei

        * scrollbar: use different steppers background colour on hover
          (8841c957b)

2016-04-14 Tim Peeters

        * click button in the middle (5f894a638)

2016-04-14 Andrea Bernabei

        * merge staging (151cbc6e8)
        * scrollbar: handle corner cases when there isn't enough space to
          show the whole component (d7f3c9dfa)

2016-04-14 Tim Peeters

        * wait for clicked signal (65eea42bf)
        * void (5e6864959)
        * improve test (0031b2173)

2016-04-13 Tim Peeters

        * clean (9f79527f3)
        * sync staging (d3e5ae3e1)
        * Fix the tests for focus restoration in tst_focus.qml. (c2205eac7)
        * remove second popoverTest button focus test. (005c86efd)
        * sync staging (e668bfe96)
        * sync staging (858fbfdcb)
        * fix focus recovery (61bf591f7)
        * fix popup focus tests (ee95e79f5)
        * Update PageStack unit tests to use PageHeader. (2da1801d0)

2016-04-13 Christian Dywan

        * Use gu in expected position for test_popover_follows_pointerTarget
          (3e6882389)

2016-04-13 Tim Peeters

        * restore focus before destroying (a7828a579)
        * clean (0f71d7981)

2016-04-13 Christian Dywan

        * Allow SEGFAULTing tests to be flagged as exceptions (04b3a0758)

2016-04-13 Tim Peeters

        * fix (3e7d87b67)

2016-04-12 Tim Peeters

        * add unit test (3852b24fe)

2016-04-12 Albert Astals Cid

        * Fix Bug caused by candidates getting removed during ownership
          resolution (5125aed61)

2016-04-12 CI Train Bot

        * Releasing 1.3.1938+16.04.20160412 (96463cc03)

2016-04-12 Zoltán Balogh

        * OTA11-landing-2016-04-08 (fac7bb51f)
        * Sync with staging (641d05bfb)
        * make test plan executable (a42f322c3)
        * Sync with staging (8b6a48595)

2016-04-12 Timo Jyrinki

        * bileto_convert_to_gles: sort and add
          qml-module-ubuntu-performancemetrics-gles.install.
          Fixes:
          https://bugs.launchpad.net/bugs/1569217. (000ca847b)
        * bileto_convert_to_gles: sort and add
          qml-module-ubuntu-performancemetrics-gles.install
          (03be8d9b3)

2016-04-12 Tim Peeters

        * Disable unit tests for DatePicker 1.3.
          Fixes:
          https://bugs.launchpad.net/bugs/1567840. (a4b91dd0b)

2016-04-12 Timo Jyrinki

        * Make the script executable. (260f8b3c8)
        * Commit hook to clean up packaging (must be manually taken into use
          by developer). (e3879bd77)
        * Add back Provides: qtdeclarative5-ubuntu-ui-toolkit-plugin to
          resolve upgrade issue.
          Fixes:
          https://bugs.launchpad.net/bugs/1568817. (e485ed46a)

2016-04-12 Zoltán Balogh

        * Fix the UITK test plan script. (324bc800c)

2016-04-12 Tim Peeters

        * disable tst_datepicker13 as well (0fe1720dc)

2016-04-11 Timo Jyrinki

        * Fix wrapper script auto-generated by Qt that incorrectly tries to
          execute itself.
          Fixes:
          https://bugs.launchpad.net/bugs/1560000. (6530ed030)

2016-04-11 Tim Peeters

        * Prevent invisible header from setting the flickable topMargin.

          Fixes: https://bugs.launchpad.net/bugs/1560419,
          https://bugs.launchpad.net/bugs/1560458,
          https://bugs.launchpad.net/bugs/1566231. (26cfd1aa8)

2016-04-11 Zoltán Balogh

        * Sync with staging (12f619077)

2016-04-11 Tim Peeters

        * sync staging (d69e0c17e)
        * Disable tst_datepicker.qml to unblock the staging. (63add0b6a)
        * rename tst_datepicker.qml to prevent it from blocking CI.
          (2ad12bc27)

2016-04-11 Zoltán Balogh

        * Fix the UITK test plan script (c7754d236)
        * Fix the UITK test plan script (16cd09487)
        * Fix the UITK test plan script (85c16d1ff)

2016-04-11 Andrea Bernabei

        * Scrollbar: change steppers and thumb colours on hover (4bfcccd8d)

2016-04-11 Zoltán Balogh

        * Update changelog (816ddfa3b)
        * Sync with staging (fc71f3f45)

2016-04-11 Timo Jyrinki

        * Add back Provides: qtdeclarative5-ubuntu-ui-toolkit-plugin to
          resolve upgrade issue. (53d64c4ba)
        * Sync with trunk (including gles packaging) (68fac4c1d)

2016-04-11 Christian Dywan

        * Summary style error results with sections (0dc2b8601)

2016-04-11 Tim Peeters

        * sync staging (c18202071)

2016-04-09 Tim Peeters

        * don't need an additional page with header any more (41b3a002e)

2016-04-09 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (d6ba668c5)

2016-04-09 Tim Peeters

        * fix PageStack.pop() doc (aee572890)

2016-04-08 Tim Peeters

        * clean (70264bfa7)
        * rename MyExternalPage (3f50b236a)
        * use new header APIs (35f8225fa)
        * duplicate tst_pagestack, remove new test from deprecated test file
          (c556a7f08)

2016-04-08 Zoltán Balogh

        * Merged in the gles files from trunk (494065c38)

2016-04-08 Timo Jyrinki

        * Add latest changes for GLES. (fb6b73fe9)

2016-04-08 Robert Park

        * Inline GLES packaging. (f31ffd3e5)

2016-04-08 Timo Jyrinki

        * Add latest changes. (b7078c35b)

2016-04-08 Zoltán Balogh

        * OTA11-landing-2016-04-08 (aa6b3056a)
        * Sync with trunk (ab471ff6f)

2016-04-08 Christian Dywan

        * More generous DBus timeout and two exceptions (1d07e7b28)

2016-04-08 Timo Jyrinki

        * Sync what was released to xenial. (50a7eebf1)
        * Add additional Breaks as requested by archive admin. (9d2634685)

2016-04-08 CI Train Bot

        * Resync trunk. (ebda829a6)

2016-04-08 Christian Dywan

        * Optional sections and proper spaces (5f0b8c5cc)
        * Summary style error results with sections (9158cb212)
        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (e2d11e528)

2016-04-07 Tim Peeters

        * Hide the PageStack back button when depth == 1.
          Fixes:
          https://bugs.launchpad.net/bugs/1565811. (81ebeb471)

2016-04-07 Zsombor Egri

        * Move MouseTouchAdaptor into UbuntuToolkit library. Fix adaptor code
          for Xenial.
          Fixes:
          https://bugs.launchpad.net/bugs/1561436. (3d8c5e864)

2016-04-07 Christian Dywan

        * Add MockKeyboard13 to sort out the versioning errors (ba918a872)

2016-04-07 Zsombor Egri

        * disable mouse handling on MPTA (80ac7f78b)

2016-04-07 Tim Peeters

        * unit test does not need wait(100) when checking for button == null
          only (d99794735)
        * Hide PageStack back action when depth == 1, fix unit test
          (aa15f4077)

2016-04-07 Andrea Bernabei

        * merge staging (ad8c65213)

2016-04-07 Zsombor Egri

        * staging sync (df11595b4)
        * remove touch device detection from launcher; warn if touch
          simulation is not available on the platform in
          constructor, and initialize native event listener only for
          the valid platforms (f689f8019)
        * add autopilot test guarding mouse to touch conversion (b86eb27d2)

2016-04-07 Christian Dywan

        * Don't use a separate argument to distinguish touch events
          (014ad4653)
        * Use export_qml_dir.sh in qmlapicheck and runtest (169ff3ec6)

2016-04-07 Andrea Bernabei

        * merge staging (1e10a86e6)
        * Mouse filter: check if mouse is inside the area on mouse moves and
          setHovered accordingly. Fixes lp#1566378.
          Fixes:
          https://bugs.launchpad.net/bugs/1566378. (6209a6f93)

2016-04-06 Andrea Bernabei

        * send mouse event to top left of the view, not middle (7049f702a)

2016-04-06 Robert Bruce Park

        * Rebase on silo 50. (2386c1bb8)

2016-04-06 Tim Peeters

        * remove setting visible in tst_page_with_header (339282246)
        * remove console.log (8a0485484)
        * repeat test_flickable_margins_invisible_header for flickable with
          topMargin > 0 (b65cdac20)

2016-04-06 Andrea Bernabei

        * add missing qml test file (4398c39d9)

2016-04-06 Tim Peeters

        * Add comment to explain the if-case in updateFlickableMargins
          (addebaa09)
        * add comment to explain why we change contentY (602a90e18)

2016-04-06 Christian Dywan

        * Sort out version and deprecation warnings in tst_layouts
          (6d367aa34)
        * Create fallback test XML when failing to run or crashing
          (2c4c17696)

2016-04-05 Robert Bruce Park

        * Include debian/rules for real. (a023cbc5c)
        * Include debian/rules. (64e4fcfb2)

2016-04-05 Andrea Bernabei

        * check mouse events parameters on entered and exited signals in the
          test added by the previous commit (09a46ed66)
        * Mouse filter: setHovered on mouse move, if mouse is inside the
          area. Fixes lp#1566378 (d03ce3020)

2016-04-05 Robert Bruce Park

        * Inline GLES packaging. (981db5d05)

2016-04-05 Christian Dywan

        * Merge lp:ubuntu-ui-toolkit/staging (67f7b0694)

2016-04-05 Tim Peeters

        * update tst_page_with_header unit test (7282a20d5)
        * fix tst_page13 failure (584916871)

2016-04-05 Andrea Bernabei

        * merge staging (302d6dd99)

2016-04-05 Tim Peeters

        * clean and optimize (7a8f36d97)
        * set header.parent to null when no longer using it in the Page.
          (b014d843d)
        * clean (6c3d78a65)

2016-04-05 Zsombor Egri

        * load page synchronously if that's what we want to test (beac1fc12)

2016-04-05 Tim Peeters

        * do relative changes to topMargin only (fa1f4b1d6)

2016-04-05 Zsombor Egri

        * staging sync (39e66b636)

2016-04-05 Timo Jyrinki

        * Commit hook to clean up packaging (must be manually taken into use
          by developer). (daaff5d7a)
        * Fix by changing QtAddToolEnv instead. (64cc53b2a)

2016-04-05 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (8c052d0d9)

2016-04-05 Tim Peeters

        * Add header subtitle.
          Fixes:
          https://bugs.launchpad.net/bugs/1399289. (978b7dfe5)

2016-04-05 Zsombor Egri

        * 'bug' (7c0efc2d1)
        * wrapped and sorted (4c4e198b3)

2016-04-04 Zsombor Egri

        * build dependenci to drive UbuntuToolkit lib to be built first
          (a737b4109)

2016-04-04 Tim Peeters

        * rename subtitle and extension to hasSubtitle and hasExtension
          (f9637cbc4)
        * Reveal the header in gallery when changing the layout to two
          columns.
          Fixes: https://bugs.launchpad.net/bugs/1556860.
          (0031885ac)
        * Set correct colors for disabled actions in the header.
          Fixes:
          https://bugs.launchpad.net/bugs/1393485. (557d5a269)

2016-04-04 Zsombor Egri

        * add missing headers (6e56a70aa)
        * revert unwanted change (c4066d318)
        * missing license header added (b22fd45b9)
        * cleanup (a6ecb1c85)
        * PIMPL, move X11 specific code into private (e084004f4)
        * fix X11 dependency, MouseTouchAdaptor should only be available on
          oplatforms other than arm (5b487f2a4)
        * fix class export (ee0a8b922)
        * move MouseTouchAdaptor under UbuntuToolkit (6ead5f007)

2016-04-04 CI Train Bot

        * Releasing 1.3.1918+16.04.20160404-0ubuntu1 (9b154c1ee)

2016-04-04 Michael Terry

        * OTA10 landing 2016-03-10 (8506ff97b)

2016-04-04 Zoltán Balogh

        * Update from staging (27a2db046)

2016-04-03 Benjamin Zeller

        * More Qt 5.6 fixes. (7005170d3)

2016-04-03 Timo Jyrinki

        * Fix wrapper script auto-generated by Qt that incorrectly tries to
          execute itself (LP: #1560000) (c20560d55)

2016-04-01 Zsombor Egri

        * Fix BottomEdge content discarding. (d4899244a)
        * fix Action trigger commit content to be shown (2a9e2e6a1)
        * bottom edge default content should never be discarded; default
          region covers the entire area of the bottom edge; add
          commit decision to regions, providing default to override
          it; flaky test fixed (86b7ee82c)

2016-03-31 Tim Peeters

        * fix warning in test when setting header.parent = null. (e67a22969)
        * don't treat width=0 as a special case (a0ae491b3)
        * fix width=0 case (656b0eae0)
        * handle visible and parent changes (dfa15cdd7)
        * update docs (2f496680b)
        * Link bugs, add regression tests. (46ac3afd4)

2016-03-31 Andrea Bernabei

        * ScrollView: add horizontalScrollbar and verticalScrollbar
          properties to allow custom properties and styling of
          scrollbars. (377805558)

2016-03-31 Tim Peeters

        * update docs (bd8d26fab)
        * add example to the Header.flickable docs (c24c6f5fc)

2016-03-31 Pierre Bertet

        * Removed backgroundPositiveText and backgroundNegativeText
          (601aebe62)

2016-03-31 Tim Peeters

        * fix bug 1556860 (5e85bdccf)

2016-03-31 Pierre Bertet

        * [sync] merge staging (651bed5e4)

2016-03-30 CI Train Bot

        * Releasing 1.3.1872+16.04.20160330.2-0ubuntu1 (69b403637)

2016-03-30 Tim Peeters

        * Set the window color as soon as the window is available, to avoid a
          flickering background when it is updated later, plus fix
          runtest.sh to work for xenial on arm.
          Fixes: #1439133,
          #1554897 (f23d0a947)
        * cherry pick r1913 from staging (650659b44)
        * clean (03c16543f)
        * clean (f6c822105)

2016-03-30 Andrea Bernabei

        * scrollbar: add guards around accesses to flickableItem to prevent
          warning when it's null (8963f3e51)

2016-03-30 Tim Peeters

        * sync disabledActions (974284b42)
        * Fix disabled action colors in header (3f26939dc)
        * update components.api (1f5e220c0)
        * use Components (251eebfe2)

2016-03-30 Andrea Bernabei

        * merge staging (a85243467)
        * ScrollView: add horizontalScrollbar and verticalScrollbar
          properties to allow custom properties and styling of
          scrollbars (b8a3e5758)

2016-03-30 Tim Peeters

        * merge diff from 1895 in staging (7b094d1dc)
        * fix overflow disabled colors (fae1a2bf0)
        * colors (97fde5f29)
        * link bug (ba6d293ae)
        * add PageHeader.subtitle property (7f673b4aa)

2016-03-29 Pierre Bertet

        * Fix the lists style in the offline documentation.
          Fixes:
          https://bugs.launchpad.net/bugs/1557472. (f2a02100f)

2016-03-25 Pierre Bertet

        * Make export_qml_dir.sh compatible with ZSH. (bae98605b)

2016-03-25 Christian Dywan

        * No gdb when running unit tests on armv7l. (914b78815)

2016-03-25 Zsombor Egri

        * Disconnect enabled signal in Label in destructor, so functor call
          will not be handled when QQuickItem triggers enabled
          change.
          Fixes: https://bugs.launchpad.net/bugs/1560044.
          (1fc53a030)

2016-03-25 Christian Dywan

        * Build-depend on python3-debian for wrap-and-sort. (709b0b08b)

2016-03-25 Andrea Bernabei

        * Change Scrollbar default top and bottom anchor margins. Tests
          included. (e6472cd54)

2016-03-25 Tim Peeters

        * Fix typo in DatePickerStyle.
          Fixes:
          https://bugs.launchpad.net/bugs/1561440. (2fa43ae9e)

2016-03-25 Zsombor Egri

        * fix (1a5f40544)
        * proper PIMPL for Label; test added (7fe04fbdd)

2016-03-24 Christian Dywan

        * Use less specific arm arch check (b41b567a6)

2016-03-24 Zoltán Balogh

        * Fix the arm check in the runtest.sh (d9db9245c)
        * No gdb when running unit tests on armv7l (efe57660e)

2016-03-24 Christian Dywan

        * No gdb when running unit tests on armv7l (86b0b10e7)
        * Relative paths and flexible arguments (4144553cf)

2016-03-24 Albert Astals Cid

        * Fix Bug caused by candidates getting removed during ownership
          resolution (4a7d186a6)

2016-03-24 Andrea Bernabei

        * scrollbar: remove commented code (fdbb49c45)

2016-03-24 Tim Peeters

        * fix typo (5e96e85d3)

2016-03-24 Christian Dywan

        * Build-depend on python3-debian for wrap-and-sort (fc5f32ba7)

2016-03-24 Zoltán Balogh

        * Sync with staging (fced1d464)

2016-03-23 Andrea Bernabei

        * scrollbar: fix docs build (748b681f7)
        * merge staging (cd7de35ea)
        * scrollbar: default anchor margins to Flickable.top/bottomMargin.
          Tests included. (d84a80d7a)

2016-03-23 Albert Astals Cid

        * Use "/" instead of QDir::separator for building paths that will be
          passed to Qt . (2bb2ce4d8)

2016-03-23 Zoltán Balogh

        * Clean up examples. (dfef080f7)
        * Sync with staging (855f7a871)

2016-03-22 Zoltán Balogh

        * Fix jokes sound (79c40c8fa)
        * Correct apparmor for jokes example (082291eaf)

2016-03-22 Pierre Bertet

        * [sync] merge staging (c4dfaa368)

2016-03-22 Zoltán Balogh

        * fix manifest files (61a9ddbde)

2016-03-22 Albert Astals Cid

        * Some string optimizations in the icon searching code . (43b29b30d)

2016-03-22 Zoltán Balogh

        * Fix all the examples (fb46a2c02)

2016-03-22 Albert Astals Cid

        * Improve icon file searching (b428b4015)

2016-03-22 Zoltán Balogh

        * fix the project file (3ca26ba85)
        * Make unit-converter example more up to date and click friendly
          (6d40e9f79)

2016-03-22 Tim Peeters

        * Add theme, style and styleName properties to Dialog and Popover.

          Fixes: https://bugs.launchpad.net/bugs/1555548.
          (c643d2f61)

2016-03-21 Pierre Bertet

        * Make export_qml_dir.sh compatible with ZSH (d52264d44)

2016-03-21 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (45cbc2784)

2016-03-19 Zoltán Balogh

        * Remove qmlproject files (114833344)

2016-03-17 Tim Peeters

        * update components.api (7c563ed03)
        * sync staging (b20698a01)

2016-03-17 Benjamin Zeller

        * More Qt 5.6 fixes (96fe55bb6)

2016-03-17 Tim Peeters

        * update components.api (0ff2f7a7b)
        * fix example in docs (a1340011f)
        * add theme, style and styleName properties to Popover (d8b49a304)
        * add Dialog.style and Dialog.styleName (31df45d73)
        * Add Dialog.theme property (f77f6e228)

2016-03-17 Albert Astals Cid

        * Use "/" instead of QDir::separator for building paths that will be
          passed to Qt (30de764b0)

2016-03-17 Christian Dywan

        * Use export_qml_dir.sh in qmlapicheck and runtest (3aeb2b759)

2016-03-17 Benjamin Zeller

        * Compile with Qt 5.6.
          Fixes:
          https://bugs.launchpad.net/bugs/1540356. (be077ec2c)

2016-03-17 Tim Peeters

        * Update the gallery script to use the new name of the export script.
          (bac01c63d)

2016-03-16 Benjamin Zeller

        * Fix error in propertychange_p.cpp (f70660722)

2016-03-16 Tim Peeters

        * fix gallery script (629e2f215)
        * Export the full list of library paths. (0c03026b5)

2016-03-16 Benjamin Zeller

        * Fix typos (2756e5284)
        * apicheck build (3544fc351)
        * Compile with Qt 5.6 (f86c7fd73)

2016-03-16 Christian Dywan

        * Add 1.3 version of UbuntuTestCase. (f0fc18ef8)

2016-03-16 Florian Boucault

        * Properly disable PerformanceMonitor for toolkit tests only.
          Re-enable it for everything else. (bee92ae6a)

2016-03-16 Tim Peeters

        * add more directories to the library path (3069d8590)

2016-03-16 Albert Astals Cid

        * Tests that hicolor is last in search (e069751ed)

2016-03-16 Tim Peeters

        * rename export script (7eebae022)
        * add component directories to LD_LIBRARY_PATH. Needed to run cpp
          unit tests (3925759a5)

2016-03-16 Albert Astals Cid

        * Some string optimizations (4a69cb3e7)
        * Add note explaining why hicolor is searched last (303f94206)

2016-03-16 Christian Dywan

        * Undo mistaken change of QtTest import to 1.3 (a18efd1f8)

2016-03-16 Albert Astals Cid

        * Improve icon file searching (05759db98)

2016-03-16 Christian Dywan

        * Add UbuntuTestCase13 to Test.pro (f3bf70c62)

2016-03-16 Zsombor Egri

        * AdaptivePageLayout removes all pages pushed to next columns when
          addPageToNextColumn() is called.
          Fixes:
          https://bugs.launchpad.net/bugs/1544745. (272ad15b5)
        * staging sync (7c6ab283f)

2016-03-16 Tim Peeters

        * Prevent Page geometry changes in APL when changing Pages in a
          column. (0f6b5e19c)

2016-03-16 Launchpad Translations on behalf of ubuntu-sdk-team

        * Launchpad automatic translations update. (0176cd25c)

2016-03-16 Zoltán Balogh

        * Sync with staging (fd470aa1c)

2016-03-15 Florian Boucault

        * Missing trailing backslash (71442cb47)

2016-03-15 Christian Dywan

        * BottomEdge(Hint) focus and close via keyboard.
          Fixes:
          https://bugs.launchpad.net/bugs/1523825. (b1531a773)

2016-03-15 Tim Peeters

        * Set the window color as soon as the window is available, to avoid a
          flickering background when it is updated later.
          Fixes:
          https://bugs.launchpad.net/bugs/1439133,
          https://bugs.launchpad.net/bugs/1554897. (180d7eb73)

2016-03-15 Pierre Bertet

        * [sync] merge staging (ac5572170)
        * [doc] Fix the lists style in the offline documentation (fixes
          #1557472) (7ad294cf9)

2016-03-15 Zoltán Balogh

        * Sync with staging (804727a4f)
        * Sync with trunk (bc3fe46be)

2016-03-15 Tim Peeters

        * don't change the anchors of the holder until a new page is set
          (a433a7a03)

2016-03-15 Florian Boucault

        * Properly disable PerformanceMonitor for toolkit tests only.
          Re-enable it for everything else. (ed73656fd)

2016-03-15 Christian Dywan

        * Import Ubuntu.Test 1.3 in tests using Ubuntu.Components 1.3
          (5213bce9a)
        * Add 1.3 version of UbuntuTestCase (a72f5e0d5)

2016-03-15 Zoltán Balogh

        * Sync with staging (5b767074a)

2016-03-15 Christian Dywan

        * Explicitly declare Qt::Key as a metatype (e6d056966)
        * Force initial focus on the root item (801b115f6)

2016-03-15 Tim Peeters

        * comment (3da7d1545)
        * load MainViewStyle only for gradient backgrounds (b282e23d8)
        * sync staging (a382d6c76)

2016-03-15 Zsombor Egri

        * ListView proxy should not consume up/down key events.
          Fixes:
          https://bugs.launchpad.net/bugs/1554447. (77799e15e)
        * Pick up the right style.
          Fixes:
          https://bugs.launchpad.net/bugs/1555797. (193f01e27)

2016-03-14 Zsombor Egri

        * Label makes sure the color alteration is known by the theming.

          Fixes: https://bugs.launchpad.net/bugs/1555784.
          (58c64506b)

2016-03-14 Christian Dywan

        * Test all possible trigger keys that expand a bottom edge
          (1bd0ecd01)

2016-03-14 Zsombor Egri

        * merge staging (789e98812)
        * fix tests, remove unrelated test (38aa8647d)
        * staging sync (2b2b19658)
        * review comment applied (0536b9d54)
        * rename test (80b11a4b7)

2016-03-14 Christian Dywan

        * Reset previous theme version and use UbuntuTestCase in
          tst_animator. (b4924d8f5)

2016-03-14 Zsombor Egri

        * remove rogue debug line (b8f238993)
        * staging sync (014b00162)
        * add more comments (9f21c5868)
        * update test to use custom theme (56c42e152)

2016-03-14 Christian Dywan

        * Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/staging (46e6a944a)

2016-03-14 Pierre Bertet

        * Palette: disabled colors optimization (dcd9930e1)

2016-03-14 Zsombor Egri

        * fix (6227acfdc)

2016-03-14 Pierre Bertet

        * [Palette] Add backgroundPositiveText and backgroundNegativeText
          (3fce05320)

2016-03-14 Zsombor Egri

        * adding tests (ecd8a7bea)

2016-03-14 Christian Dywan

        * Reset previous theme version and use UbuntuTestCase in tst_animator
          (cc97e287d)

2016-03-14 Zsombor Egri

        * 'bug' (d4b1de574)
        * Fix AsyncLoader tests so they create slightly less amount of
          elements. (927fcff6f)
        * reduce the amount of components created so we don't have to spend
          so much time in creating those (e35b86048)

2016-03-14 CI Train Bot

